<?php

/**
* Plugin Name: [H7] Footnotes
* Plugin URI: http://github.com/phil-evans
* Description: Adds interactive footnote capability
* Version: 1.0
* Author: Phil Evans
* Author URI: http://github.com/phil-evans/
*/

//
// SETUP
//

include_once dirname ( __FILE__ ) . '/setup.php';

//
// ON ACTIVATE
//

function footnotes_on_activate() {

  // check for 'footnotes_types' option
  // if it doesn't exist, create the page for it

  if ( !get_option ( 'footnotes_types' ) )
    add_option ( 'footnotes_types', 'post_type,page' );

}

register_activation_hook ( __FILE__, 'footnotes_on_activate' );

//

function footnotes_enqueue() {

  wp_enqueue_script ( 'footnotes', plugin_dir_url ( __FILE__ ) . 'footnotes.js', array ( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position', 'jquery-ui-tooltip' ), NULL, true );

}

add_action ( 'wp_enqueue_scripts', 'footnotes_enqueue' );

//
// FRONT-END
//

include_once dirname ( __FILE__ ) . '/frontend.php';

add_action ( 'h7_after_content_loop', 'footnotes_frontend', 200 );
