<?php

  $breadcrumb_items = array();

  $include_home = false;

	$current_post_type = get_post_type_object ( get_post_type() );

  if ( get_sub_field ( 'include_home' ) == 1 ) {
    $include_home = true;

    $breadcrumb_items[] = array (
      'id' => get_option( 'page_on_front' ),
      'url' => get_permalink ( get_option( 'page_on_front' ) ),
      'title' => 'Home',
      'current' => false
    );
  }

  if ( is_singular ( 'post' ) ) {

		$breadcrumb_items[] = array (
			'id' => get_option ( 'page_for_posts' ),
			'url' => get_permalink ( get_option ( 'page_for_posts' ) ),
			'title' => get_the_title ( get_option ( 'page_for_posts' ) ),
			'current' => false
		);

		$breadcrumb_items[] = array (
			'id' => get_the_ID(),
			'url' => get_permalink(),
			'title' => $current_post_type->labels->singular_name,
			'current' => true
		);

	} elseif ( is_singular ( 'chapter' ) ) {

		$chapters_page = get_page_by_path ( 'chapters' );

		$breadcrumb_items[] = array (
			'id' => $chapters_page->ID,
			'url' => get_permalink ( $chapters_page->ID ),
			'title' => get_the_title ( $chapters_page->ID ),
			'current' => false
		);

		$breadcrumb_items[] = array (
			'id' => get_the_ID(),
			'url' => get_permalink(),
			'title' => $current_post_type->labels->singular_name,
			'current' => true
		);

	} elseif ( is_single() ) {

    $breadcrumb_items[] = array (
      'id' => get_the_ID(),
      'url' => get_permalink(),
      'title' => $current_post_type->labels->singular_name,
      'current' => true
    );

  } elseif ( is_page() ) {

    $page_ancestors = get_ancestors ( get_the_ID(), 'page' );

    foreach ( $page_ancestors as $ancestor ) {

      $breadcrumb_items[] = array (
        'id' => $ancestor,
        'url' => get_permalink ( $ancestor ),
        'title' => get_the_title ( $ancestor ),
        'current' => false
      );

    }

    $breadcrumb_items[] = array (
      'id' => get_the_ID(),
      'url' => get_permalink(),
      'title' => get_the_title(),
      'current' => true
    );

  } elseif ( is_author() ) {

		$breadcrumb_items[] = array (
			'id' => get_option ( 'page_for_posts' ),
			'url' => get_permalink ( get_option ( 'page_for_posts' ) ),
			'title' => get_the_title ( get_option ( 'page_for_posts' ) ),
			'current' => false
		);

		$breadcrumb_items[] = array (
      'id' => '',
      'url' => '',
      'title' => 'Author',
      'current' => true
    );

	} elseif ( is_archive() ) {

    if ( !isset ( $current_query ) ) $current_query = get_queried_object();

		// if ( in_array ( $current_query->taxonomy, $taxonomies ) ) {

		if ( array_key_exists ( $current_query->taxonomy, $GLOBALS['vars']['taxonomies'] ) ) {

			$breadcrumb_items[] = array (
	      'id' => 537,
	      'url' => get_permalink ( 537 ),
	      'title' => get_the_title ( 537 ),
				'current' => false
	    );

		} else {

			$breadcrumb_items[] = array (
	      'id' => get_option ( 'page_for_posts' ),
	      'url' => get_permalink ( get_option ( 'page_for_posts' ) ),
	      'title' => get_the_title ( get_option ( 'page_for_posts' ) ),
				'current' => false
	    );

		}

    $taxonomy_object = get_taxonomy ( $current_query->taxonomy );
    $taxonomy_labels = get_taxonomy_labels ( $taxonomy_object );

    $breadcrumb_items[] = array (
      'title' => 'Topic',
      'current' => true
    );

  }

?>

<nav id="<?php echo get_current_element_ID(); ?>-breadcrumb" aria-label="breadcrumb" class="">
  <ol class="breadcrumb">

    <?php

      foreach ( $breadcrumb_items as $item ) {

    ?>

    <li class="breadcrumb-item <?php echo ( $item['current'] == true ) ? 'active' : ''; ?>">
      <?php

        if ( $item['current'] == false ) {
          echo '<a href="' . $item['url'] . '">';
        }

        echo $item['title'];

        if ( $item['current'] == false ) {
          echo '</a>';
        }

      ?>
    </li>

    <?php

      }

    ?>
  </ol>
</nav>
