<?php

  //
  // ENQUEUE
  //

  wp_enqueue_script ( 'post-carousel', get_stylesheet_directory_uri() . '/resources/js/post-carousel.js', array ( 'jquery' ), NULL, true );
  wp_enqueue_script ( 'swiper' );

  wp_enqueue_script ( 'renderer' );

  if ( have_rows ( 'swiper' ) ) {
    while ( have_rows ( 'swiper' ) ) {
      the_row();

      $GLOBALS['elements']['types']['block']['carousel'] = carousel_setup ( get_current_element_ID() );

    }
  }

  // if results_paged is on,
  // change posts_per_page to whatever the slidesPerView setting is

  if ( get_sub_field ( 'results_paged' ) == 1 ) {

    // set 'slidesToScroll' to the same, so that each slide action
    // moves by the number of posts that are retrieved

    // $GLOBALS['elements']['types']['block']['carousel']['settings']['slidesPerGroup'] = $GLOBALS['elements']['types']['block']['carousel']['settings']['slidesPerView'];

  }

?>

<div
  id="<?php echo $current_block_ID; ?>-carousel"
  class="query-items-wrap query-type-carousel renderable post-carousel-wrap <?php echo implode ( ' ', $GLOBALS['elements']['types']['block']['carousel']['classes']['container'] ); ?>"
  data-renderable-type="post_swiper"

  <?php

		if ( get_sub_field ( 'results_paged' ) == 1 ) {
		  echo 'data-page="' . $query_block[$current_block_ID]['args']['paged'] . '"';
		}

  ?>
>

  <?php

    //
    // OPEN CAROUSEL
    //

    carousel_output ( 'open', 'block', false );

    //
    // DISPLAY SETTINGS
    //

    // template

    $query_block[$current_block_ID]['display']['template'] = '';

    if ( locate_template ( 'previews/' . get_sub_field ( 'template' ) . '.php' ) != '' ) {
      $query_block[$current_block_ID]['display']['template'] = 'previews/' . get_sub_field ( 'template' ) . '.php';
    }

    $item_num = 1;

    // $old_post = $post;

		if ( !empty ( $query_block[$current_block_ID]['items'] ) ) {

	    foreach ( $query_block[$current_block_ID]['items'] as $item ) {

  ?>

  <div id="<?php echo $current_block_ID; ?>-item-<?php echo $item['id']; ?>" class="swiper-slide query-item post-preview type-<?php echo $item['post_type']; ?> <?php echo implode ( ' ', $GLOBALS['elements']['types']['block']['carousel']['classes']['content'] ); ?>">

    <?php

      if ( $query_block[$current_block_ID]['display']['template'] != '' ) {

        include ( locate_template ( $query_block[$current_block_ID]['display']['template'] ) );

      } elseif ( locate_template ( 'previews/' . get_post_type() . '.php'  ) != '' ) {

        include ( locate_template ( 'previews/' . get_post_type() . '.php' ) );

      } else {

    ?>

    <div class="card h-100">
      <?php

        if ( has_post_thumbnail() ) {

      ?>
      <img src="<?php the_post_thumbnail_url ( 'medium' ); ?>" class="card-img-top" alt="">
      <?php

        }

      ?>

      <div class="card-body">
        <h5 class="cart-title"><a href="<?php echo $item['permalink']; ?>"><?php echo $item['title']; ?></a></h5>

        <p class="card-text"><?php echo custom_excerpt ( 10, $item['id'] ); ?></p>

        <a href="<?php echo $item['permalink']; ?>" class="card-link"><?php _e ( 'Learn More', 'h7' ); ?></a>
      </div>
    </div>

    <?php

      }

    ?>

  </div>

  <?php

	      $item_num++;

	    } // each item

		} else {

	?>

	<p class="alert alert-danger">No items found.</p>

	<?php

		} // if items

    // wp_reset_postdata();

    // $post = $old_post;

    // setup_postdata ( $post );

    //
    // CLOSE CAROUSEL
    //

    carousel_output ( 'close', 'block' );

  ?>

</div>
