<?php

echo '<pre>';


$parse_uri = explode( 'assets', $_SERVER['SCRIPT_FILENAME'] );
require_once ( $parse_uri[0] . 'wp-load.php' );

$output = array (
  'nodes' => array(),
  'links' => array()
);

$all_nodes_count = array();

// go through each taxonomy

$taxonomies = array ( 'source', 'production', 'transport', 'conversion', 'form', 'distribution', 'use' );

$count = 0;
$i = 1;

foreach ( $taxonomies as $taxonomy ) {

  // go through each term in the taxonomy

  $all_tax_terms = get_terms ( array (
    'taxonomy' => $taxonomy,
    'hide_empty' => false
  ) );

  foreach ( $all_tax_terms as $term ) {

    // create the term object

    $new_term = array (
      'id' => $term->term_id,
      'row' => null,
      'depth' => (int) get_field ( 'depth', $taxonomy . '_' . $term->term_id ),
      'count' => $count,
      'title' => $term->name,
      'description' => $term->description,
      'perspective' => get_field ( 'perspective', $taxonomy . '_' . $term->term_id ),
      'url' => get_term_link ( $term->term_id, $taxonomy ),
      'image' => wp_get_attachment_image_url ( get_field ( 'term_image', $taxonomy . '_' . $term->term_id ), 'full' ),
      'icon' => wp_get_attachment_image_url ( get_field ( 'icon', $taxonomy . '_' . $term->term_id ), 'full' )
    );

    // video

    if ( have_rows ( 'tax_video', $taxonomy . '_' . $term->term_id ) ) {
      while ( have_rows ( 'tax_video', $taxonomy . '_' . $term->term_id ) ) {
        the_row();

        $new_term['youtube_video'] = get_sub_field ( 'youtube_video' );

      }
    }

    $all_nodes_count[$term->term_id] = $count;

    switch ( $taxonomy ) {

      case 'source' :
        $new_term['row'] = 1;
        break;

      case 'production' :
        $new_term['row'] = 2;
        break;

      case 'transport' :
        $new_term['row'] = 3;
        break;

      case 'conversion' :
        $new_term['row'] = 4;
        break;

      case 'form' :
        $new_term['row'] = 5;
        break;

      case 'distribution' :
        $new_term['row'] = 6;
        break;

      case 'use' :
        $new_term['row'] = 7;
        break;

    }

    $output['nodes'][] = $new_term;

    $count++;

  }

  $i++;
}

// $links = array();

// go through again


          $test_val = 54;

foreach ( $taxonomies as $taxonomy ) {

  // go through each term in the taxonomy

  $all_tax_terms = get_terms ( array (
    'taxonomy' => $taxonomy,
    'hide_empty' => false
  ) );

  foreach ( $all_tax_terms as $term ) {

    foreach ( get_field ( 'linked_taxonomies', $taxonomy . '_' . $term->term_id ) as $linked_term ) {

      if ( !empty ( $linked_term ) ) {

        foreach ( $linked_term as $tax ) {

          // $links[$all_nodes_count[$term->term_id]] = $all_nodes_count[$tax];

          $this_source = $all_nodes_count[$term->term_id];
          $this_target = $all_nodes_count[$tax];

          $add_link = true;

          // find existing links where the SOURCE is this TARGET

          $keys = array_keys ( array_column ( $output['links'], 'source'), $this_target );


          foreach ( $keys as $key ) {

            // if the result's target = $this_target

            if ( $output['links'][$key]['target'] == $this_source ) {


              $add_link = false;

            } else {

            }


          }

          if ( $add_link == true ) {

            // echo 'added ' . $this_source . ' / ' . $this_target . '<br>';

            $output['links'][] = array (
              'source' => $this_source,
              'target' => $this_target
            );

          }


        }

      }

    }

  }
}

// echo count ( $output['links'] ) . '<br>';

// test 73 / 68

// foreach ( $output['links'] as $link ) {
//
//   $this_source = $link['source'];
//   $this_target = $link['target'];
//
//   // echo 'source ' . $this_source . ', target ' . $this_target . '... <br>';
//
//   // find all keys where 'source' = $this_target
//
//   $keys = array_keys ( array_column ( $output['links'], 'source'), $this_target);
//
//   // foreach result
//
//   foreach ( $keys as $key ) {
//
//     if ( isset ( $output['links'][$key] ) ) {
//
//       // echo 'source ' . $output['links'][$key]['source'] . ', target ' . $output['links'][$key]['target'] . '... ';
//
//       // if the result's target = $this_target
//
//       if ( $output['links'][$key]['target'] == $this_source ) {
//
//         unset ( $output['links'][$key] );
//
//       } else {
//
//       }
//
//     }
//
//
//   }
//
// }
//
// echo count ( $output['links'] );


// $output['links'] = array_unique ( $output['links'] );


// map link source/target IDs to count

print_r ( json_encode ( $output, JSON_PRETTY_PRINT ) );

/*


$data = json_decode ( file_get_contents ( 'data.json' ) );

$all_nodes = array();

foreach ( $data->nodes as $node ) {
  $all_nodes[$node->id] = (array) $node;

  // taxonomies

  switch ( $node->row ) {

    case 1 :

      $all_nodes[$node->id]['taxonomy'] = 'source';
      break;

    case 2 :

      $all_nodes[$node->id]['taxonomy'] = 'production';
      break;

    case 3 :

      $all_nodes[$node->id]['taxonomy'] = 'transport';
      break;

    case 4 :

      $all_nodes[$node->id]['taxonomy'] = 'conversion';
      break;

    case 5 :

      $all_nodes[$node->id]['taxonomy'] = 'form';
      break;

    case 6 :

      $all_nodes[$node->id]['taxonomy'] = 'distribution';
      break;

    case 7 :

      $all_nodes[$node->id]['taxonomy'] = 'use';
      break;

  }

  // term ID

  $get_term = get_term_by ( 'name', $node->title, $all_nodes[$node->id]['taxonomy'] );

  $all_nodes[$node->id]['term_id'] = $get_term->term_id;

  // links

  $all_nodes[$node->id]['links'] = array();

}

// foreach ( $data->links as $link ) {
//   $all_nodes[$link->source]['links'][] = array (
//     'taxonomy' => $all_nodes[$link->target]['taxonomy'],
//     'term' => $link->target
//   );
// }
//
// foreach ( $data->links as $link ) {
//   $all_nodes[$link->target]['links'][] = array (
//     'taxonomy' => $all_nodes[$link->source]['taxonomy'],
//     'term' => $link->source
//   );
// }


function attach_image_from_url ( $image_url, $image_title ) {

  $upload_dir = wp_upload_dir();

  $image_data = file_get_contents( $image_url );

  $filename = basename( $image_url );

  if ( wp_mkdir_p( $upload_dir['path'] ) ) {
    $file = $upload_dir['path'] . '/' . $filename;
  }
  else {
    $file = $upload_dir['basedir'] . '/' . $filename;
  }

  file_put_contents( $file, $image_data );

  $wp_filetype = wp_check_filetype( $filename, null );

  $attachment = array(
    'post_mime_type' => $wp_filetype['type'],
    'post_title' => $image_title,
    'post_content' => '',
    'post_status' => 'inherit'
  );

  $attach_id = wp_insert_attachment( $attachment, $file );
  require_once( ABSPATH . 'wp-admin/includes/image.php' );
  $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
  wp_update_attachment_metadata( $attach_id, $attach_data );

  return $attach_id;
}

$i = 0;

foreach ( $all_nodes as $node ) {

  // update_field ( 'icon', '', $node['taxonomy'] . '_' . $node['term_id'] );
  // update_field ( 'image', '', $node['taxonomy'] . '_' . $node['term_id'] );

  // update_field ( 'depth', $node['depth'], $node['taxonomy'] . '_' . $node['term_id'] );
  // update_field ( 'perspective', $node['perspective'], $node['taxonomy'] . '_' . $node['term_id'] );
  // update_field ( 'youtube_video', $node['youtube_video'], $node['taxonomy'] . '_' . $node['term_id'] );

  $node_term = get_term( $node['term_id'], $node['taxonomy']);

  echo 'checking ' . $node_term->slug . '... ';

  $media_query = new WP_Query ( array(
    'post_type' => 'attachment',
    'posts_per_page' => -1,
    'name' => $node_term->slug

  ) );

  if ( $media_query->have_posts() ) : while ( $media_query->have_posts() ) : $media_query->the_post();

  // echo get_the_ID() . '<br>';

  update_field ( 'term_image', get_the_ID(), $node['taxonomy'] . '_' . $node['term_id'] );

  echo '<br>';

  endwhile;

  else :

  echo 'not found<br>';

  endif;

  //
  // if ( $node['icon'] != '' ) {
  //
  //   $image_ID = attach_image_from_url ( $node['icon'], $node['title'] . ' Icon' );
  //
  //   // update_field ( 'image', $image_ID, $node['taxonomy'] . '_' . $node['term_id'] );
  //
  // }
  //
  // echo 'done. image ID: ' . $image_ID . '<br>';

}

foreach ( $all_nodes as $node ) {
  echo $node['title'] . ': ' . get_field ( 'term_image', $node['taxonomy'] . '_' . $node['term_id'] ) . '<br>';
}

echo 'done';

// print_r($all_nodes);

// create terms

// foreach ( $all_nodes as $node ) {
//
//   // insert the term
//
//   $new_term = wp_insert_term ( $node['title'], $node['taxonomy'], array(
//     'description' => $node['description']
//   ) );
//
//   // add the term_id to the array
//
//   $all_nodes[$node['id']]['term'] = $new_term;
//
// }

// print_r($all_nodes);

// add linked terms



foreach ( $all_nodes as $node ) {

  $field_val = array (
    'source' => array(),
    'production' => array(),
    'transport' => array(),
    'conversion' => array(),
    'form' => array(),
    'distribution' => array(),
    'use' => array()
  );

  foreach ( $node['links'] as $link ) {

    echo 'linked term: ' . $link['term'] . '<br>';

    // get the WP term_id of the linked term

    $term_tax = $all_nodes[$link['term']]['taxonomy'];
    $term_id = $all_nodes[$link['term']]['term_id'];

    $field_val[$term_tax][] = $term_id;

  }

  // echo 'node: ' . $node['taxonomy'] . '_' . $node['term_id'];
  // echo '<br>new field val:<br>';
  // print_r($field_val);
  //
  // update_field ( 'linked_taxonomies', $field_val, $node['taxonomy'] . '_' . $node['term_id'] );

  echo '<hr>';

}

*/
