<?php

//
// MARKUP FUNCTIONS
// functions for setup / extra markup that's required for certain element types and settings
//

//
// ELEMENT TYPES
//

// SECTION

function section_output ( $action ) {

	if (
    $action == 'open' &&
    $GLOBALS['elements']['current']['type'] == 'section'
  ) {

		echo "\n";

		echo str_repeat ( "\t", $GLOBALS['vars']['indent'] );
		$GLOBALS['vars']['indent']++;

    echo '<div class="section-wrap">';

		// echo "\n\n" .  $GLOBALS['vars']['indent'] . "\n\n" . '<br>' . "\n\n";

  } elseif ( $action == 'close' ) {

    echo "\n";

		$GLOBALS['vars']['indent']--;
		echo str_repeat ( "\t", $GLOBALS['vars']['indent'] );

		echo '</div><!-- .section-wrap -->';

		// echo "\n\n" .  $GLOBALS['vars']['indent'] . "\n\n" . '<br>' . "\n\n";

  }

}

// CONTAINER

function container_output ( $action ) {

  if (
    $action == 'open' &&
    $GLOBALS['elements']['current']['type'] == 'container'
  ) {

    echo "\n";

		echo str_repeat ( "\t", $GLOBALS['vars']['indent'] );
		$GLOBALS['vars']['indent']++;

		echo '<div class="row h7-container-row ' . get_sub_field ( 'row_classes' ) . '">';

  } elseif ( $action == 'close' ) {

		echo "\n\n";
		$GLOBALS['vars']['indent']--;
		echo str_repeat ( "\t", $GLOBALS['vars']['indent'] );

    echo '</div><!-- row -->';

  }

}

// BLOCK

function block_output ( $action ) {

  $GLOBALS['elements']['current']['block']['row_index'] = (int) get_row_index() - 1;

	echo "\n";

  if (
    $action == 'open' &&
    $GLOBALS['elements']['current']['type'] == 'block'
  ) {

		echo str_repeat ( "\t", $GLOBALS['vars']['indent'] );
		$GLOBALS['vars']['indent']++;

    $include_path = 'blocks/';

    if ( $GLOBALS['elements']['current']['block']['type'] != '' )
      $include_path .= $GLOBALS['elements']['current']['block']['type'] . '/';

    if ( have_rows ( 'blocks' ) ) {
      while ( have_rows ( 'blocks' ) ) {
        the_row();

        if ( locate_template ( $include_path . get_row_layout() . '.php' ) != '' ) {
          include ( locate_template ( $include_path . get_row_layout() . '.php' ) );
        } else {
          echo '<p class="alert alert-secondary">';
          echo $include_path . get_row_layout() . '.php not found';
          echo '</p>';
        }

      }
    }

  } elseif ( $action == 'close' ) {


		// echo str_repeat ( "\t", $GLOBALS['vars']['indent'] );
		$GLOBALS['vars']['indent']--;

    // no output

  }

  // acf_form( array(
  //   'post_id' => get_the_ID(),
  //   'fields' => array('field_5d09354453c81')
  // ) );


}

//
// BACKGROUND
//

function output_bg ( $bg = null ) {

  if ( isset ( $bg ) && $bg != null && !empty ( $bg ) ) {

		// tab index

    $index = array_search ( get_current_element_type(), array_keys ( $GLOBALS['elements']['types'] ) );

    echo "\n";

    // init BG class array if not already set

    if ( !isset ( $bg_class ) ) {
      $bg_class = array();
    }

    // image / video URL

    $bg_URL = '';
    $video_URL = '';

    switch ( $bg['type'] ) {
      case 'thumbnail' :

				$bg_URL = get_the_post_thumbnail_url ( get_the_ID(), 'bg' );

        if ( is_archive() ) {

          global $current_query;

          $bg_URL = wp_get_attachment_image_url ( get_field ( 'term_image', $current_query->taxonomy . '_' . $current_query->term_id ), 'bg' );

          $bg['opacity'] = '30';

        } elseif ( is_author() || is_category() || is_home() || is_tag() ) {

					$bg_URL = get_the_post_thumbnail_url ( get_option ( 'page_for_posts' ), 'bg' );

				}

        break;

      case 'image' :
        $bg_URL = wp_get_attachment_image_url ( $bg['image'], 'bg' );
        break;

      case 'video' :

        if ( $bg['image'] != '' ) {
          $bg_URL = wp_get_attachment_image_url ( $bg['image'], 'bg' );
        }

        if ( $bg['video'] != '' ) {
          $bg_class[] = 'video';
          $video_URL = wp_get_attachment_url ( $bg['video'] );
        }

        break;

    }

    //
    // BG image settings
    // if a BG URL exists, either by a subfield or set manually in a template
    //

    // opacity

    $bg_class[] = 'opacity-' . $bg['opacity'];

    if ( isset ( $bg_URL ) && $bg_URL != '' ) {

      // position

      if (
        !is_array ( $bg['position'] ) &&
        $bg['position'] != ''
      ) {
        $bg_class[] = 'bg-position-' . str_replace( ' ', '-', $bg['position'] );
      }

      // size

      if (
        !is_array ( $bg['size'] ) &&
        $bg['size'] != ''
      ) {
        $bg_class[] = 'bg-size-' . $bg['size'];
      }

      // attachment

      if (
        !is_array ( $bg['attachment'] ) &&
        $bg['attachment'] != ''
      ) {
        $bg_class[] = 'bg-attachment-' . $bg['attachment'];
      }

    }

    if ( $bg_URL != '' || $video_URL != '' ) {

			echo "\n" . str_repeat ( "\t", $GLOBALS['vars']['indent'] );

			echo '<div class="bg ' . implode ( ' ', $bg_class ) . '" style="background-image: url(' . $bg_URL . '">';

			$GLOBALS['vars']['indent']++;

      if ( $video_URL != '' ) {

        echo "\n" . str_repeat ( "\t", $GLOBALS['vars']['indent'] ) . "\t" . '<video loop autoplay muted>';
        echo "\n" . str_repeat ( "\t", $GLOBALS['vars']['indent'] ) . "\t\t" . '<source src="<?php echo $video_URL; ?>" type="video/mp4">';
        echo "\n" . str_repeat ( "\t", $GLOBALS['vars']['indent'] ) . "\t\t" . 'Your browser does not support the video tag.';
        echo "\n" . str_repeat ( "\t", $GLOBALS['vars']['indent'] ) . "\t" . '</video>';

      }

			$GLOBALS['vars']['indent']--;

      echo "\n" . str_repeat ( "\t", $GLOBALS['vars']['indent'] ) . '</div>';


    }

  } // if bg

}

//
// UX FUNCTIONALITY
// e.g. collapsible, carousel
//

//
// COLLAPSIBLE
//

// SETUP

function collapsible_setup() {

  $collapsible = array (
    'enabled' => true,
    'breakpoint' => get_sub_field ( 'breakpoint' )
  );

  $GLOBALS['elements']['current']['classes'][] = 'collapsible';

  $GLOBALS['elements']['current']['settings']['collapsible'] = array (
    'enabled' => true,
    'breakpoint' => get_sub_field ( 'breakpoint' ),
    'text' => get_sub_field ( 'text' ),
    'icon' => 'fas fa-bars'
  );

  if ( get_sub_field ( 'icon' ) != '' ) {
    $GLOBALS['elements']['current']['settings']['collapsible']['icon'] = get_sub_field ( 'icon' );
  }

  return $collapsible;

}

// OUTPUT

function collapsible_output ( $action, $type ) {

  if (
    isset ( $GLOBALS['elements']['current']['settings']['collapsible'] ) &&
    $GLOBALS['elements']['current']['settings']['collapsible']['enabled'] == true
  ) {

    if ( $action == 'open' ) {

      if ( $GLOBALS['elements']['current']['settings']['collapsible']['breakpoint'] != 'default' ) {

        echo "\n" . '<nav class="navbar navbar-expand-' . $GLOBALS['elements']['current']['settings']['collapsible']['breakpoint'] . '">';

      }

  ?>

      <button class="navbar-toggler btn btn-lg btn-transparent text-secondary" type="button" data-toggle="collapse" data-target="#<?php echo $GLOBALS['elements']['current']['id']; ?>-collapse" aria-controls="<?php echo $GLOBALS['elements']['current']['id']; ?>-collapse" aria-expanded="false" aria-label="Toggle navigation">

        <?php

          if ( $GLOBALS['elements']['current']['settings']['collapsible']['text'] != '' ) {
            echo '<span>' . $GLOBALS['elements']['current']['settings']['collapsible']['text'] . '</span>';
          }

        ?>

        <i class="<?php echo $GLOBALS['elements']['current']['settings']['collapsible']['icon']; ?>"></i>
      </button>

      <!-- begin collapsible area -->

      <div id="<?php echo $GLOBALS['elements']['current']['id']; ?>-collapse" class="collapse navbar-collapse">

  <?php

    } elseif ( $action == 'close' ) {

      // set 'enabled' to false
      $GLOBALS['elements']['types'][$type]['collapsible']['enabled'] = false;

      // close the .collapse wrapper
      echo "\n\t" . '</div>';//'<!-- .collapse -->';

      // if the breakpoint is set, close the <nav> element
      if (
        $GLOBALS['elements']['types'][$type]['collapsible']['breakpoint'] != '' &&
        $GLOBALS['elements']['types'][$type]['collapsible']['breakpoint'] != 'default'
      ) {
        echo "\n" . '</nav>';
      }

      echo "\n";// . '<!-- end collapsible area -->';

      // reset the breakpoint
      $GLOBALS['elements']['types'][$type]['collapsible']['breakpoint'] = '';

    }

  }

}

//
// CAROUSEL
//

// SETUP

function carousel_setup ( $block_ID ) {

  // $carousel = array (
  //   'id' => $block_ID,
  //   'slide_counter' => 0,
  //   'classes' => array (
  //     'container' => array(),
  //     'content' => array(),
  //     'controls' => array()
  //   ),
  //   'settings' => array (
  //     'slidesToShow' => 1,
  //     'slidesToScroll' => 1,
  //     'draggable' => false,
  //     'arrows' => false,
  //     'dots' => false,
  //     'autoplay' => false,
  //     'responsive' => array (
  //       array (
  //         'breakpoint' => 576,
  //         'settings' => array (
  //           'slidesToShow' => 1,
  //           'slidesToScroll' => 1,
  //           'draggable' => true
  //         )
  //       )
  //     )
  //   )
  // );

  $carousel = array (
    'id' => $block_ID,
    'slide_counter' => 0,
    'classes' => array (
      'container' => array(),
      'content' => array(),
      'controls' => array()
    ),
    'settings' => array (
      'slidesPerView' => 1,
      'slidesPerGroup' => 1,
      'simulateTouch' => false
    )
  );

  // CLASSES

  if ( have_rows ( 'carousel_classes' ) ) {
    while ( have_rows ( 'carousel_classes' ) ) {
      the_row();

      $carousel['classes']['container'][] = get_sub_field ( 'container' );
      $carousel['classes']['content'][] = get_sub_field ( 'content' );
      $carousel['classes']['controls'][] = get_sub_field ( 'controls' );

    }
  }

  //
  // SETTINGS
  //

  // BREAKPOINTS

	$breakpoints = array (
    576 => array(),		// sm
    768 => array(),		// md
		992 => array(),		// lg
		1200 => array()		// xl
  );

  while ( have_rows ( 'slidesPerView' ) ) {
    the_row();

    if ( get_sub_field ( 'xs' ) != '' ) {
      $carousel['settings']['slidesPerView'] = (int) get_sub_field ( 'xs' );
    }

		if ( get_sub_field ( 'sm' ) != '' )
			$breakpoints[576]['slidesPerView'] = (int) get_sub_field ( 'sm' );

    if ( get_sub_field ( 'md' ) != '' )
      $breakpoints[768]['slidesPerView'] = (int) get_sub_field ( 'md' );

    if ( get_sub_field ( 'lg' ) != '' )
      $breakpoints[992]['slidesPerView'] = (int) get_sub_field ( 'lg' );

    if ( get_sub_field ( 'xl' ) != '' )
      $breakpoints[1200]['slidesPerView'] = (int) get_sub_field ( 'xl' );

  }

  while ( have_rows ( 'slidesPerGroup' ) ) {
    the_row();

    if ( get_sub_field ( 'xs' ) != '' )
      $carousel['settings']['slidesPerGroup'] = (int) get_sub_field ( 'xs' );

    if ( get_sub_field ( 'sm' ) != '' )
      $breakpoints[576]['slidesPerGroup'] = (int) get_sub_field ( 'sm' );

    if ( get_sub_field ( 'md' ) != '' )
      $breakpoints[768]['slidesPerGroup'] = (int) get_sub_field ( 'md' );

    if ( get_sub_field ( 'lg' ) != '' )
      $breakpoints[992]['slidesPerGroup'] = (int) get_sub_field ( 'lg' );

    if ( get_sub_field ( 'xl' ) != '' )
      $breakpoints[1200]['slidesPerGroup'] = (int) get_sub_field ( 'xl' );

  }

	// remove empty breakpoints

	foreach ( $breakpoints as $key => $breakpoint ) {
		if ( empty ( $breakpoint ) ) {
			unset ( $breakpoints[$key] );
		}
	}

	// add to settings

	$carousel['settings']['breakpoints'] = $breakpoints;

  // foreach ( $breakpoints as $breakpoint => $breakpoint_settings ) {
	//
  //   if (
	// 		isset ( $breakpoint_settings['slidesToShow'] ) ||
	// 		isset ( $breakpoint_settings['slidesPerGroup'] )
	// 	) {
	//
  //     $new_breakpoint = array(
  //       'breakpoint' => $breakpoint['breakpoint'],
  //     );
	//
  //     if ( isset ( $breakpoint['slidesPerView'] ) ) {
  //       $new_breakpoint['slidesPerView'] = $breakpoint['slidesPerView'];
  //     }
	//
  //     if ( isset ( $breakpoint['slidesPerGroup'] ) ) {
  //       $new_breakpoint['slidesPerGroup'] = $breakpoint['slidesPerGroup'];
  //     }
	//
  //     $carousel['settings']['breakpoints'][$breakpoint['breakpoint']] = $new_breakpoint;
	//
  //   }
	//
  // }

  // horizontal/vertical

  if ( get_sub_field ( 'direction' ) == 'vertical' ) {
    $carousel['settings']['direction'] = 'vertical';
  }

  // query pagination

  if ( get_sub_field ( 'results_paged' ) == 1 ) {
    $carousel['results_paged'] = true;
  }

  // draggable

  if ( get_sub_field ( 'draggable' ) == 1 ) {
    $carousel['settings']['simulateTouch'] = true;
  }

  // transition effect

  $carousel['settings']['effect'] = get_sub_field ( 'effect' );

  // loop

  if ( get_sub_field ( 'loop' ) == 1 ) {
    $carousel['settings']['loop'] = true;
  }

  // adaptive height

  if ( get_sub_field ( 'autoHeight' ) == 1 ) {
    $carousel['settings']['autoHeight'] = true;
    // $carousel['classes']['container'][] = 'adaptive-height';
  }

  // arrows

  if ( get_sub_field ( 'arrows' ) == 1 ) {

  $carousel['classes']['controls'][] = 'has-navigation';

    $carousel['settings']['navigation'] = array (
      'prevEl' => '#' . $block_ID . '-prev',
      'nextEl' => '#' . $block_ID . '-next'
    );

  }

  // pagination

  if ( get_sub_field ( 'pagination' ) != 'none' ) {

    // $carousel['settings']['dots'] = true;
    // $carousel['settings']['appendDots'] = '#' . $block_ID . '-dots';

    $carousel['classes']['controls'][] = 'has-pagination';
    $carousel['classes']['controls'][] = 'pagination-type-' . get_sub_field ( 'pagination' );

    $carousel['settings']['pagination'] = array (
      'el' => '#' . $block_ID . '-pagination',
      'type' => get_sub_field ( 'pagination' ),
      'clickable' => true
    );

    if ( get_sub_field ( 'pagination' ) == 'dynamic' ) {
      $carousel['settings']['pagination']['type'] = 'bullets';
      $carousel['settings']['pagination']['dynamicBullets'] = true;
    }
  }

  if ( (int) get_sub_field ( 'autoplaySpeed' ) != 0 && (int) get_sub_field ( 'autoplaySpeed' ) != '' ) {
    $carousel['settings']['autoplay'] = array ( 'delay' => (int) get_sub_field ( 'autoplaySpeed' ) * 1000 );
  }

  // other

  if ( have_rows ( 'other' ) ) {
    while ( have_rows ( 'other' ) ) {
      the_row();

      $other_setting = get_sub_field ( 'setting' );
      $sanitize_val = get_sub_field ( 'value' );

      if ( $sanitize_val == 'true' ) {
        $sanitize_val = true;
      } elseif ( $sanitize_val == 'false' ) {
        $sanitize_val = false;
      }

      $carousel['settings'][$other_setting] = $sanitize_val;

    }
  }

  //
  // RETURN
  //

  return $carousel;

}

// OUTPUT

function carousel_output ( $action, $type, $render = null ) {

  if ( !isset ( $render ) ) {
    $render = true;
  }

  if ( isset ( $GLOBALS['elements']['types'][$type]['carousel'] ) ) {

    $carousel = $GLOBALS['elements']['types'][$type]['carousel'];

    if ( $action == 'open' ) {

      // set global carousel flag

      $GLOBALS['vars']['current_carousel'] = $type;

      echo '<div id="' . get_current_element_ID() . '-swiper-container" class="swiper-container carousel ';

      echo implode ( ' ', $carousel['classes']['container'] );

      if ( $render == true ) {
        echo ' render-me';
      }

      echo '"';

      echo ' data-swiper-settings=\'' . json_encode ( $carousel['settings'] ) . '\'';

      echo '>';

      echo '<div class="swiper-wrapper">';

    } elseif ( $action == 'close' ) {

      // unset global carousel flag

      $GLOBALS['vars']['current_carousel'] = '';

      // close the .carousel container
      echo '</div><!-- .swiper-wrapper -->';

			/*

    ?>

    <!-- If we need scrollbar -->
    <!-- <div class="swiper-scrollbar"></div> -->

    <?php

			*/

      // if progress bar pagination

      if (
        isset ( $carousel['settings']['pagination'] ) &&
        $carousel['settings']['pagination']['type'] == 'progressbar'
      ) {

    ?>

    <div id="<?php echo $carousel['id']; ?>-pagination" class="swiper-pagination "></div>

    <?php

      }

      echo '</div><!-- .swiper-container -->';

      // output dots/arrows
      if (
        isset ( $carousel['settings']['navigation'] ) ||
        isset ( $carousel['settings']['pagination'] )
      ) {

    ?>

    <div class="carousel-controls <?php echo implode ( ' ', $carousel['classes']['controls'] ); ?>">
      <?php

        if ( isset ( $carousel['settings']['navigation'] ) ) {

      ?>

      <div id="<?php echo $carousel['id']; ?>-prev" class="carousel-arrow arrow-prev order-1"><i class="fas fa-arrow-left"></i></div>
      <div id="<?php echo $carousel['id']; ?>-next" class="carousel-arrow arrow-next order-3"><i class="fas fa-arrow-right"></i></div>

      <?php

        }

        if (
          isset ( $carousel['settings']['pagination'] ) &&
          (
            $carousel['settings']['pagination']['type'] == 'bullets' ||
            $carousel['settings']['pagination']['type'] == 'dynamic' ||
            $carousel['settings']['pagination']['type'] == 'fraction'
          )
        ) {

      ?>

      <!-- <div class="order-2 flex-grow-1"> -->
        <div id="<?php echo $carousel['id']; ?>-pagination" class="swiper-pagination carousel-dots"></div>
      <!-- </div> -->

      <?php

        }

      ?>

    </div>

    <?php

      }

      unset ( $GLOBALS['elements']['types'][$type]['carousel'] );

    }

  }

}

//
// TABS
//

// SETUP

function tabs_setup() {

  $tabs = array (
    'labels' => get_sub_field ( 'labels' ),
		'menu_class' => get_sub_field ( 'menu_classes' )
  );

  $all_types = array_keys ( $GLOBALS['elements']['types'] );
  $tabs_position = array_search ( get_current_element_type(), $all_types );

  if ( isset ( $all_types[$tabs_position + 1] ) ) {
    $next_type = $all_types[$tabs_position + 1];
  }

  $tabs['panel'] = $next_type;

  return $tabs;

}

// OUTPUT

function tabs_output ( $action, $type ) {

  if ( isset ( $GLOBALS['elements']['types'][$type]['tabs'] ) ) {

    if ( $action == 'open' ) {

      $GLOBALS['vars']['current_tabs'] = $type;
      //
      // echo "\n" . '<div class="row">';
      // echo "\n\t" . '<div class="col">';

      echo "\n\t\t" . '<ul class="col-12 tab-menu ' . $GLOBALS['elements']['types'][$type]['tabs']['menu_class'] . '">';

      if (
        isset ( $GLOBALS['elements']['types'][$type]['tabs']['labels'] ) &&
        !empty ( $GLOBALS['elements']['types'][$type]['tabs']['labels'] )
      ) {

        remove_filter ('the_content', 'wpautop');

        foreach ( $GLOBALS['elements']['types'][$type]['tabs']['labels'] as $label ) {



          echo "\n\t\t\t" . '<li><a>' . apply_filters ( 'the_content', $label['label'] ) . '</a></li>';
        }

        add_filter ('the_content', 'wpautop');

      }

      echo "\n\t\t" . '</ul>';
      // echo "\n\t" . '</div>';
      // echo "\n" . '</div>';

    } elseif ( $action == 'close' ) {

      $GLOBALS['vars']['current_tabs'] = '';

      unset ( $GLOBALS['elements']['types'][$type]['tabs'] );

    }

  }

}
