<?php

//
// PROGRAM
//
function posttype_program(): void {
	$labels = array(
		'name'                  => _x( 'Programs', 'Post Type General Name', 'se-posttypes' ),
		'singular_name'         => _x( 'Program', 'Post Type Singular Name', 'se-posttypes' ),
		'menu_name'             => __( 'Programs', 'se-posttypes' ),
		'name_admin_bar'        => __( 'Program', 'se-posttypes' ),
		'archives'              => __( 'Program Archives', 'se-posttypes' ),
		'attributes'            => __( 'Program Attributes', 'se-posttypes' ),
		'parent_item_colon'     => __( 'Parent Program:', 'se-posttypes' ),
		'all_items'             => __( 'All Programs', 'se-posttypes' ),
		'add_new_item'          => __( 'Add New Program', 'se-posttypes' ),
		'add_new'               => __( 'Add New', 'se-posttypes' ),
		'new_item'              => __( 'New Program', 'se-posttypes' ),
		'edit_item'             => __( 'Edit Program', 'se-posttypes' ),
		'update_item'           => __( 'Update Program', 'se-posttypes' ),
		'view_item'             => __( 'View Program', 'se-posttypes' ),
		'view_items'            => __( 'View Programs', 'se-posttypes' ),
		'search_items'          => __( 'Search Program', 'se-posttypes' ),
		'not_found'             => __( 'Not found', 'se-posttypes' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'se-posttypes' ),
		'featured_image'        => __( 'Featured Image', 'se-posttypes' ),
		'set_featured_image'    => __( 'Set featured image', 'se-posttypes' ),
		'remove_featured_image' => __( 'Remove featured image', 'se-posttypes' ),
		'use_featured_image'    => __( 'Use as featured image', 'se-posttypes' ),
		'insert_into_item'      => __( 'Insert into item', 'se-posttypes' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'se-posttypes' ),
		'items_list'            => __( 'Items list', 'se-posttypes' ),
		'items_list_navigation' => __( 'Items list navigation', 'se-posttypes' ),
		'filter_items_list'     => __( 'Filter items list', 'se-posttypes' ),
	);
	$args = array(
		'label'                 => __( 'Program', 'se-posttypes' ),
		'description'           => __( 'Post Type Description', 'se-posttypes' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', 'revisions', 'page-attributes', 'excerpt' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 21,
		'menu_icon'             => 'dashicons-portfolio',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'program', $args );
}

add_action( 'init', 'posttype_program', 0 );


//
// CHAPTER
//
function posttype_chapter(): void {
	$labels = array(
		'name'                  => _x( 'Chapters', 'Post Type General Name', 'se-posttypes' ),
		'singular_name'         => _x( 'Chapter', 'Post Type Singular Name', 'se-posttypes' ),
		'menu_name'             => __( 'Chapters', 'se-posttypes' ),
		'name_admin_bar'        => __( 'Chapter', 'se-posttypes' ),
		'archives'              => __( 'Chapter Archives', 'se-posttypes' ),
		'attributes'            => __( 'Chapter Attributes', 'se-posttypes' ),
		'parent_item_colon'     => __( 'Parent Chapter:', 'se-posttypes' ),
		'all_items'             => __( 'All Chapters', 'se-posttypes' ),
		'add_new_item'          => __( 'Add New Chapter', 'se-posttypes' ),
		'add_new'               => __( 'Add New', 'se-posttypes' ),
		'new_item'              => __( 'New Chapter', 'se-posttypes' ),
		'edit_item'             => __( 'Edit Chapter', 'se-posttypes' ),
		'update_item'           => __( 'Update Chapter', 'se-posttypes' ),
		'view_item'             => __( 'View Chapter', 'se-posttypes' ),
		'view_items'            => __( 'View Chapters', 'se-posttypes' ),
		'search_items'          => __( 'Search Chapter', 'se-posttypes' ),
		'not_found'             => __( 'Not found', 'se-posttypes' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'se-posttypes' ),
		'featured_image'        => __( 'Featured Image', 'se-posttypes' ),
		'set_featured_image'    => __( 'Set featured image', 'se-posttypes' ),
		'remove_featured_image' => __( 'Remove featured image', 'se-posttypes' ),
		'use_featured_image'    => __( 'Use as featured image', 'se-posttypes' ),
		'insert_into_item'      => __( 'Insert into item', 'se-posttypes' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'se-posttypes' ),
		'items_list'            => __( 'Items list', 'se-posttypes' ),
		'items_list_navigation' => __( 'Items list navigation', 'se-posttypes' ),
		'filter_items_list'     => __( 'Filter items list', 'se-posttypes' ),
	);
	$args = array(
		'label'                 => __( 'Chapter', 'se-posttypes' ),
		'description'           => __( 'Post Type Description', 'se-posttypes' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', 'excerpt', 'revisions' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 22,
		'menu_icon'             => 'dashicons-location-alt',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'chapter', $args );
}

add_action( 'init', 'posttype_chapter', 0 );


//
// PROJECT
//
function posttype_project(): void {
	$labels = array(
		'name'                  => _x( 'Projects', 'Post Type General Name', 'se-posttypes' ),
		'singular_name'         => _x( 'Project', 'Post Type Singular Name', 'se-posttypes' ),
		'menu_name'             => __( 'Projects', 'se-posttypes' ),
		'name_admin_bar'        => __( 'Project', 'se-posttypes' ),
		'archives'              => __( 'Project', 'se-posttypes' ),
		'attributes'            => __( 'Project Attributes', 'se-posttypes' ),
		'parent_item_colon'     => __( 'Parent Project:', 'se-posttypes' ),
		'all_items'             => __( 'All Projects', 'se-posttypes' ),
		'add_new_item'          => __( 'Add New Project', 'se-posttypes' ),
		'add_new'               => __( 'Add New', 'se-posttypes' ),
		'new_item'              => __( 'New Project', 'se-posttypes' ),
		'edit_item'             => __( 'Edit Project', 'se-posttypes' ),
		'update_item'           => __( 'Update Project', 'se-posttypes' ),
		'view_item'             => __( 'View Project', 'se-posttypes' ),
		'view_items'            => __( 'View Projects', 'se-posttypes' ),
		'search_items'          => __( 'Search Project', 'se-posttypes' ),
		'not_found'             => __( 'Not found', 'se-posttypes' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'se-posttypes' ),
		'featured_image'        => __( 'Featured Image', 'se-posttypes' ),
		'set_featured_image'    => __( 'Set featured image', 'se-posttypes' ),
		'remove_featured_image' => __( 'Remove featured image', 'se-posttypes' ),
		'use_featured_image'    => __( 'Use as featured image', 'se-posttypes' ),
		'insert_into_item'      => __( 'Insert into item', 'se-posttypes' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'se-posttypes' ),
		'items_list'            => __( 'Items list', 'se-posttypes' ),
		'items_list_navigation' => __( 'Items list navigation', 'se-posttypes' ),
		'filter_items_list'     => __( 'Filter items list', 'se-posttypes' ),
	);
	$args = array(
		'label'                 => __( 'Project', 'se-posttypes' ),
		'description'           => __( 'Post Type Description', 'se-posttypes' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', 'excerpt' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 25,
		'menu_icon'             => 'dashicons-media-interactive',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'project', $args );
}

add_action( 'init', 'posttype_project', 0 );

//
// EVENT
//
function posttype_event(): void {
	$labels = array(
		'name'                  => _x( 'Events', 'Post Type General Name', 'se-posttypes' ),
		'singular_name'         => _x( 'Event', 'Post Type Singular Name', 'se-posttypes' ),
		'menu_name'             => __( 'Events', 'se-posttypes' ),
		'name_admin_bar'        => __( 'Event', 'se-posttypes' ),
		'archives'              => __( 'Event Archives', 'se-posttypes' ),
		'attributes'            => __( 'Event Attributes', 'se-posttypes' ),
		'parent_item_colon'     => __( 'Parent Event:', 'se-posttypes' ),
		'all_items'             => __( 'All Events', 'se-posttypes' ),
		'add_new_item'          => __( 'Add New Event', 'se-posttypes' ),
		'add_new'               => __( 'Add New', 'se-posttypes' ),
		'new_item'              => __( 'New Event', 'se-posttypes' ),
		'edit_item'             => __( 'Edit Event', 'se-posttypes' ),
		'update_item'           => __( 'Update Event', 'se-posttypes' ),
		'view_item'             => __( 'View Event', 'se-posttypes' ),
		'view_items'            => __( 'View Events', 'se-posttypes' ),
		'search_items'          => __( 'Search Event', 'se-posttypes' ),
		'not_found'             => __( 'Not found', 'se-posttypes' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'se-posttypes' ),
		'featured_image'        => __( 'Featured Image', 'se-posttypes' ),
		'set_featured_image'    => __( 'Set featured image', 'se-posttypes' ),
		'remove_featured_image' => __( 'Remove featured image', 'se-posttypes' ),
		'use_featured_image'    => __( 'Use as featured image', 'se-posttypes' ),
		'insert_into_item'      => __( 'Insert into item', 'se-posttypes' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'se-posttypes' ),
		'items_list'            => __( 'Items list', 'se-posttypes' ),
		'items_list_navigation' => __( 'Items list navigation', 'se-posttypes' ),
		'filter_items_list'     => __( 'Filter items list', 'se-posttypes' ),
	);
	$args = array(
		'label'                 => __( 'Event', 'se-posttypes' ),
		'description'           => __( 'Post Type Description', 'se-posttypes' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', 'editor' ),
		'taxonomies'						=> array(	'category', 'post_tag' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 24,
		'menu_icon'             => 'dashicons-calendar',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'event', $args );
}

add_action( 'init', 'posttype_event', 0 );

//
// Fellow
//
function posttype_fellow(): void {
	$labels = array(
		'name'                  => _x( 'Fellows', 'Post Type General Name', 'se-posttypes' ),
		'singular_name'         => _x( 'fellow', 'Post Type Singular Name', 'se-posttypes' ),
		'menu_name'             => __( 'Fellows', 'se-posttypes' ),
		'name_admin_bar'        => __( 'Fellow', 'se-posttypes' ),
		'archives'              => __( 'Fellow Archives', 'se-posttypes' ),
		'attributes'            => __( 'Fellow Attributes', 'se-posttypes' ),
		'parent_item_colon'     => __( 'Parent Fellow:', 'se-posttypes' ),
		'all_items'             => __( 'All Fellows', 'se-posttypes' ),
		'add_new_item'          => __( 'Add New Fellow', 'se-posttypes' ),
		'add_new'               => __( 'Add New', 'se-posttypes' ),
		'new_item'              => __( 'New Fellow', 'se-posttypes' ),
		'edit_item'             => __( 'Edit Fellow', 'se-posttypes' ),
		'update_item'           => __( 'Update Fellow', 'se-posttypes' ),
		'view_item'             => __( 'View Fellow', 'se-posttypes' ),
		'view_items'            => __( 'View Fellows', 'se-posttypes' ),
		'search_items'          => __( 'Search Fellow', 'se-posttypes' ),
		'not_found'             => __( 'Not found', 'se-posttypes' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'se-posttypes' ),
		'featured_image'        => __( 'Featured Image', 'se-posttypes' ),
		'set_featured_image'    => __( 'Set featured image', 'se-posttypes' ),
		'remove_featured_image' => __( 'Remove featured image', 'se-posttypes' ),
		'use_featured_image'    => __( 'Use as featured image', 'se-posttypes' ),
		'insert_into_item'      => __( 'Insert into item', 'se-posttypes' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'se-posttypes' ),
		'items_list'            => __( 'Items list', 'se-posttypes' ),
		'items_list_navigation' => __( 'Items list navigation', 'se-posttypes' ),
		'filter_items_list'     => __( 'Filter items list', 'se-posttypes' ),
	);
	$args = array(
		'label'                 => __( 'fellow', 'se-posttypes' ),
		'description'           => __( 'Post Type Description', 'se-posttypes' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', 'revisions', 'page-attributes', 'excerpt' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 28,
		'menu_icon'             => 'dashicons-id-alt',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'fellow', $args );
}

add_action( 'init', 'posttype_fellow', 0 );

//
// SECT
//
function posttype_sect(): void
{
	$labels = array(
		'name'                  => _x( 'Sect', 'Post Type General Name', 'se-posttypes' ),
		'singular_name'         => _x( 'Sect', 'Post Type Singular Name', 'se-posttypes' ),
		'menu_name'             => __( 'Sect', 'se-posttypes' ),
		'name_admin_bar'        => __( 'Sect', 'se-posttypes' ),
		'archives'              => __( 'Sect Archives', 'se-posttypes' ),
		'attributes'            => __( 'Sect Attributes', 'se-posttypes' ),
		'parent_item_colon'     => __( 'Parent sect:', 'se-posttypes' ),
		'all_items'             => __( 'All sect', 'se-posttypes' ),
		'add_new_item'          => __( 'Add New sect', 'se-posttypes' ),
		'add_new'               => __( 'Add New', 'se-posttypes' ),
		'new_item'              => __( 'New sect', 'se-posttypes' ),
		'edit_item'             => __( 'Edit sect', 'se-posttypes' ),
		'update_item'           => __( 'Update sect', 'se-posttypes' ),
		'view_item'             => __( 'View sect', 'se-posttypes' ),
		'view_items'            => __( 'View sect', 'se-posttypes' ),
		'search_items'          => __( 'Search sect', 'se-posttypes' ),
		'not_found'             => __( 'Not found', 'se-posttypes' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'se-posttypes' ),
		'featured_image'        => __( 'Featured Image', 'se-posttypes' ),
		'set_featured_image'    => __( 'Set featured image', 'se-posttypes' ),
		'remove_featured_image' => __( 'Remove featured image', 'se-posttypes' ),
		'use_featured_image'    => __( 'Use as featured image', 'se-posttypes' ),
		'insert_into_item'      => __( 'Insert into item', 'se-posttypes' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'se-posttypes' ),
		'items_list'            => __( 'Items list', 'se-posttypes' ),
		'items_list_navigation' => __( 'Items list navigation', 'se-posttypes' ),
		'filter_items_list'     => __( 'Filter items list', 'se-posttypes' ),
	);
	$args = array(
		'label'                 => __( 'sect', 'se-posttypes' ),
		'description'           => __( 'Post Type Description', 'se-posttypes' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', 'revisions', 'page-attributes', 'excerpt' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 21,
		'menu_icon'             => 'dashicons-id-alt',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'sect', $args );
}

add_action( 'init', 'posttype_sect', 0 );	
	
//
// SEGP
//
function posttype_segp(): void {
	$labels = array(
		'name'                  => _x( 'segp', 'Post Type General Name', 'se-posttypes' ),
		'singular_name'         => _x( 'segp', 'Post Type Singular Name', 'se-posttypes' ),
		'menu_name'             => __( 'segp', 'se-posttypes' ),
		'name_admin_bar'        => __( 'segp', 'se-posttypes' ),
		'archives'              => __( 'segp Archives', 'se-posttypes' ),
		'attributes'            => __( 'segp Attributes', 'se-posttypes' ),
		'parent_item_colon'     => __( 'Parent segp:', 'se-posttypes' ),
		'all_items'             => __( 'All segp', 'se-posttypes' ),
		'add_new_item'          => __( 'Add New segp', 'se-posttypes' ),
		'add_new'               => __( 'Add New', 'se-posttypes' ),
		'new_item'              => __( 'New segp', 'se-posttypes' ),
		'edit_item'             => __( 'Edit segp', 'se-posttypes' ),
		'update_item'           => __( 'Update segp', 'se-posttypes' ),
		'view_item'             => __( 'View segp', 'se-posttypes' ),
		'view_items'            => __( 'View segp', 'se-posttypes' ),
		'search_items'          => __( 'Search segp', 'se-posttypes' ),
		'not_found'             => __( 'Not found', 'se-posttypes' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'se-posttypes' ),
		'featured_image'        => __( 'Featured Image', 'se-posttypes' ),
		'set_featured_image'    => __( 'Set featured image', 'se-posttypes' ),
		'remove_featured_image' => __( 'Remove featured image', 'se-posttypes' ),
		'use_featured_image'    => __( 'Use as featured image', 'se-posttypes' ),
		'insert_into_item'      => __( 'Insert into item', 'se-posttypes' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'se-posttypes' ),
		'items_list'            => __( 'Items list', 'se-posttypes' ),
		'items_list_navigation' => __( 'Items list navigation', 'se-posttypes' ),
		'filter_items_list'     => __( 'Filter items list', 'se-posttypes' ),
	);
	$args = array(
		'label'                 => __( 'segp', 'se-posttypes' ),
		'description'           => __( 'Post Type Description', 'se-posttypes' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', 'revisions', 'page-attributes', 'excerpt' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 21,
		'menu_icon'             => 'dashicons-id-alt',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'segp', $args );
}

add_action( 'init', 'posttype_segp', 0 );
