<?php

function register_taxonomies() {

  $taxonomies = array (
    array (
      'slug' => 'influencer',
      'single' => 'Influence',
      'plural' => 'Influences',
      'menu' => 'Map — Influences',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'source',
      'single' => 'Source',
      'plural' => 'Sources',
      'menu' => 'Map — Sources',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'production',
      'single' => 'Production',
      'plural' => 'Productions',
      'menu' => 'Map — Productions',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'transport',
      'single' => 'Transport',
      'plural' => 'Transports',
      'menu' => 'Map — Transports',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'conversion',
      'single' => 'Conversion',
      'plural' => 'Conversions',
      'menu' => 'Map — Conversions',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'form',
      'single' => 'Form',
      'plural' => 'Forms',
      'menu' => 'Map — Forms',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'distribution',
      'single' => 'Distribution',
      'plural' => 'Distributions',
      'menu' => 'Map — Distributions',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'use',
      'single' => 'Use',
      'plural' => 'Uses',
      'menu' => 'Map — Uses',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'other',
      'single' => 'Influence',
      'plural' => 'Other Influences',
      'menu' => 'Map — Other Influences',
      'post_type' => array ( 'post' )
    ),
    array (
      'slug' => 'region',
      'single' => 'Region',
      'plural' => 'Regions',
      'menu' => 'Regions',
      'post_type' => array ( 'chapter' )
    ),
  );

  foreach ( $taxonomies as $taxonomy ) {

  	$labels = array(
  		'name'                       => _x( $taxonomy['plural'], 'Taxonomy General Name', 'text_domain' ),
  		'singular_name'              => _x( $taxonomy['single'], 'Taxonomy Singular Name', 'text_domain' ),
  		'menu_name'                  => __( $taxonomy['menu'], 'text_domain' ),
  		'all_items'                  => __( 'All ' . $taxonomy['plural'], 'text_domain' ),
  		'parent_item'                => __( 'Parent ' . $taxonomy['single'], 'text_domain' ),
  		'parent_item_colon'          => __( 'Parent ' . $taxonomy['single'] . ':', 'text_domain' ),
  		'new_item_name'              => __( 'New ' . $taxonomy['single'] . ' Name', 'text_domain' ),
  		'add_new_item'               => __( 'Add New ' . $taxonomy['single'], 'text_domain' ),
  		'edit_item'                  => __( 'Edit ' . $taxonomy['single'], 'text_domain' ),
  		'update_item'                => __( 'Update ' . $taxonomy['single'], 'text_domain' ),
  		'view_item'                  => __( 'View ' . $taxonomy['single'], 'text_domain' ),
  		'separate_items_with_commas' => __( 'Separate items with commas', 'text_domain' ),
  		'add_or_remove_items'        => __( 'Add or remove items', 'text_domain' ),
  		'choose_from_most_used'      => __( 'Choose from the most used', 'text_domain' ),
  		'popular_items'              => __( 'Popular Items', 'text_domain' ),
  		'search_items'               => __( 'Search Items', 'text_domain' ),
  		'not_found'                  => __( 'Not Found', 'text_domain' ),
  		'no_terms'                   => __( 'No items', 'text_domain' ),
  		'items_list'                 => __( 'Items list', 'text_domain' ),
  		'items_list_navigation'      => __( 'Items list navigation', 'text_domain' ),
  	);

  	$args = array(
  		'labels'                     => $labels,
  		'hierarchical'               => true,
  		'public'                     => true,
  		'show_ui'                    => true,
  		'show_admin_column'          => true,
  		'show_in_nav_menus'          => true,
  		'show_tagcloud'              => true,
  	);

  	register_taxonomy ( $taxonomy['slug'], $taxonomy['post_type'], $args );

  }

}

add_action ( 'init', 'register_taxonomies', 0 );
