var current_script = document.currentScript.src
var filename = current_script.split('/').pop()
var child_theme_dir = current_script.replace('/resources/js/' + filename, '') + '/'

var child_logging = true;

(function ($) {
    $(function () {

        //
        // CHILD THEME URL
        //

        $(document).data('child_theme_dir', child_theme_dir)

        //
        //
        //

        $('#home-hero .section-wrap').css('padding-top', function () {
            return $('#page-header').outerHeight()
        })

        $(window).resize(function () {
            $('#home-hero .section-wrap').css('padding-top', $('#page-header').outerHeight())
        })

        //
        // MISC
        //

        $('#program-detail').hide()

        $('#program-detail-expand').removeClass('smooth-scroll smooth-scroll-link').click(function (e) {
            e.preventDefault()

            if ($('#program-detail').hasClass('open')) {
                $(this).find('.btn-text').text('Show Details')
                $(this).find('i').removeClass('fa-rotate-180')
                $('#program-detail').slideUp().removeClass('open')
            } else {
                $(this).find('.btn-text').text('Close Details')
                $(this).find('i').addClass('fa-rotate-180')
                $('#program-detail').slideDown().addClass('open')
            }

        })

        $('.team-bio .bio-content').hide()

        $('.team-bio .bio-head').click(function (e) {
            e.preventDefault()

            if ($(this).next('.bio-content').hasClass('open')) {
                $(this).next('.bio-content').slideUp().removeClass('open')
                $(this).find('i').removeClass('fa-rotate-180')
            } else {
                $(this).next('.bio-content').slideDown().addClass('open')
                $(this).find('i').addClass('fa-rotate-180')
            }

        })

        // topic - hide contributors if empty

        if ($('#hero-contributors').length && !$('#hero-contributors .contributor').length) {
            $('#hero-contributors').hide()
        }

        if ($('#hero-reviewers').length && !$('#hero-reviewers .contributor').length) {
            $('#hero-reviewers').hide()
        }

        //
        // VENDOR
        //

        // BOOTSTRAP

        $('#header-navigation-collapse').on('hide.bs.collapse', function () {
            $('#header-navigation button i').removeClass('fa-times').addClass('fa-bars')
        }).on('show.bs.collapse', function () {
            $('#header-navigation button i').removeClass('fa-bars').addClass('fa-times')
        })

        // SWIPER

        swipers.forEach(function (swiper) {
            if (swiper.id === 'hero-images-swiper-container') {
                swiper.instance.destroy()

                swiper.settings.pagination = {
                    clickable: true,
                    el: '#hero-text-pagination',
                    type: 'bullets'
                }

                swiper.instance = new Swiper('#' + swiper.id, swiper.settings)

                // swiper.instance.update()
            }

        })

        // STICKY KIT

        $('#topic-sidebar-inner').stick_in_parent({
            offset_top: sticky_offset
        })

        //
        // CHAPTERS
        //

        if ($('.chapter-count').length) {

            inView.threshold(0.5)

            $('.chapter-count h2').each(function (e) {
                $(this).css('opacity', 0).css('transition', 'opacity 1.5s ease')
                $(this).attr('data-val', $(this).text().replace(',', ''))
            })

            inView('.chapter-count')
                .on('enter', function (element) {

                    var this_h2 = $(element).find('h2'),
                        this_val = parseInt(this_h2.attr('data-val').replace(',', '')),
                        this_interval = 1000 / this_val,
                        this_counter = 0

                    if (this_val > 500) {
                        this_counter = this_val - 200
                    }

                    this_h2.css('opacity', 1).text(this_counter)

                    $({countNum: this_h2.text()}).animate(
                        {
                            countNum: this_val
                        },
                        {
                            duration: 1500,
                            easing: 'linear',
                            step: function () {
                                this_h2.text(Math.floor(this.countNum).toLocaleString())
                            },
                            complete: function () {
                                this_h2.text(this.countNum.toLocaleString())
                            }

                        }
                    )

                })
                .on('exit', function (element) {
                    $(element).find('h2').css('opacity', 0).text($(element).attr('data-val'))
                })

        }

        //
        // PLATFORM
        //

        if ($('#platform-grid').length) {

            // grid

            $('#platform-grid').isotope({
                itemSelector: '.topic'
            })

            var grid_data = $('#platform-grid').data('isotope')

            // system view

            $('body').on('click', '.view-toggle', function (e) {

                var card = $(this).closest('.term-card')

                if (card.hasClass('system-view')) {

                    card.removeClass('system-view')

                    $(this).find('.btn-text').text('View in system')

                } else {

                    card.addClass('system-view')

                    $(this).find('.btn-text').text('View detail')

                }

            })

            // clear filters

            $('#clear-filters').click(function () {

                $('#platform-filter select').val(null).trigger('change')

            })

            // SELECT2

            $('#platform-filter select').select2({
                theme: 'bootstrap4',
                width: '100%'
            }).on('select2:select', function (e) {

                if ($(this).attr('id') == 'filter-search') {

                    var selected_val = e.params.data.id,
                        selected_group = $(e.params.data.element).closest('optgroup').attr('data-slug'),
                        current_val = $('#filter-' + selected_group).val()

                    if (current_val == null || current_val == '') {
                        current_val = []
                    }

                    // current_val[] = selected_val

                    current_val.push(selected_val)

                    $('#filter-' + selected_group).val(current_val).trigger('change')

                    $(this).val(null).trigger('change')

                }

                // console.log($(this).val())
            }).on('change', function (e) {

                var term_filters = []

                $('#platform-filter select').each(function (e) {
                    if ($(this).val() != null && $(this).val() != '') {
                        // console.log($(this).attr('id'), $(this).val())
                        term_filters = term_filters.concat($(this).val())
                    }
                })

                // console.log(term_filters)

                $('#platform-grid').isotope({
                    filter: function () {

                        var is_match = true

                        for (i = 0; i < term_filters.length; i++) {

                            if (!$(this).attr('data-terms').includes(term_filters[i].toString())) {
                                is_match = false
                                break
                            }

                        }

                        if (is_match == true) {
                            // console.log($(this).find('h4').text())
                        }

                        return is_match

                    }
                });

                update_count()

            })

        }

        function update_count() {

            $('#term-count span').text(grid_data.filteredItems.length)

            if (grid_data.filteredItems.length == grid_data.items.length) {
                $('#clear-filters').fadeOut(250)
            } else {
                $('#clear-filters').fadeIn(250)
            }

        }

        //
        // TOPIC
        //

        if ($('body').find('.jump-menu').length) {

            // console.log('sp')

            $('body').addClass('menu-reversed')

            $(window).scroll(function () {

                if ($(window).scrollTop() >= ($('#hero').outerHeight() - $('.scroll-progress').outerHeight())) {
                    $('body').removeClass('menu-reversed')
                } else {
                    $('body').addClass('menu-reversed')
                }

            })

        }

        if (child_logging == true) {
            console.log('end of child-functions.js')
            console.log('- - - - -')
        }

        //
        //

        if ($('#insta-feed').length) {

            inView('#insta-feed')
                .on('enter', function (element) {

                    $('#twitter-feed').find('.alert').fadeIn(125)

                    $.ajax({
                        url: $(document).data('child_theme_dir') + 'template/instagram-feed.php?get_insta_posts=1',
                        success: function (data) {
                            $('#insta-feed').html(data)
                        }
                    })

                })

        }

        if ($('#twitter-feed').length) {

            inView('#twitter-feed')
                .on('enter', function (element) {

                    $('#twitter-feed').find('.alert').fadeIn(125)

                    $.ajax({
                        url: $(document).data('child_theme_dir') + 'template/twitter-feed.php?get_tweet=1',
                        success: function (data) {
                            $('#twitter-feed').html(data)
                        }
                    })

                })

        }

        //
        // FIND EXTERNAL LINKS
        //

        $('body').find('a').each(function () {
            if (
                typeof $(this).attr('href') != 'undefined' &&
                $(this).attr('href').charAt(0) != '#' &&
                $(this).attr('href').indexOf('studentenergy.org') === -1
            ) {

                if (
                    typeof $(this).attr('target') == 'undefined' ||
                    $(this).attr('target') != '_blank'
                ) {
                    $(this).attr('target', '_blank')
                }

            }
        })

    });
})(jQuery);
