// map displayed on a single post

(function ($) {
    jQuery(function ($) {
        const mapContainers = $(".block-type-map")

        for (const mapContainer of mapContainers) {
            const markersDataDiv = mapContainer.firstElementChild

            let init_coords = [
                markersDataDiv.getAttribute('data-lat'),
                markersDataDiv.getAttribute('data-lng')
            ]

            let chapter_map = L.map(mapContainer, {
                center: init_coords,
                zoom: 6,
                zoomControl: false
            })

            // ZOOM
            new L.Control.Zoom({
                position: 'bottomleft'
            }).addTo(chapter_map)

            // BASEMAP
            L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token=pk.eyJ1Ijoic2UtY29tbXVuaWNhdGlvbnMiLCJhIjoiY2xraHgzbW1xMDRuYjNqdDg0MGVzMXRmeiJ9.sG1SQ6nMLwkXtFANYMFhqA', {
                minZoom: 2,
                maxZoom: 18,
                attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, ' +
                    '<a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' +
                    'Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
                id: 'mapbox/light-v9',
                tileSize: 512,
                zoomOffset: -1
            }).addTo(chapter_map)

            let chapter_marker = L.icon({
                iconUrl: $(document).data('child_theme_dir') + 'resources/img/marker.png',
                iconSize: [20, 30],
                iconAnchor: [10, 30],
                popupAnchor: [0, -40]
            })

            let marker = L.marker(init_coords, {icon: chapter_marker}).addTo(chapter_map)

            const marker_html = '<h4 class="text-white">' + $('#hero h1').text() + '</h4>'

            marker.bindPopup(marker_html, {className: 'chapter-popup'}).openPopup();
        }
    })
})(jQuery)
