<?php

do_action('h7_before_header');

get_header();

do_action('h7_after_header');

if (have_posts()) : while (have_posts()) : the_post();

    //
    // HERO
    //

    content_loop('elements', 1649);

    ?>

    <div id="single-post" class="h7-section h7-page-section">
        <div class="section-wrap">

            <div class="h7-container container-fluid auto-generated first-of-type">
                <div class="row h7-container-row">

                    <?php

                    //
                    // SIDEBAR
                    //

                    get_sidebar('event');

                    //
                    // CONTENT
                    //

                    ?>

                    <article id="post-content" class="col-10 bg-white">
                        <?php

                        // DESCRIPTION

                        if (get_field('event_description', escape_html: true) != '') {
                            ?>

                            <div id="event-description" class="h7-section h7-page-section py-6">
                                <div class="section-wrap">

                                    <div class="row">
                                        <div class="col-6-of-10 offset-1-of-10">
                                            <h3 class="text-secondary"><?php _e('About the event'); ?></h3>

                                            <div id="" class="block-type-text h7-block first-of-type block-type-text">
                                                <div class="block-text">
                                                    <?php echo get_field('event_description', escape_html: true); ?>

                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                </div>
                            </div>

                            <?php

                        }

                        // LOCATION

                        $location_data = get_field('event_location');

                        $location_map_class = 'col-8-of-10';

                        if (
                        !empty ($location_data['markers']) ||
                        get_field('event_location-text') != ''
                        ) {

                        ?>

                        <div id="event-location" class="h7-section h7-page-section py-6">
                            <div class="section-wrap">
                                <div class="row">
                                    <div class="col-8-of-10 offset-1-of-10">
                                        <h3 class="text-secondary"><?php _e('Location'); ?></h3>
                                    </div>
                                </div>

                                <div class="row">

                                    <?php

                                    if (get_field('event_location-text') != '') {
                                        $location_map_class = 'has-text col-5-of-10';

                                        ?>

                                        <div class="col-8-of-10 offset-1-of-10">
                                            <?php the_field('event_location-text'); ?>
                                        </div>

                                        <?php

                                    }

                                    if (!empty ($location_data['markers'])) {

                                        ?>

                                        <div class="<?php echo $location_map_class; ?> offset-1-of-10 order-1">

                                            <div id="" class="block-type-text h7-block first-of-type block-type-text">
                                                <div class="block-text">
                                                    <?php

                                                    $map_ID = get_current_element_ID();

                                                    ?>

                                                    <div
                                                            id="event-location-map-data"
                                                            class="d-none"
                                                            data-markers='<?php echo json_encode($location_data['markers']); ?>'
                                                    ></div>

                                                    <div id="event-location-map-container" class="map-container">
                                                        <div id="event-location-map-map" class="renderable"
                                                             data-renderable-type="map"
                                                             data-js='["event-locations"]'
                                                        >
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>

                                        </div>

                                        <?php

                                    }

                                    ?>

                                </div>
                            </div>

                            <?php

                            }

                            ?>

                    </article>

                </div><!-- row -->
            </div><!-- container -->

        </div><!-- .section-wrap -->
    </div>

<?php

endwhile; endif;

do_action('h7_before_footer');

get_footer();

?>
