<?php

	$user_query = new WP_User_Query ( array (
		'meta_key' => 'user_order',
		'orderby' => 'meta_value',
		'order' => 'asc',
		'meta_query' => array(
			'relation' => 'AND',
			array(
				'key' => 'user_type',
				'value' => 'staff',
				'compare' => '=',
			),
			array(
				'key' => 'user_display_management',
				'value' => 1,
				'compare' => '=',
			),
		)
	) );

	if ( ! empty( $user_query->get_results() ) ) {

		foreach ( $user_query->get_results() as $user ) {

			$user_acf_ID = 'user_' . $user->ID;

			$user_content = get_field ( 'user_content', $user_acf_ID );

			$user_photo = get_user_meta ( $user->ID, 'user_content_photo', true );

?>

<div class="team-bio mb-3">
	<div class="bio-head d-flex align-items-center justify-content-between pb-1 border-bottom">

		<?php

			if ( $user_photo != '' ) {

		?>

		<div class="bio-photo mr-3">
			<img src="<?php echo wp_get_attachment_image_url ( $user_photo, 'thumbnail' ); ?>">
		</div>

		<?php

			}

		?>

		<div class="flex-grow-1">
			<h4 class="mb-1"><?php echo $user->first_name . ' ' . $user->last_name; ?></h4>
			<h5 class="mb-0 no-caps text-body"><?php echo $user_content['title']; ?></h5>
		</div>

		<div class="bio-expand pt-1 px-1 pb-0"><i class="fas fa-caret-down fa-lg"></i></div>
	</div>

	<div class="bio-content">
		<div class="p-3 bg-light">
			<?php

				echo apply_filters ( 'the_content', $user->description );

			?>

			<div class="bio-footer d-flex align-items-center">

				<?php

					if ( have_rows ( 'user_display', $user_acf_ID ) ) {
						while ( have_rows ( 'user_display', $user_acf_ID ) ) {
							the_row();

							if ( get_sub_field ( 'archive' ) == 1 ) {

								echo '<a href="' . get_author_posts_url ( $user->ID ) . '" class="btn btn-sm btn-light2 mr-2">' . __ ( 'View blog posts' ) . '</a>';

							}

						}
					}

					if ( have_rows ( 'user_content', $user_acf_ID ) ) {
		        while ( have_rows ( 'user_content', $user_acf_ID ) ) {
		          the_row();

		          if ( have_rows ( 'social', $user_acf_ID ) ) {

		    ?>

		    <div class="user-socials d-flex justify-content-end">

		      <?php

	            while ( have_rows ( 'social', $user_acf_ID ) ) {
	              the_row();

	              if ( get_sub_field ( 'twitter' ) != '' ) {
	                echo '<a href="//twitter.com/' . get_sub_field ( 'twitter' ) . '" target="_blank" class="text-secondary mr-1"><i class="fab fa-twitter"></i></a>';
	              }

	              if ( get_sub_field ( 'instagram' ) != '' ) {
	                echo '<a href="//instagram.com/' . get_sub_field ( 'instagram' ) . '" target="_blank" class="text-secondary mr-1"><i class="fab fa-instagram"></i></a>';
	              }

	              if ( get_sub_field ( 'facebook' ) != '' ) {
	                echo '<a href="//facebook.com/' . get_sub_field ( 'facebook' ) . '" target="_blank" class="text-secondary mr-1"><i class="fab fa-facebook"></i></a>';
	              }

	              if ( get_sub_field ( 'linkedin' ) != '' ) {
	                echo '<a href="//linkedin.com/' . get_sub_field ( 'linkedin' ) . '" target="_blank" class="text-secondary mr-1"><i class="fab fa-linkedin"></i></a>';
	              }

	              if ( get_sub_field ( 'email' ) != '' ) {
	                echo '<a href="mailto:' . get_sub_field ( 'email' ) . '" class="text-secondary mr-1"><i class="fas fa-at"></i></a>';
	              }

	              if ( get_sub_field ( 'website' ) != '' ) {
	                echo '<a href="' . get_sub_field ( 'website' ) . '" target="_blank" class="text-secondary mr-1"><i class="fas fa-link"></i></a>';
	              }

	            }

		    	?>

		    </div>

		    <?php

		          }
		        }
		      }

				?>
			</div>
		</div>
	</div>
</div>

<?php

		}

	} else {

?>

<p class="alert alert-danger">Something went wrong while retrieving this content.</p>

<?php

	}
