<?php

	resolve_elements ( 'section' );

  $projects_query = new WP_Query ( array (
    'post_type' => 'project',
    'post_status' => 'publish',
    'posts_per_page' => -1,
    'meta_query' => array (
      'relation' => 'AND',
      array(
        'key'     => 'project_chapter',
        'value'   => get_the_ID(),
        'compare' => 'LIKE'
      )
    )
  ) );

  if ( $projects_query->have_posts() ) :

		wp_enqueue_script ( 'swiper' );

?>

<div id="projects" class="h7-section h7-page-section py-5">
	<div class="section-wrap">

		<div id="projects-container-1" class="h7-container container-fluid auto-generated first-of-type">
			<div class="row h7-container-row ">

				<div id="projects-container-1-column-1" class="h7-column first-of-type col-10 offset-1">

					<div id="projects-container-1-column-1-block-1" class="block-type-heading h7-block first-of-type">
						<h2 class="heading-text text-green3">Projects</h2>

					</div><!-- block -->
				</div><!-- column -->

			</div><!-- row -->
		</div><!-- container -->

		<div id="projects-slider-container" class="h7-container container-fluid">
			<div class="row h7-container-row mb-5">

				<div id="projects-slider" class="h7-column first-of-type carousel-container col-12">
					<div id="projects-slider-swiper-container" class="swiper-container carousel render-me" data-swiper-settings='{
						"slidesPerView":1,
						"slidesPerGroup":1,
						"simulateTouch":false,
						"effect":"slide",
						"loop":true,
						"pagination":{
							"el":"#projects-slider-pagination",
							"type":"bullets",
							"clickable":true
						},
						"autoplay":{
							"delay":8000
						}
					}'>

						<div class="swiper-wrapper">

							<?php

								$i = 0;

						    while ( $projects_query->have_posts() ) :
						      $projects_query->the_post();

							?>

							<div id="projects-slide-<?php echo $i; ?>" class="swiper-slide row">
								<div class="col-11 offset-1">

									<div class="bg opacity-100 bg-position-center-center bg-size-cover bg-attachment-scroll" style="background-image: url(<?php echo get_the_post_thumbnail_url ( get_the_ID(), 'bg' ); ?>);"></div>

									<div id="" class="block-type-text h7-block d-flex align-items-end min-height-75">

										<div id="" class="block-type-text h7-block p-4 col-5-of-11 offset-5-of-11 has-bg bg-white block-type-text">
											<div class="block-text">
								        <h5><?php the_title(); ?></h5>
								        <p><?php echo custom_excerpt ( 40 ); ?></p>
								      </div>

										</div>
									</div>
								</div>

								<div id="" class="h7-column col-3 offset-6">
									<div id="" class="block-type-buttons h7-block first-of-type block-type-buttons">
										<a href="<?php the_permalink(); ?>" class="btn-lg d-block btn next-section has-icon icon-after btn-secondary text-dark btn-outline-inherit"><span class="btn-text">Learn more</span><i class="icon fas fa-long-arrow-alt-right text-white"></i></a>
									</div>
								</div>
							</div><!-- swiper-slide -->

							<?php

									$i++;

						    endwhile;

							?>

						</div><!-- swiper-wrapper -->

					</div><!-- swiper-container -->

					<div class="carousel-controls has-pagination pagination-type-bullets">
						<div id="projects-slider-pagination" class="swiper-pagination carousel-dots"></div>
					</div><!-- controls -->

				</div><!-- column -->

			</div><!-- row -->
		</div><!-- container -->

	</div><!-- .section-wrap -->
</div>

<?php

  endif;

  wp_reset_postdata();
