<?php

	$user_query = new WP_User_Query ( array (
		'meta_query' => array(
			'relation' => 'AND',
			array(
				'key' => 'user_chapter',
				'value' => get_the_ID(),
				'compare' => '=',
			),
			array(
				'key' => 'user_display_chapter',
				'value' => 1,
				'compare' => '=',
			),
		)
	) );

	if ( ! empty( $user_query->results ) ) {

		wp_enqueue_script ( 'swiper' );
?>

<div id="users" class="h7-section h7-page-section py-5">
	<div class="section-wrap">

		<div id="users-container-1" class="h7-container container-fluid auto-generated first-of-type">
			<div class="row h7-container-row ">

				<div id="users-container-1-column-1" class="h7-column first-of-type col-10 offset-1">

					<div id="users-container-1-column-1-block-1" class="block-type-heading h7-block first-of-type">
						<h2 class="heading-text "><?php _e ( 'Make Contact', 'student-energy' ); ?></h2>

					</div><!-- block -->
				</div><!-- column -->

			</div><!-- row -->
		</div><!-- container -->
		<div id="users-container-2" class="h7-container container-fluid">
			<div class="row h7-container-row ">

				<div id="users-container-2-column-1" class="h7-column first-of-type col-11 offset-1">

					<div id="users-container-2-column-1-block-1" class="block-type-template h7-block first-of-type carousel-container"><div id="users-container-2-column-1-block-1-swiper-container" class="swiper-container carousel  render-me" data-swiper-settings='{"slidesPerView":1,"slidesPerGroup":1,"simulateTouch":false,"breakpoints":{"576":{"slidesPerView":2},"768":{"slidesPerView":3},"1200":{"slidesPerView":4,"slidesPerGroup":1}},"effect":"slide","navigation":{"prevEl":"#users-container-2-column-1-block-1-prev","nextEl":"#users-container-2-column-1-block-1-next"}}'>
						<div class="swiper-wrapper">

							<?php

								foreach ( $user_query->results as $user ) {

									$author_data = get_author_info ( $user->ID );

									$user_acf_ID = 'user_' . $author_data['id'];

									if ( have_rows ( 'user_content', $user_acf_ID ) ) {
										while ( have_rows ( 'user_content', $user_acf_ID ) ) {
											the_row();

											$user_photo = wp_get_attachment_image_url ( get_sub_field ( 'photo' ), 'large' );
											$user_title = get_sub_field ( 'title' );

										}
									}

							?>

							<div class="swiper-slide card pt-8 bg-dark has-bg">
								<?php

									if ( $user_photo != '' ) {

								?>

								<div class="bg opacity-80" style="background-image: url(<?php echo $user_photo; ?>);"></div>

								<?php

									}

								?>

								<div class="card-body mx-2 mt-8 bg-blue3 bg-opacity-80 text-white">
									<h4 class="card-title text-secondary"><?php echo $author_data['name']; ?></h4>

									<?php

										if ( $user_title != '' ) {

									?>

									<h6><?php echo $user_title; ?></h6>

									<?php

										}

										if ( have_rows ( 'user_content', $user_acf_ID ) ) {
											while ( have_rows ( 'user_content', $user_acf_ID ) ) {
												the_row();

												if ( have_rows ( 'social', $user_acf_ID ) ) {

									?>

									<div class="user-socials d-flex justify-content-end">

										<?php

													while ( have_rows ( 'social', $user_acf_ID ) ) {
														the_row();

														if ( get_sub_field ( 'twitter' ) != '' ) {
															echo '<a href="//twitter.com/' . get_sub_field ( 'twitter' ) . '" target="_blank" class="text-secondary ml-1"><i class="fab fa-twitter"></i></a>';
														}

														if ( get_sub_field ( 'instagram' ) != '' ) {
															echo '<a href="//instagram.com/' . get_sub_field ( 'instagram' ) . '" target="_blank" class="text-secondary ml-1"><i class="fab fa-instagram"></i></a>';
														}

														if ( get_sub_field ( 'facebook' ) != '' ) {
															echo '<a href="//facebook.com/' . get_sub_field ( 'facebook' ) . '" target="_blank" class="text-secondary ml-1"><i class="fab fa-facebook"></i></a>';
														}

														if ( get_sub_field ( 'linkedin' ) != '' ) {
															echo '<a href="//linkedin.com/' . get_sub_field ( 'linkedin' ) . '" target="_blank" class="text-secondary ml-1"><i class="fab fa-linkedin"></i></a>';
														}

														if ( get_sub_field ( 'email' ) != '' ) {
															echo '<a href="mailto:' . get_sub_field ( 'email' ) . '" class="text-secondary ml-1"><i class="fas fa-at"></i></a>';
														}

														if ( get_sub_field ( 'website' ) != '' ) {
															echo '<a href="' . get_sub_field ( 'website' ) . '" target="_blank" class="text-secondary ml-1"><i class="fas fa-link"></i></a>';
														}

													}

									?>

									</div>

									<?php

												}
											}
										}

									?>
								</div>

							</div>

							<?php

								}

							?>
						</div><!-- .swiper-wrapper -->

					</div><!-- .swiper-container -->

			    <div class="carousel-controls col-10-of-11 has-navigation">

			      <div id="users-container-2-column-1-block-1-prev" class="carousel-arrow arrow-prev order-1"><i class="fas fa-arrow-left"></i></div>
			      <div id="users-container-2-column-1-block-1-next" class="carousel-arrow arrow-next order-3"><i class="fas fa-arrow-right"></i></div>

			    </div>

					</div><!-- block -->

				</div><!-- column -->

			</div><!-- row -->
		</div><!-- container -->
	</div><!-- .section-wrap -->
</div>

<?php

  }

?>
