<section id="page-footnotes" class="h7-section h7-page-section h7-footnote-lists py-5 bg-gray-200">
  <div class="section-wrap">
    <div class="h7-container container-fluid">

      <?php

        if ( $footnotes != '' ) {

      ?>

      <div class="row">
        <div class="col-10 offset-1 col-sm-8 col-md-7 offset-md-3 col-lg-6">

          <div class="footnote-list-head accordion-head">
            <h3 class="d-flex align-items-center justify-content-between" data-toggle="collapse" data-target="#footnote-list" aria-expanded="false" aria-controls="footnote-list">
              <span><?php _e ( 'Footnotes', 'h7-footnotes' ); ?></span>
              <i class="fas fa-caret-down fa-xs"></i>
            </h3>
          </div>

          <div id="footnote-list" class="collapse footnote-list-collapse accordion-content">
            <ol class="footnote-list" data-footnote-type="footnote">
              <?php

                $footnotes = strip_tags ( $footnotes, $exclude_tags );
                $footnotes = make_clickable ( $footnotes );

                $footnotes = str_replace ( '</li>', '', $footnotes );

                $footnotes_array = explode( '<li>', $footnotes );
                unset ( $footnotes_array[0] );

                foreach($footnotes_array as $key => $footnote) {
                  echo "\n\t" . '<li class="footnote-item" id="fn:' . $key . '" data-fn="' . $key . '">';
                  echo "\n\t\t" . $footnote . ' <a href="#footnote-' . $key . '" class="footnote-return smooth-scroll" title="return to article"> ↩</a>';
                  echo "\n\t" . '</li>';
                }

              ?>
            </ol>
          </div>

        </div>
      </div>

      <?php

        }

        if ( $references != '' ) {

      ?>

      <div class="row">
        <div class="col-10 offset-1 col-sm-8 col-md-7 offset-md-3 col-lg-6">

          <div class="footnote-list-head accordion-head">
            <h3 class="d-flex align-items-center justify-content-between" data-toggle="collapse" data-target="#reference-list" aria-expanded="false" aria-controls="reference-list">
              <span><?php _e ( 'References', 'h7-footnotes' ); ?></span>
              <i class="fas fa-caret-down fa-xs"></i>
            </h3>
          </div>

          <div id="reference-list" class="collapse footnote-list-collapse accordion-content">
            <ol class="footnote-list" data-footnote-type="reference">
              <?php

                $references = strip_tags ( $references, $exclude_tags );
                $references = make_clickable ( $references );

                $references = preg_replace ( '/<a /', '<a target="_blank" ', $references );
                $references = str_replace ( '</li>', '', $references );

                $references_array = explode ( '<li>', $references );
                unset ( $references_array[0] );

                foreach ( $references_array as $key => $reference ) {

                  echo "\n\t" . '<li class="reference-item" id="fn:r' . $key . '" data-fn="' . $key . '">';
                  echo "\n\t\t" . $reference . ' <a href="#reference-' . $key . '" class="footnote-return smooth-scroll" title="return to article"> ↩</a>';
                  echo "\n\t" . '</li>';

                }

              ?>
            </ol>
          </div>

        </div>
      </div>

      <?php

        }

        if ( !empty ( $definitions ) ) {

          $exclude_tags = '<li><strong><b><em><i><a><hr>';

      ?>

      <div class="row d-none">
        <div class="col-10 offset-1 col-sm-8 col-md-7 offset-md-3 col-lg-6">

          <div class="footnote-list-head accordion-head">
            <h3 class="d-flex align-items-center justify-content-between" data-toggle="collapse" data-target="#definition-list" aria-expanded="false" aria-controls="definition-list">
              <span><?php _e ( 'Definitions', 'h7-footnotes' ); ?></span>
              <i class="fas fa-caret-down fa-xs"></i>
            </h3>
          </div>

          <div id="definition-list" class="collapse footnote-list-collapse accordion-content">
            <ol class="footnote-list" data-footnote-type="definition">
              <?php

                foreach ( $definitions as $key => $definition ) {

                  $def_post = get_post ( $definition );

                  echo "\n\t" . '<li class="definition-item" id="fn:d' . $key . '" data-fn="' . $key . '">';
                  echo "\n\t\t" . apply_filters ( 'the_content', $def_post->post_content ) . ' <a href="#definition-' . $key . '" class="footnote-return smooth-scroll" title="return to article"> ↩</a>';
                  echo "\n\t" . '</li>';

                }

              ?>
            </ol>
          </div>

        </div>
      </div>

      <?php

        }

      ?>

    </div>
  </div>
</section>
