<?php

//
// GET CONTENT BY TEMPLATE TYPE
// i.e. post, archive etc
//

$hero_title = '';
$hero_text = '';

// global $current_query;

if (is_author()) {
    $author_ID = $GLOBALS['vars']['current_query']->ID;
    $author_data = get_author_info($author_ID);

    $hero_title = $author_data['name'];

    $hero_text = $author_data['org'];

    if ($author_data['title'] != '') {
        $hero_text = $author_data['title'] . ', ' . $hero_text;
    }

} elseif (is_search()) {
    global $wp_query;

    $hero_title = __('Search results', 'student-energy');

    if ($wp_query->post_count == 1) {
        $hero_text = sprintf(__('Your search for <em class="search-term">%s</em> returned <span class="search-count">%s</span> result.', 'student-energy'), get_search_query(), $wp_query->post_count);

    } else {
        $hero_text = sprintf(__('Your search for <em class="search-term">%s</em> returned <span class="search-count">%s</span> results.', 'student-energy'), get_search_query(), $wp_query->post_count);

    }

} elseif (is_archive()) {
    $hero_title = $GLOBALS['vars']['current_query']->name;
    $hero_text = $GLOBALS['vars']['current_query']->description;

} elseif (is_home()) {
    $hero_title = get_the_title(get_option('page_for_posts'));
    $hero_text = custom_excerpt(100, get_option('page_for_posts'));

} else {
    $hero_title = get_the_title();
    $hero_text = '';

    if (have_rows('hero_content')) {
        while (have_rows('hero_content')) {
            the_row();

            if (get_sub_field('title')) {
                $hero_title = get_sub_field('title');
            }

            if (get_sub_field('text') != '') {
                $hero_text = get_sub_field('text');
            }
        }
    }

    if (!is_single()) {
        if ($hero_text == '') {
            $hero_text = custom_excerpt(100);
        }
    }
}

?>

<h1><?php echo $hero_title; ?></h1>

<p class="lead"><?php if ($hero_text != '') { echo wptexturize($hero_text); } ?></p>
