<?php

  wp_enqueue_script ( 'isotope' );
  wp_enqueue_script ( 'select2' );

  // list of taxonomies that will be used in order

  // $taxonomies = array ( 'source', 'production', 'transport', 'conversion', 'form', 'distribution', 'use' );

	$platform_args = array (
    'taxonomy' => array(),
    'hide_empty' => false
  );

  $all_terms = array();

	foreach ( $GLOBALS['vars']['taxonomies'] as $taxonomy ) {

		$platform_args['taxonomy'][] = $taxonomy['slug'];

    $all_terms[$taxonomy['slug']] = array (
      'taxonomy' => get_taxonomy ( $taxonomy['slug'] )
    );

    $tax_terms = get_terms ( array (
      'taxonomy' => $taxonomy['slug'],
      'hide_empty' => false
    ) );

    foreach ( $tax_terms as $result ) {

      $all_terms[$taxonomy['slug']]['results'][] = $result;

    }

  }

  // results

  $results = get_terms ( $platform_args );

?>

<div id="platform" class="container-fluid">
  <div class="row">

    <aside id="platform-filter" class="col-12 col-md-3 bg-gray-200">
      <header class="p-2 d-flex justify-content-between align-items-center">
        <h5 id="term-count" class="m-0">Showing <span><?php echo count ( $results ); ?></span> topics</h5>
        <span id="clear-filters"><i class="fas fa-times mr-1"></i>Clear filters</span>
      </header>

      <div class="filter search p-2">
        <h6>Search all terms</h6>

        <select id="filter-search" name="filter-search" class="w-100" data-placeholder="Enter a keyword to find topics">
          <option></option>

          <?php

            foreach ( $all_terms as $taxonomy => $tax_data ) {

          ?>

          <optgroup label="<?php echo $tax_data['taxonomy']->labels->singular_name; ?>" data-slug="<?php echo $taxonomy; ?>">
            <?php

              foreach ( $tax_data['results'] as $result ) {

            ?>

            <option value="<?php echo $result->term_id; ?>"><?php echo $result->name; ?></option>

            <?php

              }

            ?>

          </optgroup>

          <?php

            }

          ?>
        </select>
      </div>

      <?php

        foreach ( $GLOBALS['vars']['taxonomies'] as $taxonomy ) {

      ?>

      <div class="filter p-2">
        <h6><span class="bullet bg-tax-<?php echo $taxonomy['slug']; ?>"></span> <?php echo $taxonomy['name']; ?></h6>

        <select id="filter-<?php echo $taxonomy['slug']; ?>" class="w-100" multiple="multiple">
          <?php

            foreach ( $all_terms[$taxonomy['slug']]['results'] as $result ) {

          ?>

          <option value="<?php echo $result->term_id; ?>"><?php echo $result->name; ?></option>

          <?php

            }

          ?>
        </select>
      </div>

      <?php

        }

      ?>

    </aside>

    <div id="platform-grid" class="col-12 col-md-9">
      <div class="row">
        <div class="grid-sizer col-12 col-sm-6 col-lg-3-of-9"></div>

        <?php

          if ( !empty ( $results ) ) {

            foreach ( $results as $result ) {

              $this_topic_terms = '';

              $this_tax = $result->taxonomy;

              // get connected terms

              $this_tax_terms = get_field ( 'linked_taxonomies', $result->taxonomy . '_' . $result->term_id );

              $adding_to = 'pre';
              $pre_terms = array();
              $post_terms = array();

              foreach ( $GLOBALS['vars']['taxonomies'] as $tax ) {

                if ( $tax['slug'] == $this_tax ) {

                  // skip & swap

                  $adding_to = 'post';

                } else {

                  if ( !empty ( $this_tax_terms[$tax['slug']] ) ) {

                    $this_topic_terms .= implode ( ' ', $this_tax_terms[$tax['slug']] ) . ' ';

                    if ( $adding_to == 'pre' ) {

                      $pre_terms[$tax['slug']] = $this_tax_terms[$tax['slug']];

                    } elseif ( $adding_to == 'post' ) {

                      $post_terms[$tax['slug']] = $this_tax_terms[$tax['slug']];

                    }

                  }

                }

              }

        ?>

        <div id="<?php echo $result->slug; ?>" class="topic col-12 col-sm-6 col-lg-3-of-9 p-1" data-terms="<?php echo $this_topic_terms; ?>">
          <div class="term-card bg-tax-<?php echo $result->taxonomy; ?>">
            <?php

              if ( get_field ( 'term_image', $result->taxonomy . '_' . $result->term_id ) != '' ) {

            ?>

            <div class="term-card-image bg" style="background-image: url(<?php echo wp_get_attachment_image_url ( get_field ( 'term_image', $result->taxonomy . '_' . $result->term_id ), 'large' ); ?>);"></div>

            <?php

              }

            ?>

            <div class="term-card-inner">
              <div class="term-tree pre">
                <?php

                  output_term_list ( $pre_terms, true );

                ?>
              </div>

              <div class="term-content">
                <h6 class="term-type"><?php echo $all_terms[$this_tax]['taxonomy']->labels->singular_name; ?></h6>

                <h4 class="term-title">
                  <span class="bullet bg-tax-<?php echo $result->taxonomy; ?>"></span>
                  <?php echo $result->name; ?>
                </h4>

								<?php

									if ( $result->description != '' ) {

								?>

                <div class="term-description">
                  <?php

										echo apply_filters ( 'the_content', wp_trim_words ( $result->description, 15, ' …' ) );

									?>
                </div>

								<?php

									}

								?>
              </div>

              <div class="term-tree post">
                <?php

                  output_term_list ( $post_terms, false );

                ?>
              </div>
            </div>

            <footer class="d-flex bg-tax-<?php echo $result->taxonomy; ?>">
              <span class="btn w-50 view-toggle bg-gray-300">
                <i class="fas fa-caret-up fa-lg text-tax-<?php echo $result->taxonomy; ?>"></i>
                <i class="fas fa-caret-down fa-lg text-tax-<?php echo $result->taxonomy; ?>"></i>
                <span class="btn-text">View in system</span>
              </span>

              <a class="btn w-50 term-link" href="<?php echo get_term_link( $result->term_id, $result->taxonomy ); ?>">Go to topic <i class="fas fa-long-arrow-alt-right fa-lg ml-1"></i></a>
            </footer>
          </div>
        </div>

        <?php

            }

          }

        ?>
      </div>
    </div>

  </div>
</div>
