<?php

	wp_enqueue_script( 'sticky-kit' );

  wp_enqueue_script ( 'node-map', $GLOBALS['vars']['child_theme_dir'] . 'resources/js/node-map.js', array ( 'jquery', 'child-functions' ), 1.0, true );

	wp_enqueue_script( 'jquery-effects-core' );

?>

<div id="energy-map" class="h7-section h7-page-section py-0">
	<div class="section-wrap">

		<div id="" class="h7-container container-fluid first-of-type">

			<div class="row h7-container-row">
				<div class="col-12">

				<?php

					//
					// BUILD AND SORT
					//

					$all_nodes = array();

					// $count = 0;
					$i = 1;

					// go through each taxonomy

					foreach ( $GLOBALS['vars']['taxonomies'] as $taxonomy ) {

					  // go through each term in the taxonomy

					  $all_tax_terms = get_terms ( array (
					    'taxonomy' => $taxonomy['slug'],
					    'hide_empty' => false
					  ) );

					  foreach ( $all_tax_terms as $term ) {

					    // create the term object

					    $new_term = array (
					      'id' => $term->term_id,
					      // 'count' => $count,
					      'title' => $term->name,
					      'url' => get_term_link ( $term->term_id, $taxonomy['slug'] ),
					      'icon' => wp_get_attachment_image_url ( get_field ( 'icon', $taxonomy['slug'] . '_' . $term->term_id ), 'full' ),
								'targets' => array()
					    );

							// go through each linked_taxonomies field

							foreach ( get_field ( 'linked_taxonomies', $taxonomy['slug'] . '_' . $term->term_id ) as $linked_term ) {

					      if ( !empty ( $linked_term ) ) {

									// if any terms are checked

					        foreach ( $linked_term as $tax ) {

										// add each link to the new term

										$new_term['targets'][] = $tax;

									}
								}

							}

					    // $all_nodes_count[$term->term_id] = $count;

							$this_depth = (int) get_field ( 'depth', $taxonomy['slug'] . '_' . $term->term_id );

					    $all_nodes[$taxonomy['slug']][$this_depth][$term->term_id] = $new_term;

					    // $count++;

					  }

					  $i++;

					}

					foreach ( $all_nodes as $key => $row ) {

						ksort ( $all_nodes[$key] );

					}

					//
					// LINKS
					//

					$line_num = 1;
					$all_links = array();

					foreach ( $all_nodes as $row ) {
						foreach ( $row as $subrow ) {
							foreach ( $subrow as $node ) {

								$this_node = $node['id'];

								foreach ( $node['targets'] as $target ) {

									$add_link = true;

									// echo '<p>check ' . $node['id'] . ' / ' . $target . '</p>';

									foreach ( $all_links as $link ) {

										// go through each existing link

										if (
											$link['source'] == $target &&
											$link['target'] == $node['id']
										) {

											//

											$add_link = false;
											break;

										}
									}

									if ( $add_link == true ) {

										$all_links[] = array (
											'id' => $line_num,
											'source' => $node['id'],
											'target' => $target
										);

										$line_num++;

										//
										// check that both nodes have each other in their 'targets' array
										//

										foreach ( $all_nodes as $row_key => $row_data ) {
											foreach ( $row_data as $subrow_key => $subrow_data ) {
												foreach ( $subrow_data as $node_key => $node_data ) {

													if ( $node_key == $target ) {

														// got the node data for the current target

														if ( !in_array ( $this_node, $node_data['targets'] ) ) {

															// add this node to the target node's 'targets' array

															$all_nodes[$row_key][$subrow_key][$node_key]['targets'][] = $this_node;

														}

													}

												}
											}
										}

									}

								}
							}
						}
					}

				?>
			</div>

				<div id="map-container" class="h7-column first-of-type col-12 d-flex isolation" data-ajax-url="<?php echo admin_url ( 'admin-ajax.php' ); ?>">

					<div id="map-svg-container">
						<svg id="map-svg" xmlns="http://www.w3.org/2000/svg">
							<?php

								// echo "\n\t\t\t\t\t\t\t" . '<line class="link" id="line-1" data-source="' . $all_links[0]['source'] . '" data-target="' . $all_links[0]['target'] . '" />';
								//
								// echo "\n\t\t\t\t\t\t\t" . '<line class="link" id="line-2" data-source="' . $all_links[1]['source'] . '" data-target="' . $all_links[1]['target'] . '" />';

								$line_num = 1;

								foreach ( $all_links as $link ) {

									echo "\n\t\t\t\t\t\t\t" . '<line class="link" id="line-' . $link['source'] . '-' . $link['target'] . '" data-source="' . $link['source'] . '" data-target="' . $link['target'] . '" />';

									$line_num++;

								}

							?>
						</svg>
					</div>

					<div id="nodes">

						<div id="map-controls">
							View Mode: <span id="map-mode-isolation" class="selected">Isolated</span> | <span id="map-mode-normal">Full</span>
						</div>

						<div id="node-overlay"></div>

						<?php

							$row_num = 1;

							foreach ( $all_nodes as $key => $row ) {

								$subrow_num = 1;

						?>

						<div id="node-row-<?php echo $row_num; ?>" class="node-row" data-tax="<?php echo $key; ?>">

							<h3 class="row-name mb-0"><?php echo str_replace ( 'Other ', '', $GLOBALS['vars']['taxonomies'][$key]['name'] ); ?></h3>

							<div class="row-description">
								<div class="description-content">
									<?php echo $GLOBALS['vars']['taxonomies'][$key]['description']; ?>
								</div>
							</div>

							<div class="row-subrows">

								<?php

									foreach ( $row as $subrow_index => $subrow ) {

								?>

								<div id="row-<?php echo $row_num; ?>-subrow-<?php echo $subrow_num; ?>" class="node-subrow depth-<?php echo $subrow_num; ?>">

									<?php

										foreach ( $subrow as $node ) {

											// $GLOBALS['css'] .= "\n" . '.node[data-id="' . $node['id'] . '"] .circle { background-image: url(' . $node['icon'] . '); }';

									?>

									<div class="node"
										data-id="<?php echo $node['id']; ?>"
										data-targets="<?php echo json_encode ( $node['targets'] ); ?>"
										data-r=""
										data-x=""
										data-y=""
									>
										<div class="node-inner">
											<div class="circle">
												<img src="<?php echo $node['icon']; ?>">
											</div>
											<div class="label"><?php echo $node['title']; ?></div>
										</div>
									</div>

									<?php

										}

									?>

								</div>

								<?php

										$subrow_num++;

									} // each subrow

								?>
							</div>
						</div>

						<?php

								$row_num++;

							} // each row

						?>
					</div>

					<div id="node-info">
						<div class="node-info-inner" style="display: none;"></div>
					</div>

				</div><!-- column-->

			</div><!-- row -->
		</div><!-- container -->

	</div><!-- .section-wrap -->
</div>

<div id="map-spinner">Initializing</div>
