<?php

  wp_enqueue_script ( 'd3', 'https://d3js.org/d3.v3.js', NULL, '3.5.17', true );
  wp_enqueue_script ( 'd3-test', $GLOBALS['vars']['child_theme_dir'] . 'resources/js/d3test.js', array ( 'jquery', 'd3', 'child-functions' ), 1.0, true );

	wp_enqueue_script( 'jquery-effects-core' );

?>

<div id="energy-map" class="h7-section h7-page-section py-0">
	<div class="section-wrap">

		<div id="" class="h7-container container-fluid first-of-type">

			<?php

				/* TEST DUMMY
			<div id="wrap" style="display: flex; justify-content: center;">
				<div id="flex-1" style="background: #ccc; flex-grow: 1; transition: 0.25s; display: flex; justify-content: center;">
					<div style="background: green; width: 90px; height: 90px;">1</div>
				</div>
				<div id="flex-2" style="background: #aaa; flex-grow: 1; transition: 0.25s; display: flex; justify-content: center;">
					<div style="background: green; width: 90px; height: 90px;">1</div>
				</div>
				<div id="flex-3" style="background: #ccc; flex-grow: 1;  transition: 0.25s; display: flex; justify-content: center;">
					<div style="background: green; width: 90px; height: 90px;">1</div>
				</div>
				<div id="flex-4" style="background: #aaa; flex-grow: 1; transition: 0.25s; display: flex; justify-content: center;">
					<div style="background: green; width: 90px; height: 90px;">1</div>
				</div>
			</div>

			<div id="setit">set</div>
				*/

			?>

			<div class="row h7-container-row">

				<?php

					//
					// BUILD AND SORT
					//

					$taxonomies = array ( 'source', 'production', 'transport', 'conversion', 'form', 'distribution', 'use' );

					$all_nodes = array();

					// $count = 0;
					$i = 1;

					// go through each taxonomy

					foreach ( $taxonomies as $taxonomy ) {

					  // go through each term in the taxonomy

					  $all_tax_terms = get_terms ( array (
					    'taxonomy' => $taxonomy,
					    'hide_empty' => false
					  ) );

					  foreach ( $all_tax_terms as $term ) {

					    // create the term object

					    $new_term = array (
					      'id' => $term->term_id,
					      // 'count' => $count,
					      'title' => $term->name,
					      'url' => get_term_link ( $term->term_id, $taxonomy ),
					      'icon' => wp_get_attachment_image_url ( get_field ( 'icon', $taxonomy . '_' . $term->term_id ), 'full' ),
								'targets' => array()
					    );

							//

							foreach ( get_field ( 'linked_taxonomies', $taxonomy . '_' . $term->term_id ) as $linked_term ) {

					      if ( !empty ( $linked_term ) ) {
					        foreach ( $linked_term as $tax ) {

										$new_term['targets'][] = $tax;

									}
								}

							}

					    // $all_nodes_count[$term->term_id] = $count;

							$this_depth = (int) get_field ( 'depth', $taxonomy . '_' . $term->term_id );

					    $all_nodes[$taxonomy][$this_depth][$term->term_id] = $new_term;

					    // $count++;

					  }

					  $i++;

					}

					foreach ( $all_nodes as $key => $row ) {

						ksort ( $all_nodes[$key] );

					}

					echo '<pre>';
					// print_r($all_nodes);
					echo '</pre>';




/*


					//
					// CREATE LINKS
					//

					$all_links = array();

					foreach ( $taxonomies as $taxonomy ) {

					  // go through each term in the taxonomy

					  $all_tax_terms = get_terms ( array (
					    'taxonomy' => $taxonomy,
					    'hide_empty' => false
					  ) );

					  foreach ( $all_tax_terms as $term ) {

					    foreach ( get_field ( 'linked_taxonomies', $taxonomy . '_' . $term->term_id ) as $linked_term ) {

					      if ( !empty ( $linked_term ) ) {

					        foreach ( $linked_term as $tax ) {

					          // $links[$all_nodes_count[$term->term_id]] = $all_nodes_count[$tax];

					          $this_source = $term->term_id;
					          $this_target = $tax;

					          $add_link = true;

					          // find existing links where the SOURCE is this TARGET

					          $keys = array_keys ( array_column ( $all_links, 'source'), $this_target );

					          foreach ( $keys as $key ) {

					            // if the result's target = $this_target

					            if ( $all_links[$key]['target'] == $this_source ) {

					              $add_link = false;

					            } else {

					            }


					          }

					          if ( $add_link == true ) {

					            // echo 'added ' . $this_source . ' / ' . $this_target . '<br>';

					            $all_links[] = array (
					              'source' => $this_source,
					              'target' => $this_target
					            );

					          }


					        }

					      }

					    }

					  }
					}


*/
					echo '<pre>';
					// print_r($all_links);
					echo '</pre>';

				?>

				<div id="map-container" class="h7-column first-of-type col-12 d-flex isolation" data-ajax-url="<?php echo admin_url ( 'admin-ajax.php' ); ?>">

					<div id="map-svg-container">
						<svg id="map-svg" xmlns="http://www.w3.org/2000/svg">
							<?php

								$line_num = 1;

								foreach ( $all_nodes as $row ) {
									foreach ( $row as $subrow ) {
										foreach ( $subrow as $node ) {

											$this_node = $node['id'];

											foreach ( $node['targets'] as $target ) {

												echo "\n\t\t\t\t\t\t\t" . '<line class="link" id="line-' . $line_num . '" data-source="' . $node['id'] . '" data-target="' . $target . '" />';

												$line_num++;

											}
										}
									}
								}

							?>
						</svg>
					</div>

					<div id="nodes">

						<div id="map-controls">
							Mode: <span id="map-mode-normal">Normal</span> | <span id="map-mode-isolation" class="selected">Isolation</span>
						</div>

						<div id="node-overlay"></div>

						<?php

							$row_num = 1;

							foreach ( $all_nodes as $key => $row ) {

								$subrow_num = 1;

						?>

						<div id="node-row-<?php echo $row_num; ?>" class="node-row" data-tax="<?php echo $key; ?>">

							<?php

								foreach ( $row as $subrow_index => $subrow ) {

							?>

							<div id="row-<?php echo $row_num; ?>-subrow-<?php echo $subrow_num; ?>" class="node-subrow depth-<?php echo $subrow_num; ?>">

								<?php

									foreach ( $subrow as $node ) {

										$GLOBALS['css'] .= "\n" . '.node[data-id="' . $node['id'] . '"] .circle { background-image: url(' . $node['icon'] . '); }';

								?>

								<div class="node"
									data-id="<?php echo $node['id']; ?>"
									data-targets="<?php echo json_encode ( $node['targets'] ); ?>"
									data-links=""
									data-r=""
									data-x=""
									data-y=""
								>
									<div class="node-inner">
										<div class="circle"></div>
										<div class="label"><?php echo $node['title']; ?></div>
									</div>
								</div>

								<?php

									}

								?>

							</div>

							<?php

									$subrow_num++;

								} // each subrow

							?>

							</div>

						<?php

								$row_num++;

							} // each row

						?>
					</div>

					<div id="node-info">
						<div class="node-info-content"></div>
					</div>

					<?php /*

					<div id="map-object">
					  <div class='background-wrap'>
					    <div class="svg-row row1"></div>
					    <div class="svg-row row2"></div>
					    <div class="svg-row row3"></div>
					    <div class="svg-row row4"></div>
					    <div class="svg-row row5"></div>
					    <div class="svg-row row6"></div>
					    <div class="svg-row row7"></div>
					  </div>

											  <div class="data view"><svg id="viz"></svg></div>


						<!-- <div class="data view"><svg id="viz2"></svg></div> -->



					  <div class='row-titles'>

					    <div class="row-title row1">
					      <h3 class="text-tax-source">Source <span class="tax-info d-inline-block border rounded-circle smaller"><i class="fas fa-question"></i></span></h3>

					      <div class='row-text map-row'>
					        <p class="lead">This is the category of natural resources, both renewable and non-renewable, that can be converted into forms of usable energy.</p>

					        <p>Generally, energy sources are grouped into three categories – fossil fuels, alternative energy, and renewables. Fossil fuels refer to resources created by thousands of years of heat and pressure on prehistoric organisms. Alternative energy refers to any form of energy that is not a fossil fuel; this includes renewables and nuclear energy. Renewable energy refers to sources of energy that can be replenished in a human lifetime.</p>

					        <p>These categories are further broken down into individual sources like oil, coal, wind, solar, hydro and nuclear that require specific and unique processes to be converted into usable forms of energy.</p>
					      </div>
					    </div>

					    <div class="row-title row2">
					      <h3 class="text-tax-production">Production <span class="tax-info d-inline-block border rounded-circle smaller"><i class="fas fa-question"></i></span></h3>

					      <div class='row-text map-row'>
					        <p class="lead">Production refers to the methods used to get an energy source into a state where it can be converted into a usable form of energy.</p>

					        <p>For natural resources found in the Earth, this generally involves exploration, extraction and basic processing of the resource. For other resources such as hydrogen, production may involve a chemical process to obtain the element in its pure form. Many renewable resources, such as wind and solar, skip production processes because they undergo direct conversion into a usable form of energy.</p>
					      </div>
					    </div>

					    <div class="row-title row3">
					      <h3 class="text-tax-transport">Transport <span class="tax-info d-inline-block border rounded-circle smaller"><i class="fas fa-question"></i></span></h3>

					      <div class='row-text map-row'>
					        <p class="lead">Transport refers to the various methods for moving energy resources from where they are produced to where they are converted.</p>
					        <p>Resource transportation is most common for fossil fuels because they are seldom produced and converted in the same location.</p>
					      </div>
					    </div>

					    <div class="row-title row4">
					      <h3 class="text-tax-conversion">Conversion <span class="tax-info d-inline-block border rounded-circle smaller"><i class="fas fa-question"></i></span></h3>

					      <div class='row-text map-row'>
					        <p class="lead">Conversion refers to the processes that convert an energy resource into a usable form of energy.</p>
					        <p>Energy is only consumed in a few major forms - such as electricity or transportation fuels. Our infrastructure - such as our grid or the internal combustion engine - is built around these forms of energy and therefore resources must be converted to be consumed.</p>
					      </div>
					    </div>

					    <div class="row-title row5">
					      <h3 class="text-tax-form">Form <span class="tax-info d-inline-block border rounded-circle smaller"><i class="fas fa-question"></i></span></h3>

					      <div class='row-text map-row'>
					        <p class="lead">Form refers to the states energy has been converted to so that it can be efficiently utilized for its end use.</p>
					        <p>Energy can neither be created nor destroyed; it simply changes form. Raw natural resources must be converted to usable forms of energy so that they can be consumed to perform work.</p>
					      </div>
					    </div>

					    <div class="row-title row6">
					      <h3 class="text-tax-distribution">Distribution <span class="tax-info d-inline-block border rounded-circle smaller"><i class="fas fa-question"></i></span></h3>

					      <div class='row-text map-row'>
					        <p class="lead">Distribution refers to the various technologies that enable the delivery of usable energy forms to the places where they will be consumed.</p>
					        <p>Once a natural resource has been converted into a usable form of energy it needs to be delivered to consumers. The electric grid is our largest piece of energy distribution infrastructure.</p>
					      </div>
					    </div>

					    <div class="row-title row7">
					      <h3 class="text-tax-use">Use <span class="tax-info d-inline-block border rounded-circle smaller"><i class="fas fa-question"></i></span></h3>

					      <div class='row-text map-row'>
					        <p class="lead">Use is the service that people acquire from energy.</p>
					        <p>Ultimately, the reason our energy system exists is so that our society can benefit from the services energy enables. Energy allows us to transport ourselves efficiently from point A to point B, stay warm in cold months or cool in hot months, have light and power to run our various home appliances; the list could go on and on. Energy is the ability to do work and therefore use can be thought of as all the ways in which energy allows us to do work.</p>
					      </div>
					    </div>

					  </div>

					</div>


					<div id="info-container">

						<div class="buttons">
							<a class="info-close" href="#">Close</a>
						</div>

						<div class="info">
							<div class="content">
								<a class="node-url"><img class="header-img" alt="" src=""></a>

								<h2 class="node-title">Node Title Here</h2>
								<p class="node-desc"></p>

								<a class="more-btn node-url">Read More</a>

								<div class="node-youtube-embed"></div>
							</div>
						</div>

					</div>*/?>

				</div><!-- column-->

			</div><!-- row -->
		</div><!-- container -->

	</div><!-- .section-wrap -->
</div>
