<?php

	//
	// HERO
	//

	$topic_hero = get_page_by_title ( 'Topic Hero', 'object', 'template' );

	content_loop ( 'elements', $topic_hero->ID );

	//
	// SECTIONS
	//

	$acf_ID = $current_query->taxonomy . '_' . $current_query->term_id;

?>

<div class="container-fluid">
  <div class="row">
    <aside id="topic-sidebar" class="col-12 col-md-3 col-lg-2">
			<div id="topic-sidebar-inner">
				<div class="px-2 py-1 py-md-2">
					<h6 class="mb-1"><i class="fas fa-map-marker-alt mr-1 text-gray-500"></i><?php _e ( 'On the map', 'student-energy' ); ?></h6>

					<p><?php

						printf ( __( 'Everything is connected. Browse terms related to <strong>%s</strong> to learn more about how it fits into the energy system.', 'student-energy' ), $current_query->name );

					?></p>
				</div>

				<?php

					$this_topic_terms = '';

					// get connected terms

					$this_tax_terms = get_field ( 'linked_taxonomies', $current_query->taxonomy . '_' . $current_query->term_id );

					if ( !empty ( $this_tax_terms ) ) {

						foreach ( $this_tax_terms as $tax => $terms ) {

							if ( !empty ( $terms ) ) {
				?>

				<div class="linked-term-list tax-<?php echo $tax; ?> <?php echo ( $tax == $current_query->taxonomy ) ? 'current' : ''; ?> px-2 py-1 py-md-2">
					<h6 class="mb-1">
						<span class="bullet bg-tax-<?php echo $tax; ?>"></span>
						<?php echo $GLOBALS['vars']['taxonomies'][$tax]['name']; ?>
					</h6>

					<ul class="list-unstyled mb-0">
						<?php

								foreach ( $terms as $term ) {

									$term_obj = get_term ( $term, $tax );

									echo '<li class="mb-1"><a href="' . get_term_link ( $term, $tax ) . '">' . $term_obj->name . '</a></li>';

								}

						?>
					</ul>
				</div>

				<?php

							}
						}

					}

				?>

			</div>
    </aside>

    <article id="page-content" class="col-12 col-md-9 col-lg-10 bg-white">

      <?php

        if ( have_rows ( 'tax_definition', $acf_ID ) ) {
          while ( have_rows ( 'tax_definition', $acf_ID ) ) {
            the_row();

      ?>

      <div id="tax-definition" class="h7-section h7-page-section py-3 py-md-4 py-lg-6">
        <div class="section-wrap">

          <div class="row">
            <div class="col-10 offset-1 col-md-6-of-9 offset-md-1-of-9 col-lg-6-of-10 offset-lg-1-of-10">
              <h3 class="text-secondary"><?php

                if ( get_sub_field ( 'heading' ) != '' ) {
                  echo get_sub_field ( 'heading' );
                } else {
                  echo 'What is ' . $current_query->name . '?';
                }

              ?></h3>

              <div id="" class="block-type-text h7-block first-of-type block-type-text">
                <div class="block-text">
                  <?php echo get_sub_field ( 'text' ); ?>
                </div>
              </div>

            </div>
          </div>

        </div>
      </div>

      <?php

          }
        }

        //
        // VIDEO
        //

        if ( have_rows ( 'tax_video', $acf_ID ) ) {
          while ( have_rows ( 'tax_video', $acf_ID ) ) {
            the_row();

            if ( get_sub_field ( 'intro' ) != '' || get_sub_field ( 'youtube_video' ) != '' ) {

      ?>

      <div id="video" class="h7-section h7-page-section py-3 py-md-4 py-lg-6">
        <div class="section-wrap">

          <div class="row">
            <div class="col-10 offset-1 col-md-6-of-9 offset-md-1-of-9 col-lg-6-of-10 offset-lg-1-of-10">
              <h3 class="text-secondary"><?php

								if ( count ( get_sub_field ( 'videos' ) ) > 1 ) {
									_e ( 'Videos', 'student-energy' );
								} else {
									_e ( 'Video', 'student-energy' );
								}

							?></h3>

              <div id="" class="block-type-text h7-block first-of-type block-type-text">
                <div class="block-text">
                  <?php

                    if ( get_sub_field ( 'intro' ) != '' ) {
                      echo apply_filters ( 'the_content', get_sub_field ( 'intro' ) );
                    }

										if ( have_rows ( 'videos' ) ) {
											while ( have_rows ( 'videos' ) ) {
												the_row();

                    		if ( get_sub_field ( 'video' ) != '' ) {

									?>

									<div class="video-container">
										<?php

                      echo apply_filters ( 'the_content', 'https://www.youtube.com/watch?v=' . get_sub_field ( 'video' ) );

										?>
									</div>

									<?php

                    		}

											}
										}

                  ?>
                </div>
              </div>

            </div>
          </div>

        </div>
      </div>

      <?php

            }

          }
        }

        //
        // CONTEXT
        //

        if ( have_rows ( 'tax_context', $acf_ID ) ) {
          while ( have_rows ( 'tax_context', $acf_ID ) ) {
            the_row();

      ?>

      <div id="tax-context" class="h7-section h7-page-section py-3 py-md-4 py-lg-6">
        <div class="section-wrap">

          <div class="row">
            <div class="col-10 offset-1 col-md-6-of-9 offset-md-1-of-9 col-lg-6-of-10 offset-lg-1-of-10">
              <h3 class="text-secondary"><?php

                if ( get_sub_field ( 'heading' ) != '' ) {
                  echo get_sub_field ( 'heading' );
                } else {
                  echo 'Context';
                }

              ?></h3>

              <div id="" class="block-type-text h7-block first-of-type block-type-text">
                <div class="block-text">
                  <?php echo get_sub_field ( 'text' ); ?>
                </div>
              </div>

            </div>
          </div>

        </div>
      </div>

      <?php

          }
        }

        //
        // RESOURCES
        //

      ?>

      <div id="tax-resources" class="h7-section h7-page-section py-3 py-md-4 py-lg-6">
        <div class="section-wrap">

          <div class="row">
            <div class="col-10 offset-1 col-md-6-of-9 offset-md-1-of-9 col-lg-6-of-10 offset-lg-1-of-10">
              <h3 class="text-secondary"><?php _e ( 'Dive deeper', 'student-energy' ); ?></h3>

              <?php

                $resource_query = new WP_Query ( array (
                  'post_type' => 'post',
                  'posts_per_page' => -1,
                  'tax_query' => array (
                    array (
                      'taxonomy' => $current_query->taxonomy,
                      'field' => 'slug',
                      'terms' => $current_query->slug
                    )
                  )

                ) );

							?>

              <h4>Recent blog posts about <?php echo $current_query->name; ?></h4>

							<?php

                if ( $resource_query->have_posts() ) :

              ?>

              <div id="tax-resources-posts" class="card-deck">
                <?php

                  while ( $resource_query->have_posts() ) : $resource_query->the_post();

										$item = array (
							        'id' => get_the_ID(),
							        'title' => get_the_title(),
							        'permalink' => get_permalink(),
							        'post_type' => get_post_type(),
							        'content' => $post->post_content,
							        'thumbnail' => get_post_thumbnail_id ( get_the_ID() )
							      );

                    include ( locate_template ( 'previews/card-post-bg.php' ) );

                  endwhile;

                ?>

              </div>

              <?php

								else :

							?>

							<p class="bg-white p-2 mb-4"><?php _e ( 'No items found.', 'student-energy' ); ?></p>

							<?php

                endif;

                wp_reset_postdata();

                if ( have_rows ( 'tax_resources', $acf_ID ) ) {
									while ( have_rows ( 'tax_resources', $acf_ID ) ) {
                    the_row();

              ?>

              <h4><?php _e ( 'External resources', 'student-energy' ); ?></h4>

							<?php echo get_sub_field ( 'text' ); ?>

							<?php

                  }
                }

              ?>

            </div>
          </div>

        </div>
      </div>

    </article>

  </div>
</div>

<?php

	do_action ( 'h7_after_content_loop' );

?>
