<?php

  // enqueue highcharts components

  wp_enqueue_script ( 'highcharts' );

  if ( is_array ( get_sub_field ( 'components' ) ) ) {
    foreach ( get_sub_field ( 'components' ) as $component ) {
      wp_enqueue_script ( $component );
    }
  }

  wp_enqueue_script ( 'renderer' );

  $js_includes = array();

  if ( have_rows ( 'assets' ) ) {
    while ( have_rows ( 'assets' ) ) {
      the_row();

      $asset_type = get_sub_field ( 'type' );
      $asset_filename = get_sub_field ( 'filename' );

      if ( $asset_type == 'php' ) {

        include ( locate_template ( 'resources/charts/' . $asset_filename . '.php' ) );

        //include ( locate_template (  )

      } elseif ( $asset_type == 'js' ) {

        $js_includes[] = $asset_filename;

      }

    }
  }

?>

<div id="<?php echo get_current_element_ID(); ?>-chart" class="renderable chart-container"
  data-renderable-type="chart"
  data-title="<?php the_sub_field ( 'title' ); ?>"
  data-subtitle="<?php echo wptexturize ( get_sub_field ( 'subtitle' ) ); ?>"
  data-js='<?php echo json_encode ( $js_includes ); ?>'
></div>
