<?php

  if ( get_sub_field ( 'image' ) != '' ) {

    wp_enqueue_script ( 'hotspots' );
    wp_enqueue_script ( 'renderer' );

    //
    // CONTAINER
    //

    $container_class = array();
    $container_atts = array();

    //
    // IMAGE
    //

    $img_class = array();

    $img_ID = get_sub_field ( 'image' );

    $img_URL = wp_get_attachment_image_url ( get_sub_field ( 'image' ), 'bg-no-crop' );

    //
    // SETTINGS
    //

    // PANORAMIC

    $pano = false;

    if ( get_sub_field ( 'panoramic' ) == 1 ) {
      $pano = true;

      $img_class[] = 'pano';

      $container_atts['pano'] = 'true';
    }

    // CAPTION

    $show_caption = true;
    $caption_class = array ();

    if ( have_rows ( 'caption' ) ) {
      while ( have_rows ( 'caption' ) ) {
        the_row();

        $caption_text = get_sub_field ( 'text' );

        if ( $caption_text == '' ) {

          $caption_text = get_the_excerpt ( $img_ID );

        }

        switch ( get_sub_field ( 'show' ) ) {

          case 'before' :
            $caption_class[] = 'order-1';
            $container_class[] = 'order-2';
            break;

          case 'after' :
            $caption_class[] = 'order-2';
            $container_class[] = 'order-1';
            break;

          case 'layered' :
            $caption_class[] = 'layered';
            break;

          default :
            $show_caption = false;
            break;

        }

      }
    }

?>

<div
  id="<?php echo get_current_element_ID(); ?>-hotspots"
  class="hotspots-wrap d-flex flex-column renderable"
  data-renderable-type="hotspots"
  <?php

    foreach ( $container_atts as $att => $val ) {
      echo ' data-hotspots-' . $att . '="' . $val . '"';
    }

  ?>
>

  <?php

    if ( $show_caption == true && $caption_text != '' ) {

  ?>

  <div class="hotspots-caption <?php echo implode ( ' ', $caption_class ); ?>">
    <?php

      echo apply_filters ( 'the_content', $caption_text );

    ?>
  </div>

  <?php

    }

  ?>

  <div class="hotspots-viewport <?php echo implode ( ' ', $container_class ); ?> <?php echo implode ( ' ', $img_class ); ?>">

    <div class="hotspots-container">

      <img src="<?php echo $img_URL; ?>" class="hotspots-image">

      <div class="hotspots">
        <?php

          if ( have_rows ( 'hotspots' ) ) {
            while ( have_rows ( 'hotspots' ) ) {
              the_row();

              $coords = explode ( ',', get_sub_field ( 'coordinates' ) );

        ?>

        <div class="hotspot" style="left: <?php echo (float) $coords[0] * 100; ?>%; top: <?php echo (float) $coords[1] * 100; ?>%;">
          <div class="hotspot-button"></div>
          <div class="hotspot-content"><?php the_sub_field ( 'content' ); ?></div>
        </div>

        <?php

            }
          }

        ?>
      </div>

    </div>

  </div>

  <div class="hotspots-tooltip">
    <div class="hotspots-bubble"></div>
    <div class="hotspots-tooltip-content"></div>
  </div>
</div>

<?php

  } else {
    echo 'Image not set';
  }

?>
