<?php

  wp_enqueue_script ( 'jquery-ui-core' );
  wp_enqueue_script ( 'jquery-ui-widget' );
  wp_enqueue_script ( 'jquery-ui-mouse' );
  wp_enqueue_script ( 'jquery-ui-slider' );

  wp_enqueue_script ( 'lazy' );

  wp_enqueue_script ( 'time-series-slider' );

  wp_enqueue_script ( 'renderer' );

  //
  // IMAGES
  //

  $images = array();

  foreach ( get_sub_field ( 'images' ) as $image ) {
    $images[] = wp_get_attachment_image_url ( $image, 'large' );
  }

?>

<div id="<?php echo get_current_element_ID(); ?>-time-series"
  class="renderable"
  data-renderable-type="time-series"
  data-time-series-handle-style="circle"
  data-time-series-transition="<?php echo get_sub_field ( 'transition' ); ?>"
>

  <?php

    if ( !empty ( $images ) ) {

  ?>

  <div class="series-images">
    <?php

      $img_num = 1;

      foreach ( $images as $image ) {

    ?>

    <img data-src="<?php echo $image; ?>" class="lazy series-image <?php echo ( $img_num == 1 ) ? 'first' : ''; ?>">

    <?php

        $img_num++;

      }

    ?>
  </div>

  <?php

    }

    //
    // SLIDER
    //

    if ( count ( $images ) > 1 ) {

  ?>

  <div class="series-slider"></div>

  <?php

      //
      // LABELS
      //

      if ( have_rows ( 'labels' ) ) {

  ?>

  <div class="series-labels">

    <?php

        while ( have_rows ( 'labels' ) ) {
          the_row();

    ?>

    <span class="series-label"><?php the_sub_field ( 'label' ); ?></span>

    <?php

        }

    ?>

  </div>

  <?php

      }

    }

  ?>

</div>
