<?php

  global $post;

  //
  // ENQUEUE
  //

  wp_enqueue_script ( 'post-carousel', get_bloginfo ( 'template_directory' ) . '/resources/js/post-carousel.js', array ( 'jquery' ), NULL, true );
  wp_enqueue_script ( 'slick' );

  wp_enqueue_script ( 'renderer' );

  // $post_carousel[$block['id']] = array();

  $post_carousel[$block['id']] = carousel_settings ( $block['id'], get_sub_field ( 'carousel_classes' ), get_sub_field ( 'carousel_settings' ) );

  // SLICK SETTINGS

  $post_carousel[$block['id']]['classes'] = array(
    'container' => array(),
    'content' => array(),
    'controls' => array()
  );

  if ( have_rows ( 'carousel_classes' ) ) {
    while ( have_rows ( 'carousel_classes' ) ) {
      the_row();

      $post_carousel[$block['id']]['classes']['container'][] = get_sub_field ( 'container' );
      $post_carousel[$block['id']]['classes']['content'][] = get_sub_field ( 'content' );
      $post_carousel[$block['id']]['classes']['controls'][] = get_sub_field ( 'controls' );

    }
  }

  //
  // RUN ACF QUERY
  //

  $new_query = array();

  $new_query['args']['paged'] = 1;

  if ( isset ( $_GET[$block['id'] . '-carousel-page'] ) ) {

    // page number

    $new_query['args']['paged'] = $_GET[$block['id'] . '-carousel-page'];

    //

    $new_query['args']['posts_per_page'] = 1;

  }

  //

  // if set to infinite, there needs to be the exact number of posts to fill the slides

    $post_carousel[$block['id']]['settings']['infinite'] = false;

  if ( get_sub_field ( 'infinite' ) == 1 ) {

    $post_carousel[$block['id']]['settings']['infinite'] = false;

    $new_query['args']['posts_per_page'] = $post_carousel[$block['id']]['settings']['slidesToShow'];

    $post_carousel[$block['id']]['settings']['slidesToScroll'] = $post_carousel[$block['id']]['settings']['slidesToShow'];

    // $post_carousel[$block['id']]['slick']['slidesToScroll'] = 2;

  } else {}

  include ( locate_template ( 'resources/phil_evans_dependencies/pe-acf-query/acf-query.php' ) );

  $post_carousel[$block['id']] = array_merge ( $new_query, $post_carousel[$block['id']] );

  echo '<pre>';

  // print_r($new_query['args']);
  //
  // while ($new_query['results']->have_posts()) :
  //   $new_query['results']->the_post();
  //
  //   the_title();
  //   echo '<br>';
  // endwhile;
  echo '</pre>';
// wp_reset_postdata();

  //
  // DISPLAY SETTINGS
  //

  // template

  $template_filename = '';

  if ( locate_template ( 'previews/' . get_sub_field ( 'template' ) . '.php' ) != '' ) {
    $template_filename = 'previews/' . get_sub_field ( 'template' ) . '.php';
  }

  //
  // LAYOUT
  //

  if ( isset ( $post_carousel[$block['id']]['items'] ) ) {

?>

<div id="<?php echo $block['id']; ?>-carousel" class="renderable post-carousel-wrap <?php echo implode ( ' ', $post_carousel[$block['id']]['classes']['container'] ); ?>" data-renderable-type="carousel">
  <div class="row">
    <div class="post-carousel" data-slick='<?php echo json_encode ( $post_carousel[$block['id']]['settings'] ); ?>' data-page="<?php echo $post_carousel[$block['id']]['args']['paged']; ?>">

      <?php

        $item_num = 1;

        // $old_post = $post;

        foreach ( $post_carousel[$block['id']]['items'] as $item ) {

          // $post = $item;

          // setup_postdata ( $post );

      ?>


      <div id="<?php echo $block['id']; ?>-item-<?php echo $item['id']; ?>" class="query-item post-preview type-<?php echo $item['post_type']; ?> <?php echo implode ( ' ', $post_carousel[$block['id']]['classes']['content'] ); ?>">

        <?php

          if ( $template_filename != '' ) {

            include ( locate_template ( $template_filename ) );

          } elseif ( locate_template ( 'previews/' . get_post_type() . '.php'  ) != '' ) {

            include ( locate_template ( 'previews/' . get_post_type() . '.php' ) );

          } else {

        ?>

        <div class="card h-100">
          <?php

            if ( has_post_thumbnail() ) {

          ?>
          <img src="<?php the_post_thumbnail_url ( 'medium' ); ?>" class="card-img-top" alt="">
          <?php

            }

          ?>

          <div class="card-body">
            <h5 class="cart-title"><a href="<?php echo $item['permalink']; ?>"><?php echo $item['title']; ?></a></h5>

            <p class="card-text"><?php echo custom_excerpt ( 10, $item['id'] ); ?></p>

            <a href="<?php echo $item['permalink']; ?>" class="card-link"><?php _e ( 'Learn More', 'h7' ); ?></a>
          </div>
        </div>

        <?php

          }

        ?>

      </div>

      <?php

          $item_num++;

        }

        // wp_reset_postdata();

        // $post = $old_post;

        // setup_postdata ( $post );

      ?>

    </div>
  </div>
</div>

<?php

  if (
    $post_carousel[$block['id']]['settings']['arrows'] == true ||
    $post_carousel[$block['id']]['settings']['dots'] == true
  ) {

?>

<div class="carousel-controls <?php echo implode ( ' ', $post_carousel[$block['id']]['classes']['controls'] ); ?>">
  <?php

    if ( $post_carousel[$block['id']]['settings']['arrows'] == true ) {

  ?>

  <div id="<?php echo $block['id']; ?>-prev" class="carousel-arrow post-carousel-prev order-1"><i class="fas fa-arrow-left"></i></div>
  <div id="<?php echo $block['id']; ?>-next" class="carousel-arrow post-carousel-next order-3"><i class="fas fa-arrow-right"></i></div>

  <?php

    }

    if ( $post_carousel[$block['id']]['settings']['dots'] == true ) {

  ?>

  <div id="<?php echo $block['id']; ?>-dots" class="carousel-dots order-2 flex-grow-1"></div>

  <?php

    }

  ?>

</div>

<?php

  }

?>

<?php

  } else {

    echo '<div class="bg-warning">';
    _e ( 'No items found.', 'h7' );
    echo '</div>';

  }

?>
