<?php

  global $post;

  wp_enqueue_script ( 'post-grid', get_bloginfo ( 'template_directory' ) . '/resources/js/post-grid.js', array ( 'jquery' ), NULL, true );

  wp_enqueue_script ( 'renderer' );

  // array to hold the grid items

  if ( !isset ( $post_grid[$block['id']] ) ) $post_grid[$block['id']] = array();

  //
  // RUN ACF QUERY
  //

  $new_query['args']['paged'] = 1;

  if ( isset ( $_GET[$block['id'] . '-page'] ) ) {

    // page number

    $new_query['args']['paged'] = $_GET[$block['id'] . '-page'];

  }

  include ( locate_template ( 'resources/phil_evans_dependencies/pe-acf-query/acf-query.php' ) );

  // populate the array with the returned $new_query items

  $post_grid[$block['id']] = array_merge ( $post_grid[$block['id']], $new_query );

  //$post_grid[$block['id']] = $new_query;

  //
  // DISPLAY SETTINGS
  //

  $post_grid[$block['id']]['display']['columns'] = 'col-12 col-lg-3';

  if ( have_rows ( 'cols' ) ) {
    while ( have_rows ( 'cols' ) ) {
      the_row();

      if ( get_sub_field ( 'xs' ) != '' ) {
        $post_grid[$block['id']]['display']['columns'] = 'col-' . get_sub_field ( 'xs' );
      } else {
        $post_grid[$block['id']]['display']['columns'] = 'col';
      }

      if ( get_sub_field ( 'md' ) != '' ) {
        $post_grid[$block['id']]['display']['columns'] .= ' col-md-' . get_sub_field ( 'md' );
      }

      if ( get_sub_field ( 'lg' ) != '' ) {
        $post_grid[$block['id']]['display']['columns'] .= ' col-lg-' . get_sub_field ( 'lg' );
      }

      if ( get_sub_field ( 'xl' ) != '' ) {
        $post_grid[$block['id']]['display']['columns'] .= ' col-xl-' . get_sub_field ( 'xl' );
      }

    }
  }

  // template

  $template_filename = '';

  if ( locate_template ( 'previews/' . get_sub_field ( 'template' ) . '.php' ) != '' ) {
    $template_filename = 'previews/' . get_sub_field ( 'template' ) . '.php';
  }

  //
  // OUTPUT
  //

/*
  echo '<pre>';
  print_r ( $post_grid[$block['id']] );
  echo '</pre>';
*/

?>

<div id="<?php echo $block['id']; ?>-grid" class="renderable" data-renderable-type="post_grid">

  <?php

    if ( isset ( $post_grid[$block['id']]['items'] ) ) {

  ?>

    <div id="<?php echo $block['id']; ?>-items" class="post-grid-wrap query-item-wrap row card-deck">

        <?php

          // LOOP

          $col_num = 1;

          // $old_post = $post;

          foreach ( $post_grid[$block['id']]['items'] as $item ) {

            // $post = $item;

            // setup_postdata ( $post );

        ?>

        <div id="<?php echo $block['id']; ?>-item-<?php echo $item['id']; ?>" class="query-item post-preview card type-<?php echo $item['post_type']; ?> <?php echo $post_grid[$block['id']]['display']['columns']; ?>">

          <?php

            if ( $template_filename != '' ) {

              include ( locate_template ( $template_filename ) );

            } elseif ( locate_template ( 'previews/' . $item['post_type'] . '.php'  ) != '' ) {

              include ( locate_template ( 'previews/' . $item['post_type'] . '.php' ) );

            } else {

          ?>

            <?php

              if ( $item['thumbnail'] != '' ) {

            ?>
            <img src="<?php echo $item['thumbnail']; ?>" class="card-img-top" alt="">
            <?php

              }

            ?>

            <div class="card-body">
              <h4 class="cart-title"><a href="<?php echo $item['permalink']; ?>"><?php echo $item['title']; ?></a></h4>

              <p class="card-text"><?php echo custom_excerpt ( 10, get_the_ID() ); ?></p>

              <a href="<?php echo $item['permalink']; ?>" class="card-link"><?php _e ( 'Learn More', 'h7' ); ?></a>
            </div>

          <?php

            }

          ?>

        </div>

        <?php

          }

          // wp_reset_postdata();

          // $post = $old_post;

          // setup_postdata ( $post );

        ?>


    </div>

  <?php

      if ( get_sub_field ( 'pagination' ) ) {

        if ( $post_grid[$block['id']]['args']['paged'] < $post_grid[$block['id']]['results']->max_num_pages ) {

  ?>

  <div class="post-grid-next acf-query-next text-center">
    <a href="<?php echo $GLOBALS['vars']['current_url']; ?>?<?php echo $block['id']; ?>-page=<?php echo $post_grid[$block['id']]['args']['paged'] + 1; ?>" class="post-grid-next-btn acf-query-next-btn prevent-default btn btn-primary">Next</a>
  </div>

  <?php

        }

      }

      unset ( $new_query );

    } else {

      echo '<div class="bg-warning col-6 offset-3">No items found.</div>';

    }

  ?>

</div>
