<?php

global $post;

if (!isset($current_block_ID)) {
    $current_block_ID = get_current_element_ID();
}

// array to hold the grid items

if (!isset($query_block[$current_block_ID])) $query_block[$current_block_ID] = array();

//
// SET UP ACF QUERY
//

$new_query['args']['paged'] = 1;

if (isset($_GET[$current_block_ID . '_filters'])) {

    $new_query['filter_args'] = explode(',', $_GET[$current_block_ID . '_filters']);
}

if (isset($_GET[$current_block_ID . '-page'])) {

    // page number

    $new_query['args']['paged'] = $_GET[$current_block_ID . '-page'];
}

//
// PRE-QUERY ADJUSTMENTS
// based on display setting
//

if (get_sub_field('display') == 'carousel') {
    while (have_rows('carousel')) {
        the_row();

        while (have_rows('slidesToShow')) {
            the_row();

            if (get_sub_field('xl') != '') {
                $new_query['args']['posts_per_page'] = (int) get_sub_field('xl');
            }
        }
    }
}

//
// INCLUDE
// acf-query component
//

include(locate_template('resources/phil_evans_dependencies/pe-acf-query/acf-query.php'));

//
// MERGE
// populate the array with the returned $new_query items
//

$query_block[$current_block_ID] = array_merge($query_block[$current_block_ID], $new_query);

//$query_block[$current_block_ID] = $new_query;

//
// DISPLAY SETTINGS
//
if (!isset($query_block[$current_block_ID]['display']['columns'])) {
    $query_block[$current_block_ID]['display']['columns'] = 'col-12 col-lg-3';
}

if (have_rows('cols')) {

    while (have_rows('cols')) {
        the_row();

        if (get_sub_field('xs') != '') {
            $query_block[$current_block_ID]['display']['columns'] = 'col-' . get_sub_field('xs');
        } else {
            $query_block[$current_block_ID]['display']['columns'] = 'col';
        }

        if (get_sub_field('sm') != '') {
            $query_block[$current_block_ID]['display']['columns'] .= ' col-sm-' . get_sub_field('sm');
        }

        if (get_sub_field('md') != '') {
            $query_block[$current_block_ID]['display']['columns'] .= ' col-md-' . get_sub_field('md');
        }

        if (get_sub_field('lg') != '') {
            $query_block[$current_block_ID]['display']['columns'] .= ' col-lg-' . get_sub_field('lg');
        }

        if (get_sub_field('xl') != '') {
            $query_block[$current_block_ID]['display']['columns'] .= ' col-xl-' . get_sub_field('xl');
        }
    }
}

// template
$query_block[$current_block_ID]['display']['template'] = '';

if (locate_template('previews/' . get_sub_field('template') . '.php') != '') {
    $query_block[$current_block_ID]['display']['template'] = 'previews/' . get_sub_field('template') . '.php';
}

//
// OUTPUT
//

$query_block[$current_block_ID]['display']['type'] = 'grid';

if (get_sub_field('display') != '') {
    $query_block[$current_block_ID]['display']['type'] = get_sub_field('display');
}

include(locate_template('blocks/query/' . $query_block[$current_block_ID]['display']['type'] . '.php'));


// echo '<pre>';
// print_r ( $query_block[$current_block_ID]['args'] );
// echo '</pre>';
