<?php

wp_enqueue_script('post-grid', get_bloginfo('template_directory') . '/resources/js/post-grid.js', array('jquery'), NULL, true);
wp_enqueue_script('renderer');

$grid_class = array('query-items-wrap', 'query-type-grid', 'renderable');

if (!empty($query_block[$current_block_ID]['filters'])) {
    $grid_class[] = 'has-filter';

    if (isset($query_block[$current_block_ID]['display']['filter'])) {
        $grid_class[] = 'filter-position-' . $query_block[$current_block_ID]['display']['filter']['position'];

        if ($query_block[$current_block_ID]['display']['filter']['collapsible']) {
            $grid_class[] = 'filter-collapsible';
        }

        // if position left and collapsible

        if (
            $query_block[$current_block_ID]['display']['filter']['position'] == 'left' &&
            $query_block[$current_block_ID]['display']['filter']['collapsible']
        ) {
            wp_enqueue_script('sticky-kit');
        }
    }
}
?>

<div id="<?php echo $current_block_ID; ?>-grid"
     class="<?php echo implode(' ', $grid_class); ?>"
     data-renderable-type="post_grid"
     data-filters='<?php echo (isset($query_block[$current_block_ID]['filter_args'])) ? json_encode($query_block[$current_block_ID]['filter_args']) : ''; ?>'>

    <?php

    //
    // FILTER
    //

    if (!empty($query_block[$current_block_ID]['filters'])) {
        if ($query_block[$current_block_ID]['display']['filter']['collapsible']) {
            include(locate_template('blocks/query/filter-toggle.php'));
        }

        include(locate_template('blocks/query/filters.php'));
    }

    //
    // ITEMS
    //

    if (!empty($query_block[$current_block_ID]['items'])) {

        echo '<div id="'. $current_block_ID . '-items" class="post-grid-wrap query-item-wrap row">';

        // LOOP
        $col_num = 1;

        foreach ($query_block[$current_block_ID]['items'] as $item) {
            echo '<div id="<?php echo $current_block_ID; ?>-item-' . $item["id"] . '"
                    class="query-item ' . $query_block[$current_block_ID]['display']['columns'] .'">';

                if (isset($query_block[$current_block_ID]['display']['template']) && $query_block[$current_block_ID]['display']['template'] != '') {
                    echo '<!-- ' . $query_block[$current_block_ID]['display']['template'] . '.php -->';

                    // card template set by field
                    include(locate_template($query_block[$current_block_ID]['display']['template']));
                } elseif (locate_template('previews/' . $item['post_type'] . '-card.php') != '') {
                    echo '<!-- ' . $item['post_type'] . '-card.php -->';

                    // card template by post type
                    include(locate_template('previews/' . $item['post_type'] . '-card.php'));

                } else {
                    echo '<!-- card.php -->';

                    // default card
                    include(locate_template('previews/card.php'));

                }

            echo '</div>';
        }

        if (!isset($query_block[$current_block_ID]['paginate'])) {
            $query_block[$current_block_ID]['paginate'] = false;
        }

        if (get_sub_field('results_paged') == 1) {
            $query_block[$current_block_ID]['paginate'] = true;
        }

        if ($query_block[$current_block_ID]['paginate']) {
            if ($query_block[$current_block_ID]['args']['paged'] < $query_block[$current_block_ID]['results']->max_num_pages) {

                $next_btn_URL = $GLOBALS['vars']['current_url'];

                if (str_contains($next_btn_URL, '?')) {
                    $next_btn_URL = explode('?', $next_btn_URL)[0];
                }

                if (isset($query_block[$current_block_ID]['args']['paged'])) {
                    $next_btn_URL .= '?' . $current_block_ID . '-page=';
                    $next_btn_URL .= (((int) $query_block[$current_block_ID]['args']['paged']) + 1);
                }

                echo '
                    <div class="post-grid-next acf-query-next text-center w-100">
                        <a href="'. $next_btn_URL .'"
                            class="post-grid-next-btn acf-query-next-btn prevent-default btn btn-primary">
                            ' . _x('Load more', 'h7') . '
                        </a>
                    </div>';
            }
        }

        echo '</div>';

        unset($new_query);
    } else {
        echo '<div class="bg-white col-8 offset-1 my-5 p-3">No items found.</div>';
    }

    ?>

</div>