<?php

//
// TEMPLATE
//

function posttype_template() {

	$labels = array(
		'name'                  => _x( 'Section Templates', 'Post Type General Name', 'h7-post-types' ),
		'singular_name'         => _x( 'Section Template', 'Post Type Singular Name', 'h7-post-types' ),
		'menu_name'             => __( 'Templates', 'h7-post-types' ),
		'name_admin_bar'        => __( 'Template', 'h7-post-types' ),
		'archives'              => __( 'Template Archives', 'h7-post-types' ),
		'attributes'            => __( 'Template Attributes', 'h7-post-types' ),
		'parent_item_colon'     => __( 'Parent Template:', 'h7-post-types' ),
		'all_items'             => __( 'All Templates', 'h7-post-types' ),
		'add_new_item'          => __( 'Add New Section Template', 'h7-post-types' ),
		'add_new'               => __( 'Add New', 'h7-post-types' ),
		'new_item'              => __( 'New Template', 'h7-post-types' ),
		'edit_item'             => __( 'Edit Template', 'h7-post-types' ),
		'update_item'           => __( 'Update Template', 'h7-post-types' ),
		'view_item'             => __( 'View Template', 'h7-post-types' ),
		'view_items'            => __( 'View Templates', 'h7-post-types' ),
		'search_items'          => __( 'Search Template', 'h7-post-types' ),
		'not_found'             => __( 'Not found', 'h7-post-types' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'h7-post-types' ),
		'featured_image'        => __( 'Featured Image', 'h7-post-types' ),
		'set_featured_image'    => __( 'Set featured image', 'h7-post-types' ),
		'remove_featured_image' => __( 'Remove featured image', 'h7-post-types' ),
		'use_featured_image'    => __( 'Use as featured image', 'h7-post-types' ),
		'insert_into_item'      => __( 'Insert into item', 'h7-post-types' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'h7-post-types' ),
		'items_list'            => __( 'Items list', 'h7-post-types' ),
		'items_list_navigation' => __( 'Items list navigation', 'h7-post-types' ),
		'filter_items_list'     => __( 'Filter items list', 'h7-post-types' ),
	);
	$args = array(
		'label'                 => __( 'Template', 'h7-post-types' ),
		'description'           => __( 'Post Type Description', 'h7-post-types' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'revisions' ),
    'taxonomies'            => array ( 'template_tag' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 20,
		'menu_icon'             => 'dashicons-clipboard',
		'show_in_admin_bar'     => false,
		'show_in_nav_menus'     => false,
		'can_export'            => true,
		'has_archive'           => false,
		'exclude_from_search'   => true,
		'publicly_queryable'    => false,
		'capability_type'       => 'page',
	);
	register_post_type( 'template', $args );

}
add_action( 'init', 'posttype_template', 0 );
