<?php

/**
 * TEMPLATE TAG
 * @return void
 */
function taxonomy_templatetag(): void
{
	$labels = array(
		'name'                       => _x( 'Template Tags', 'Taxonomy General Name', 'h7-taxonomies' ),
		'singular_name'              => _x( 'Template Tag', 'Taxonomy Singular Name', 'h7-taxonomies' ),
		'menu_name'                  => __( 'Tags', 'h7-taxonomies' ),
		'all_items'                  => __( 'All Tags', 'h7-taxonomies' ),
		'parent_item'                => __( 'Parent Tag', 'h7-taxonomies' ),
		'parent_item_colon'          => __( 'Parent Tag:', 'h7-taxonomies' ),
		'new_item_name'              => __( 'New Tag Name', 'h7-taxonomies' ),
		'add_new_item'               => __( 'Add New Tag', 'h7-taxonomies' ),
		'edit_item'                  => __( 'Edit Tag', 'h7-taxonomies' ),
		'update_item'                => __( 'Update Tag', 'h7-taxonomies' ),
		'view_item'                  => __( 'View Tag', 'h7-taxonomies' ),
		'separate_items_with_commas' => __( 'Separate items with commas', 'h7-taxonomies' ),
		'add_or_remove_items'        => __( 'Add or remove items', 'h7-taxonomies' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'h7-taxonomies' ),
		'popular_items'              => __( 'Popular Items', 'h7-taxonomies' ),
		'search_items'               => __( 'Search Items', 'h7-taxonomies' ),
		'not_found'                  => __( 'Not Found', 'h7-taxonomies' ),
		'no_terms'                   => __( 'No items', 'h7-taxonomies' ),
		'items_list'                 => __( 'Items list', 'h7-taxonomies' ),
		'items_list_navigation'      => __( 'Items list navigation', 'h7-taxonomies' ),
	);

	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => false,
		'public'                     => false,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => false,
		'show_tagcloud'              => false,
	);

	register_taxonomy( 'template_tag', array( 'template' ), $args );
}

add_action( 'init', 'taxonomy_templatetag', 0 );