<?php

//
// MARKUP FUNCTIONS
// functions for setup / extra markup that's required for certain element types and settings
//

//
// ELEMENT TYPES
//

// SECTION

function section_output ( $action ) {

  if (
    $action == 'open' &&
    $GLOBALS['elements']['current']['type'] == 'section'
  ) {

    echo "\n\t" . '<div class="section-wrap">';

  } elseif ( $action == 'close' ) {

    echo "\n\t" . '</div>';//'<!-- .section-wrap -->';

  }

}

// CONTAINER

function container_output ( $action ) {

  if (
    $action == 'open'
  ) {

    echo "\n\t\t\t" . '<div class="row h7-container-row ' . get_sub_field ( 'row_classes' ) . '">';

  } elseif ( $action == 'close' ) {

		echo 'close';

    echo "\n\t\t\t" . '</div><!-- row -->';

  }

}

// BLOCK

function block_output ( $action ) {

  $GLOBALS['elements']['current']['block']['row_index'] = (int) get_row_index() - 1;

  echo "\n\t\t\t";

  if (
    $action == 'open' &&
    $GLOBALS['elements']['current']['type'] == 'block'
  ) {

    $include_path = 'blocks/';

    if ( $GLOBALS['elements']['current']['block']['type'] != '' )
      $include_path .= $GLOBALS['elements']['current']['block']['type'] . '/';

    if ( have_rows ( 'blocks' ) ) {
      while ( have_rows ( 'blocks' ) ) {
        the_row();

        if ( locate_template ( $include_path . get_row_layout() . '.php' ) != '' ) {

          include ( locate_template ( $include_path . get_row_layout() . '.php' ) );

        } else {

          echo '<p class="alert alert-secondary">';
          echo $include_path . get_row_layout() . '.php not found';
          echo '</p>';

        }

      }
    }

  } elseif ( $action == 'close' ) {

    // no output

  }

  // acf_form( array(
  //   'post_id' => get_the_ID(),
  //   'fields' => array('field_5d09354453c81')
  // ) );


}

//
// BACKGROUND
//

function output_bg ( $bg = null ) {

  if ( isset ( $bg ) && $bg != null && !empty ( $bg ) ) {

    // tab index

    $index = array_search ( get_current_element_type(), array_keys ( $GLOBALS['elements']['types'] ) );

    echo "\n";

    $tabs = '';

    for ( $i = 1; $i <= $index; $i += 1 ) {
      $tabs .= "\t";
    }

    // init BG class array if not already set

    if ( !isset ( $bg_class ) ) {
      $bg_class = array();
    }

    // opacity

    $bg_class[] = 'opacity-' . $bg['opacity'];

    // image / video URL

    $bg_URL = '';
    $video_URL = '';

    switch ( $bg['type'] ) {
      case 'thumbnail' :

				$bg_ID = get_the_ID();

				if ( is_archive() || is_author() || is_category() || is_home() || is_tag() ) {

					$bg_ID = get_option ( 'page_for_posts' );
				}

				echo '<h2>HEY HEY ' . $bg_ID . '</h2>';

        $bg_URL = get_the_post_thumbnail_url ( $bg_ID, 'bg' );
        break;

      case 'image' :
        $bg_URL = wp_get_attachment_image_url ( $bg['image'], 'bg' );
        break;

      case 'video' :

        if ( $bg['image'] != '' ) {
          $bg_URL = wp_get_attachment_image_url ( $bg['image'], 'bg' );
        }

        if ( $bg['video'] != '' ) {
          $bg_class[] = 'video';
          $video_URL = wp_get_attachment_url ( $bg['video'] );
        }

        break;

    }

    //
    // BG image settings
    // if a BG URL exists, either by a subfield or set manually in a template
    //

    if ( isset ( $bg_URL ) && $bg_URL != '' ) {

      // position

      if (
        !is_array ( $bg['position'] ) &&
        $bg['position'] != ''
      ) {
        $bg_class[] = 'bg-position-' . str_replace( ' ', '-', $bg['position'] );
      }

      // size

      if (
        !is_array ( $bg['size'] ) &&
        $bg['size'] != ''
      ) {
        $bg_class[] = 'bg-size-' . $bg['size'];
      }

      // attachment

      if (
        !is_array ( $bg['attachment'] ) &&
        $bg['attachment'] != ''
      ) {
        $bg_class[] = 'bg-attachment-' . $bg['attachment'];
      }

    }

    if ( $bg_URL != '' || $video_URL != '' ) {

      echo "\n" . $tabs . '<div class="bg ' . implode ( ' ', $bg_class ) . '" style="background-image: url(' . $bg_URL . '">';

      if ( $video_URL != '' ) {

        echo "\n" . $tabs . "\t" . '<video loop autoplay muted>';
        echo "\n" . $tabs . "\t\t" . '<source src="<?php echo $video_URL; ?>" type="video/mp4">';
        echo "\n" . $tabs . "\t\t" . 'Your browser does not support the video tag.';
        echo "\n" . $tabs . "\t" . '</video>';

      }

      echo "\n" . $tabs . '</div>';

    }

  } // if bg

}

//
// UX FUNCTIONALITY
// e.g. collapsible, carousel
//

//
// COLLAPSIBLE
//

// SETUP

function collapsible_setup() {

  $collapsible = array (
    'enabled' => true,
    'breakpoint' => get_sub_field ( 'breakpoint' )
  );

  $GLOBALS['elements']['current']['classes'][] = 'collapsible';

  $GLOBALS['elements']['current']['settings']['collapsible'] = array (
    'enabled' => true,
    'breakpoint' => get_sub_field ( 'breakpoint' ),
    'text' => get_sub_field ( 'text' ),
    'icon' => 'fas fa-bars'
  );

  if ( get_sub_field ( 'icon' ) != '' ) {
    $GLOBALS['elements']['current']['settings']['collapsible']['icon'] = get_sub_field ( 'icon' );
  }

  return $collapsible;

}

// OUTPUT

function collapsible_output ( $action, $type ) {

  if (
    isset ( $GLOBALS['elements']['current']['settings']['collapsible'] ) &&
    $GLOBALS['elements']['current']['settings']['collapsible']['enabled'] == true
  ) {

    if ( $action == 'open' ) {

      if ( $GLOBALS['elements']['current']['settings']['collapsible']['breakpoint'] != 'default' ) {

        echo "\n" . '<nav class="navbar navbar-expand-' . $GLOBALS['elements']['current']['settings']['collapsible']['breakpoint'] . '">';

      }

  ?>

      <button class="navbar-toggler btn btn-lg btn-transparent text-secondary" type="button" data-toggle="collapse" data-target="#<?php echo $GLOBALS['elements']['current']['id']; ?>-collapse" aria-controls="<?php echo $GLOBALS['elements']['current']['id']; ?>-collapse" aria-expanded="false" aria-label="Toggle navigation">

        <?php

          if ( $GLOBALS['elements']['current']['settings']['collapsible']['text'] != '' ) {
            echo '<span>' . $GLOBALS['elements']['current']['settings']['collapsible']['text'] . '</span>';
          }

        ?>

        <i class="<?php echo $GLOBALS['elements']['current']['settings']['collapsible']['icon']; ?>"></i>
      </button>

      <!-- begin collapsible area -->

      <div id="<?php echo $GLOBALS['elements']['current']['id']; ?>-collapse" class="collapse navbar-collapse">

  <?php

    } elseif ( $action == 'close' ) {

      // set 'enabled' to false
      $GLOBALS['elements']['types'][$type]['collapsible']['enabled'] = false;

      // close the .collapse wrapper
      echo "\n\t" . '</div>';//'<!-- .collapse -->';

      // if the breakpoint is set, close the <nav> element
      if (
        $GLOBALS['elements']['types'][$type]['collapsible']['breakpoint'] != '' &&
        $GLOBALS['elements']['types'][$type]['collapsible']['breakpoint'] != 'default'
      ) {
        echo "\n" . '</nav>';
      }

      echo "\n";// . '<!-- end collapsible area -->';

      // reset the breakpoint
      $GLOBALS['elements']['types'][$type]['collapsible']['breakpoint'] = '';

    }

  }

}

//
// CAROUSEL
//

// SETUP

function carousel_setup ( $block_ID ) {

  $carousel = array (
    'id' => $block_ID,
    'slide_counter' => 0,
    'classes' => array (
      'container' => array(),
      'content' => array(),
      'controls' => array()
    ),
    'settings' => array (
      'slidesToShow' => 1,
      'slidesToScroll' => 1,
      'draggable' => false,
      'arrows' => false,
      'dots' => false,
      'autoplay' => false,
      'responsive' => array (
        array (
          'breakpoint' => 576,
          'settings' => array (
            'slidesToShow' => 1,
            'slidesToScroll' => 1,
            'draggable' => true
          )
        )
      )
    )
  );

  // CLASSES

  if ( have_rows ( 'carousel_classes' ) ) {
    while ( have_rows ( 'carousel_classes' ) ) {
      the_row();

      $carousel['classes']['container'][] = get_sub_field ( 'container' );
      $carousel['classes']['content'][] = get_sub_field ( 'content' );
      $carousel['classes']['controls'][] = get_sub_field ( 'controls' );

    }
  }

  //
  // SETTINGS
  //

  // SLICK OPTIONS

  $breakpoints = array (
    'xs' => array ( 'breakpoint' => 576 ),
    'sm' => array ( 'breakpoint' => 768 ),
    'md' => array ( 'breakpoint' => 992 ),
    'lg' => array ( 'breakpoint' => 1200 )
  );

  while ( have_rows ( 'slidesToShow' ) ) {
    the_row();

    if ( get_sub_field ( 'xl' ) != '' ) {
      $carousel['settings']['slidesToShow'] = (int) get_sub_field ( 'xl' );
    }

    if ( get_sub_field ( 'lg' ) != '' )
      $breakpoints['lg']['slidesToShow'] = (int) get_sub_field ( 'lg' );

    if ( get_sub_field ( 'md' ) != '' )
      $breakpoints['md']['slidesToShow'] = (int) get_sub_field ( 'md' );

    if ( get_sub_field ( 'sm' ) != '' )
      $breakpoints['sm']['slidesToShow'] = (int) get_sub_field ( 'sm' );

    if ( get_sub_field ( 'xs' ) != '' )
      $breakpoints['xs']['slidesToShow'] = (int) get_sub_field ( 'xs' );

  }

  while ( have_rows ( 'slidesToScroll' ) ) {
    the_row();

    if ( get_sub_field ( 'xl' ) != '' )
      $carousel['settings']['slidesToScroll'] = (int) get_sub_field ( 'xl' );

    if ( get_sub_field ( 'lg' ) != '' )
      $breakpoints['lg']['slidesToScroll'] = (int) get_sub_field ( 'lg' );

    if ( get_sub_field ( 'md' ) != '' )
      $breakpoints['md']['slidesToScroll'] = (int) get_sub_field ( 'md' );

    if ( get_sub_field ( 'sm' ) != '' )
      $breakpoints['sm']['slidesToScroll'] = (int) get_sub_field ( 'sm' );

    if ( get_sub_field ( 'xs' ) != '' )
      $breakpoints['xs']['slidesToScroll'] = (int) get_sub_field ( 'xs' );

  }

  foreach ( $breakpoints as $breakpoint ) {

    if ( isset ( $breakpoint['slidesToShow'] ) || isset ( $breakpoint['slidesToScroll'] ) ) {

      $new_breakpoint = array(
        'breakpoint' => $breakpoint['breakpoint'],
      );

      if ( isset ( $breakpoint['slidesToShow'] ) ) {
        $new_breakpoint['settings']['slidesToShow'] = $breakpoint['slidesToShow'];
      }

      if ( isset ( $breakpoint['slidesToScroll'] ) ) {
        $new_breakpoint['settings']['slidesToScroll'] = $breakpoint['slidesToScroll'];
      }

      $carousel['settings']['responsive'][] = $new_breakpoint;

    }

  }

  // transition - slide or fade

  if ( get_sub_field ( 'transition' ) == 'fade' ) $carousel['settings']['fade'] = true;

  // draggable

  if ( get_sub_field ( 'draggable' ) == 1 ) $carousel['settings']['draggable'] = true;

  // adaptive height

  if ( get_sub_field ( 'adaptiveHeight' ) == 1 ) {
    $carousel['settings']['adaptiveHeight'] = true;
    $carousel['classes']['container'][] = 'adaptive-height';
  }

  // arrows

  if ( get_sub_field ( 'arrows' ) == 1 ) {
    $carousel['settings']['arrows'] = true;
    $carousel['settings']['prevArrow'] = '#' . $block_ID . '-prev';
    $carousel['settings']['nextArrow'] = '#' . $block_ID . '-next';
  }

  // dots

  if ( get_sub_field ( 'dots' ) == 1 ) {
    $carousel['settings']['dots'] = true;
    $carousel['settings']['appendDots'] = '#' . $block_ID . '-dots';
  }

  // echo get_sub_field ( 'autoplaySpeed' );

  if ( (int) get_sub_field ( 'autoplaySpeed' ) != 0 && (int) get_sub_field ( 'autoplaySpeed' ) != '' ) {
    $carousel['settings']['autoplay'] = true;
    $carousel['settings']['autoplaySpeed'] = (int) get_sub_field ( 'autoplaySpeed' ) * 1000;
  }

  // other

  if ( have_rows ( 'other' ) ) {
    while ( have_rows ( 'other' ) ) {
      the_row();

      $other_setting = get_sub_field ( 'setting' );
      $sanitize_val = get_sub_field ( 'value' );

      if ( $sanitize_val == 'true' ) {
        $sanitize_val = true;
      } elseif ( $sanitize_val == 'false' ) {
        $sanitize_val = false;
      }

      $carousel['settings'][$other_setting] = $sanitize_val;

    }
  }

  //
  // RETURN
  //

  return $carousel;

}

// OUTPUT

function carousel_output ( $action, $type ) {

  if ( isset ( $GLOBALS['elements']['types'][$type]['carousel'] ) ) {

    $carousel = $GLOBALS['elements']['types'][$type]['carousel'];

    if ( $action == 'open' ) {

      echo '<div class="carousel ' . implode ( ' ', $carousel['classes']['container'] ) . '" data-slick=\'' . json_encode ( $carousel['settings'] ) . '\'>';

    } elseif ( $action == 'close' ) {

      // close the .carousel container
      echo '</div>';//'<!-- carousel -->';

      // output dots/arrows

      if (
        $carousel['settings']['arrows'] == true ||
        $carousel['settings']['dots'] == true
      ) {

    ?>

    <div class="carousel-controls <?php echo implode ( ' ', $carousel['classes']['controls'] ); ?>">
      <?php

        if ( $carousel['settings']['arrows'] == true ) {

      ?>

      <div id="<?php echo $carousel['id']; ?>-prev" class="carousel-arrow arrow-prev order-1"><i class="fas fa-arrow-left"></i></div>
      <div id="<?php echo $carousel['id']; ?>-next" class="carousel-arrow arrow-next order-3"><i class="fas fa-arrow-right"></i></div>

      <?php

        }

        if ( $carousel['settings']['dots'] == true ) {

      ?>

      <div id="<?php echo $carousel['id']; ?>-dots" class="carousel-dots order-2 flex-grow-1"></div>

      <?php

        }

      ?>

    </div>

    <?php

      }

      unset ( $GLOBALS['elements']['types'][$type]['carousel'] );


    }

  }

}
