<?php

//
// LOCATE HERO TEMPLATE FIELD
// use the page template's filename to locate a template field group in the 'hero templates' option page
//

function h7_locate_hero_template() {

  $hero_template_row = 0;

  $hero_template = array (
    'field' => 'hero_default',
    'row' => 0
  );

  $i = 0;

  $found_hero_template = false;

  // go through all templates

  if ( have_rows ( 'hero_templates', 'option' ) ) {
    while ( have_rows ( 'hero_templates', 'option' ) ) {
      the_row();

      if ( $found_hero_template == false ) {

        $template_field = explode ( ',', get_sub_field ( get_sub_field ( 'select' ) ) );

        foreach ( $template_field as $field ) {

          // if the slug field matches the WP slug
          // OR
          // the template name field matches the current template filename

          if ( (
            get_sub_field ( 'select' ) == 'slug' &&
            get_the_slug() == $field
          ) || (
            get_sub_field ( 'select' ) == 'template' &&
            $field . '.php' == $GLOBALS['vars']['current_template']
          ) ) {

            $found_hero_template = true;

            if ( get_sub_field ( 'select' ) == 'template' ) {
              $hero_template['match'] = $field;
            } else {
              $hero_template['match'] = $field;
            }

            $hero_template['field'] = 'hero_templates';
            $hero_template['row'] = $i;

          }

        }

      }

      $i++;

    }
  }

  return $hero_template;

}

//
// HERO IMAGE & COLOUR SETTINGS
//

// function h7_get_hero_bg ( $echo = false ) {
//
//   if ( !isset ( $echo ) ) $echo = false;
//
//   global $hero_template;
//
//   //
//   // IMAGE
//   // check for a post thumbnail or grab a random image from the theme options
//   //
//
//   $bg_URL = '';
//
//   if ( has_post_thumbnail() ) {
//
//     $bg_URL = get_the_post_thumbnail_url ( get_the_ID(), 'bg' );
//
//   } else {
//
//     if ( have_rows ( 'hero_default', 'option' ) ) {
//       while ( have_rows ( 'hero_default', 'option' ) ) {
//         the_row();
//
//         $hero_images = get_sub_field ( 'backgrounds' );
//
//         if (!empty ( $hero_images ) ) {
//
//           $random_index = array_rand ( $hero_images );
//
//           $bg_URL = wp_get_attachment_image_url ( $hero_images[$random_index], 'bg' );
//
//         }
//
//       }
//     }
//
//   }
//
//   $bg_class = array();
//   $head_class = array();
//   $text_class = array();
//
//   $i = 0;
//
//   //
//   // SETTINGS
//   // get the settings from the hero template field
//   //
//
//   if ( have_rows ( $hero_template['field'], 'option' ) ) {
//     while ( have_rows ( $hero_template['field'], 'option' ) ) {
//       the_row();
//
//       // if we're on the right row
//
//       if ( $i == $hero_template['row'] ) {
//
//         if ( have_rows ( 'settings' ) ) {
//           while ( have_rows ( 'settings' ) ) {
//             the_row();
//
//             $bg_color = get_sub_field ( 'colour' );
//
//             // opacity
//
//             $bg_class[] = 'opacity-' . get_sub_field ( 'opacity' );
//
//             // position
//
//             $bg_class[] = 'bg-position-' . str_replace( ' ', '-', get_sub_field ( 'position' ) );
//
//             // attachment
//
//             $bg_class[] = 'bg-attachment-' . get_sub_field ( 'attachment' );
//
//             // text colours
//
//             if ( get_sub_field ( 'heading' ) != '' ) {
//               $head_class[] = 'text-' . get_sub_field ( 'heading' );
//             }
//
//             if ( get_sub_field ( 'text' ) != '' ) {
//               $text_class[] = 'text-' . get_sub_field ( 'text' );
//             }
//
//             if ( get_sub_field ( 'link' ) != '' ) {
//               $link_class[] = 'text-' . get_sub_field ( 'text' );
//             }
//
//           }
//         }
//
//       }
//
//       $i++;
//
//     }
//   }
//
//   // echo implode ( ' ' , $bg_class );
//
//   return array (
//     'bg_url' => $bg_URL,
//     'bg_color' => $bg_color,
//     'bg_class' => $bg_class,
//     'head_class' => $head_class,
//     'text_class' => $text_class,
//     'link_class' => $link_class
//   );
//
// }

//
// GET HERO SECTION
// i.e. header, sidebar, footer
// echo = true to output
//
/*
function h7_get_hero_section ( $hero_section, $echo = false ) {

  if ( !isset ( $echo ) ) $echo = false;

  global $hero_template;

  $has_blocks = false;

  $i = 0;

  if ( have_rows ( $hero_template['field'], 'option' ) ) {
    while ( have_rows ( $hero_template['field'], 'option' ) ) {
      the_row();

      // if we're on the right row

      if ( $i == $hero_template['row'] ) {

        if ( have_rows ( $hero_section ) ) {
          while ( have_rows ( $hero_section ) ) {
            the_row();

            // blocks

            if ( have_rows ( 'blocks' ) ) {

              $has_blocks = true;

              $block_num = 1;

              if ( $echo == true ) {

                while ( have_rows ( 'blocks' ) ) {
                  the_row();

                  $block_ID = 'hero-' . $hero_section . '-block-' . $block_num;

                  echo "\n" . '<div id="' . $block_ID . '" class="h7-block h7-hero-block type-' . get_row_layout() . '">';

                  if ( locate_template ( 'template/hero/blocks/' . get_row_layout() . '.php' ) != '' ) {
                    include ( locate_template ( 'template/hero/blocks/' . get_row_layout() . '.php' ) );
                  } else {
                    echo 'block';
                  }

                  echo "\n" . '</div>';

                  $block_num++;

                }

              } // if echo

            } // if blocks

          } // while sections
        } // if sections

      }

      $i++;

    }
  }

  return $has_blocks;

}
*/
