<?php

wp_enqueue_script('acf-query', get_bloginfo('template_directory') . '/resources/phil_evans_dependencies/pe-acf-query/acf-query.js', array('jquery'), NULL, true);

if (!isset ($new_query)) $new_query = array();

if (!isset ($new_query['type'])) $new_query['type'] = 'posts';

if (get_sub_field('query_type') != '') {
    $new_query['type'] = get_sub_field('query_type');
}

if (!isset ($new_query['filters'])) {
    $new_query['filters'] = array();
}

//
// GET POSTS
//

if ($new_query['type'] == 'posts') {
    if (!isset ($new_query['args'])) {
        $new_query['args'] = array();
    }

    if (!isset ($new_query['args']['posts_per_page'])) {
        if (get_sub_field('posts_per_page') != '') {
            $new_query['args']['posts_per_page'] = get_sub_field('posts_per_page');
        } else {
            $new_query['args']['posts_per_page'] = '-1';
        }

    }

    // 'POST PARAMETERS' GROUP
    if (have_rows('post')) {
        while (have_rows('post')) {
            the_row();

            // 'post types' group

            if (have_rows('post_types')) {
                while (have_rows('post_types')) {
                    the_row();

                    if (!isset ($new_query['args']['post_type'])) {
                        // $new_query['args']['post_type'] = 'any';

                        $new_query['args']['post_type'] = get_post_types(array(
                            'public' => true
                        ));

                    }

                    if (get_sub_field('post_type') != '') {

                        $selected_post_types = get_sub_field('post_type');

                        if ($selected_post_types[0] != '') {

                            $new_query['args']['post_type'] = get_sub_field('post_type');

                        }

                    }

                    if (get_sub_field('filterable') == 1) {
                        $new_query['filters'][] = array(
                            'type' => 'post-type',
                            'multi' => false
                        );
                    }

                }
            }

            // 'sort' group
            if (have_rows('sort')) {
                while (have_rows('sort')) {
                    the_row();

                    $new_query['args']['orderby'] = get_sub_field('orderby');

                    if (get_sub_field('orderby') != 'rand') {
                        $new_query['args']['order'] = get_sub_field('order');
                    }

                    if ($new_query['args']['orderby'] == 'meta_value_num' || $new_query['args']['orderby'] == 'meta_value') {
                        $new_query['args']['meta_key'] = get_sub_field('meta_key');
                    }

                    // random seed

                    if (get_sub_field('orderby') == 'rand') {

                        if (!isset ($_SESSION['seeds'][get_current_element_ID()])) {
                            $_SESSION['seeds'][get_current_element_ID()] = mt_rand(100000, 999999);
                        }

                        $new_query['args']['orderby'] = 'RAND(' . $_SESSION['seeds'][get_current_element_ID()] . ')';

                    }

                }
            }

            // 'tax query' group
            if (have_rows('tax_query')) {
                while (have_rows('tax_query')) {
                    the_row();

                    $args = array();

                    if (have_rows('arguments')) {
                        while (have_rows('arguments')) {
                            the_row();

                            if (get_sub_field('terms') != '') {

                                $args[] = array(
                                    'taxonomy' => get_sub_field('taxonomy'),
                                    'field' => 'slug',
                                    'terms' => get_sub_field('terms')
                                );

                            } elseif (get_sub_field('filterable') == 1) {

                                $new_query['filters'][] = array(
                                    'type' => 'taxonomy',
                                    'multi' => get_sub_field('multiple'),
                                    'taxonomy' => get_sub_field('taxonomy')
                                );

                            }

                        }
                    }

                    if (!empty ($args)) {

                        $new_query['args']['tax_query'] = $args;
                        $new_query['args']['tax_query']['relation'] = get_sub_field('relation');

                    }

                }
            }

            // 'meta query' group

            if (have_rows('meta_query')) {
                while (have_rows('meta_query')) {
                    the_row();

                    $args = array();

                    if (have_rows('arguments')) {
                        while (have_rows('arguments')) {
                            the_row();

                            $args[] = array(
                                'key' => get_sub_field('key'),
                                'value' => get_sub_field('value'),
                                'compare' => get_sub_field('compare')
                            );

                        }
                    }

                    if (!empty ($args)) {

                        $new_query['args']['meta_query'] = $args;

                        if (count($args) > 1) {
                            $new_query['args']['meta_query']['relation'] = get_sub_field('relation');
                        }

                    }

                }
            }

            // page parameters

            if (have_rows('page_params')) {
                while (have_rows('page_params')) {
                    the_row();

                    // depth filters
                    // all (default), top (0), or parent ID

                    if (get_sub_field('depth') == 'top') {

                        $new_query['args']['post_parent'] = 0;

                    } elseif (get_sub_field('depth') == 'parent') {

                        if (get_sub_field('post_parent') != '') {
                            $new_query['args']['post_parent'] = get_sub_field('post_parent');
                        }

                    }

                    // manually select pages

                    if (get_sub_field('post__in') != '') {

                        $new_query['args']['post__in'] = get_sub_field('post__in');

                        unset ($new_query['args']['tax_query']);
                        unset ($new_query['args']['meta_query']);
                        // unset ( $new_query['args']['post_type'] );

                    }

                }
            }

        }
    }

    //
    // FILTER ARGS
    //
    //
    // $new_query['filter_args'] = array();
    //
    // foreach ( $new_query['filters'] as $filter ) {
    //
    //   if ( $filter['type'] == 'taxonomy' ) {
    //
    //     $new_query['filter_args'][$filter['type']][$filter['taxonomy']] = array();
    //
    //   } else {
    //
    //     $new_query['filter_args'][$filter['type']] = array();
    //
    //   }
    //
    // }
    //
    // echo '<pre>';
    //
    // print_r($new_query['args']);
    //
    // echo '</pre>';

    //
    // ADJUST BASED ON QUERY STRING PARAMETERS
    //

    // $new_query['filter_args'] = $new_query['filters'];

    if (isset ($new_query['filter_args'])) {

        $pt_reset = false;
        $tx_reset = false;

        // echo 'has query string';

        foreach ($new_query['filter_args'] as $arg) {

            $new_arg = explode('_', $arg);

            if ($new_arg[0] == 'pt') {

                if ($pt_reset == false) {
                    $new_query['args']['post_type'] = array();
                    $pt_reset = true;
                }

                $new_query['args']['post_type'] = $new_arg[1];

            } elseif ($new_arg[0] == 'tx') {

                // if ( $tx_reset == false ) {
                //   $new_query['args']['tax_query'] = array( 'relation' => 'AND' );
                //   $tx_reset = true;
                // }

                $new_query['args']['tax_query'][] = array(
                    'taxonomy' => $new_arg[1],
                    'field' => 'id',
                    'terms' => $new_arg[2]
                );

            }

        }


    } else {
        $new_query['filter_args'] = array();
    }

    // echo '<div class="' . get_current_element_ID() . '-grid-ajax-output">';
    //
    // print_r($new_query['args']);
    //
    // echo '</div>';

    //
    // PAGE
    //

    //
    // CREATE ITEMS
    //

    $items = array();

    // $new_query['results'] = get_posts ( $new_query['args'] );

    // if ( !empty ( $new_query['results'] ) ) {
    //   foreach ( $new_query['results'] as $result ) {
    //     $items[] = $result->ID;
    //   }
    //
    //   $new_query['items'] = $items;
    // }

    $new_query['results'] = new WP_Query ($new_query['args']);
    
    if ($new_query['results']->have_posts()) :

        $old_post = $post;

        while ($new_query['results']->have_posts()) :

            $new_query['results']->the_post();

            // $new_query['items'][] = get_the_ID();

            $new_query['items'][] = array(
                'id' => get_the_ID(),
                'title' => get_the_title(),
                'permalink' => get_permalink(),
                'post_type' => get_post_type(),
                'content' => $post->post_content,
                'thumbnail' => get_post_thumbnail_id(get_the_ID())
            );

        endwhile;

        wp_reset_postdata();

        $post = $old_post;

        setup_postdata($post);

    endif;

} elseif ($new_query['type'] == 'terms') {

    $new_query['args'] = array(
        'hide_empty' => false
    );

    // 'TAXONOMY PARAMETERS' GROUP

    if (have_rows('taxonomy')) {
        while (have_rows('taxonomy')) {
            the_row();

            $tax_val = get_sub_field('taxonomy');

            if (strpos($tax_val, ',') !== false) {
                $tax_val = explode(',', $tax_val);
            }

            $new_query['args']['taxonomy'] = $tax_val;

        }
    }

    //

    if (get_sub_field('posts_per_page') != '') {
        $new_query['args']['number'] = get_sub_field('posts_per_page');
    } else {

        $new_query['args']['number'] = '-1';

    }

    $new_query['results'] = get_terms($new_query['args']);

    if (!empty ($new_query['results'])) {

        foreach ($new_query['results'] as $result) {
            $new_query['items'][] = array(
                'id' => $result->term_id,
                'title' => $result->name,
                'permalink' => get_term_link($result->term_id, $result->taxonomy),
                'post_type' => 'term',
                'content' => $result->description,
                'thumbnail' => ''
            );
        }
    }
}

//
// DEBUG
//

if (get_sub_field('debug') == 1) {
    echo '<pre>';

    print_r($new_query['args']);

    echo '</pre>';
}