// hotspots
// v1.0

(function ($) {

  // custom select class

  function hotspots_admin(item, options) {

    this.item = $(item);

    // options

    var defaults = {
      debug: true,
      field_slug: 'acf-field-5d2f237183591',
      image_slug: 'acf-field-5d3b16f0600a5',
      coord_slug: 'acf-field-5d3b1edb6410c',
      coord_mode: false,
      coord_field: '',
      clicked_btn: null,
      btn_enabled_text: 'Click to register',
      btn_disabled_text: 'Click image, \'esc\' to cancel',
      classes: {
      },
      elements: {
        coord_field: null
      }
    };

    this.options = $.extend(true, defaults, options);
    this.init();
  }

  hotspots_admin.prototype = {

    // init

    init: function () {

      var plugin_instance = this;
      var plugin_item = plugin_instance.item;
      var plugin_settings = plugin_instance.options;
      var plugin_elements = plugin_settings.elements;
      var plugin_classes = plugin_settings.classes;

      if (plugin_settings.debug == true) {
        console.log('hotspots admin', plugin_item);
      }

      //
      // ELEMENTS
      //

      plugin_item.addClass('hotspots-initialized');

      plugin_elements.image = plugin_item.find('.acf-field-image img')

      // plugin_elements.spots = plugin_item.find('.' + plugin_classes.spot)

      // find coord fields and place markers

      $('body').find('.values .' + plugin_settings.coord_slug + ' input').each(function() {

        if ($(this).val() != '') {

          // x/y %s
          var coords_array = $(this).val().split(',')

          plugin_instance._add_spot({
            container: $(this).closest('.' + plugin_settings.field_slug).find('.acf-image-uploader'),
            coords: coords_array,
            field_id: $(this).attr('id')
          })

        }

      })

      //
      // ACTIONS
      //

      // CLICK 'REGISTER' BUTTON

      $('body').on('click', '.hotspot-get-coords', function(e) {

        plugin_settings.clicked_btn = $(this)

        plugin_settings.coord_mode = true

        plugin_elements.coord_field = plugin_settings.clicked_btn.closest('.acf-fields').find('.acf-field-5d3b1edb6410c input')[0]

        plugin_settings.clicked_btn.addClass('disabled').text(plugin_settings.btn_disabled_text)

        plugin_settings.clicked_btn.closest('.' + plugin_settings.field_slug).find('.' + plugin_settings.image_slug).addClass('coord-mode');

        // console.log('coord mode on', plugin_elements.coord_field)

      })

      // ESC TO CANCEL

      $('body').keypress(function(e) {
        if (plugin_settings.coord_mode && e.which == 27) {

          // turn coord mode off
          plugin_settings.coord_mode = false

          // reset 'register' button
          plugin_settings.clicked_btn.removeClass('disabled').text(plugin_settings.btn_enabled_text)

          //

          plugin_item.find('.' + plugin_settings.image_slug).removeClass('coord-mode')

        }
      });

      // CLICK IMAGE

      $('body').on('click', '.' + plugin_settings.image_slug + ' img', function(e) {

        if (plugin_settings.coord_mode == true) {
          console.log('hotspots admin', 'set coords', e.offsetX + ',' + e.offsetY)

          var x_percent = (e.offsetX / $(this).outerWidth()).toFixed(5)
          var y_percent = (e.offsetY / $(this).outerHeight()).toFixed(5)

          $(plugin_elements.coord_field).val(x_percent + ',' + y_percent)

          $('[data-id=' + $(plugin_elements.coord_field).attr('id') + ']').remove();

          plugin_instance._add_spot({
            container: $(this).closest('.acf-image-uploader'),
            coords: [x_percent, y_percent],
            field_id: $(plugin_elements.coord_field).attr('id')
          })

          // turn coord mode off
          plugin_settings.coord_mode = false

          plugin_settings.clicked_btn.closest('.' + plugin_settings.field_slug).find('.' + plugin_settings.image_slug).removeClass('coord-mode')

          // reset 'register' button
          plugin_settings.clicked_btn.removeClass('disabled').text(plugin_settings.btn_enabled_text)

        }

      })

    },

    _add_spot: function(fn_options) {

      var plugin_instance = this
      var plugin_item = this.item
      var plugin_settings = plugin_instance.options
      var plugin_elements = plugin_settings.elements

      // options

      var settings = $.extend(true, {
        container: null,
        coords: null,
        field_id: null,
      }, fn_options)

      if (settings.coords !== null) {

        // append spot to matching image container

        settings.container.append('<div style="position: absolute; left: ' + (settings.coords[0] * 100) + '%; top: ' + (settings.coords[1] * 100) + '%; width: 12px; height: 12px; margin: -6px 0 0 -6px; background-color: #f00; border-radius: 50%; border: 1px solid #fff" data-id="' + settings.field_id + '"></div>')

      }

    },



  }

  // jQuery plugin interface

  $.fn.hotspots_admin = function (opt) {
    var args = Array.prototype.slice.call(arguments, 1)

    return this.each(function () {

      var item = $(this)
      var instance = item.data('hotspots_admin')

      if (!instance) {

        // create plugin instance if not created
        item.data('hotspots_admin', new hotspots_admin(this, opt))

      } else {

        // otherwise check arguments for method call
        if (typeof opt === 'string') {
          instance[opt].apply(instance, args)
        }

      }
    })
  }

  //
  // SELF-INITIALIZE
  //

  jQuery(function($) {
    $(document).hotspots_admin()
  });

})(jQuery);
