// hotspots
// v1.0

(function ($) {

  // custom collision detection function

  $.ui.position.hotspot_flip_custom = {
    left: function(position, data) {

      var initPos = position.left

      $.ui.position.fit.left(position, data)

      console.log('left', initPos, position.left, data)



      // $.ui.position.flip.left(position, data)
      //
      // console.log('left', initPos, position.left, data)
      //
      // if (initPos != position.left) {
      //   console.log('flip left')
      //   data.elem.addClass('flip-left')
      // } else {
      //   data.elem.removeClass('flip-left')
      // }
      //

      if (initPos < 0) {

        var abs_pos = Math.abs(initPos)

        console.log(abs_pos)

        data.elem.find('.hotspot-bubble').css('left', 'calc(50% - ' + abs_pos + 'px')

      } else {

        data.elem.find('.hotspot-bubble').css('left', '50%')

      }

    },
    top: function(position, data) {

      var initPos = position.top

      $.ui.position.flip.top(position, data)

      console.log('top', initPos, position.top, data)

      if (initPos != position.top) {
        console.log('flip top')
        data.elem.addClass('flip-top')
      } else {
        data.elem.removeClass('flip-top')
      }

    }
  };

  // custom select class

  function hotspots(item, options) {

    this.item = $(item);

    // options

    var defaults = {
      debug: false,
      spots: {},
      classes: {
        container: 'hotspots',
        spot: 'hotspot',
        button: 'hotspot-button'
      },
      elements: {
        active: null
      }
    };

    this.options = $.extend(true, defaults, options);
    this.init();
  }

  hotspots.prototype = {

    // init

    init: function () {

      var plugin_instance = this;
      var plugin_item = plugin_instance.item;
      var plugin_settings = plugin_instance.options;
      var plugin_elements = plugin_settings.elements;
      var plugin_classes = plugin_settings.classes;

      if (plugin_settings.debug == true) {
        console.log('hotspots', plugin_item);
      }

      //
      // ELEMENTS
      //

      plugin_item.addClass('hotspots-initialized');

      plugin_elements.container = plugin_item.find('.' + plugin_classes.container)
      plugin_elements.spots = plugin_item.find('.' + plugin_classes.spot)

      //
      // ACTIONS
      //

      // CLICK HOTSPOT

      plugin_item.find('.' + plugin_classes.button).click(function(e) {

        plugin_instance.toggle({
          spot: $(this).closest('.' + plugin_classes.spot)
        })

      })

      // ESC

      $('body').keypress(function(e) {
        if (plugin_elements.container.hasClass('open') && e.which == 27) {

          plugin_instance.hide()

        }
      });

      // CLICK CONTAINER

      plugin_elements.container.click(function(e) {
        if ($(e.target).hasClass('hotspots') && plugin_elements.container.hasClass('open')) {
          plugin_instance.hide()
        }
      })

      if (plugin_settings.debug == true) {
        console.log('hotspots', 'initialized');
      }

    },

    toggle: function(fn_options) {

      var plugin_instance = this
      var plugin_item = this.item
      var plugin_settings = plugin_instance.options
      var plugin_elements = plugin_settings.elements

      // options

      var settings = $.extend(true, {
        spot: null
      }, fn_options)

      if (settings.spot !== null) {

        if (plugin_settings.debug == true) {
          console.log('hotspots', 'toggle', settings.spot);
        }

        // hide if active, show if now

        if (settings.spot.hasClass('active')) {

          plugin_instance.hide({
            spot: settings.spot
          })

        } else {

          plugin_instance.show({
            spot: settings.spot
          })

        }

      }

    },

    show: function(fn_options) {

      var plugin_instance = this
      var plugin_item = this.item
      var plugin_settings = plugin_instance.options
      var plugin_elements = plugin_settings.elements

      // options

      var settings = $.extend(true, {
        spot: null
      }, fn_options)

      if (plugin_settings.debug == true) {
        console.log('activate', settings.spot)
      }

      // deactivate the current active spot
      // and set the current active spot

      if (plugin_elements.active !== null) {
        plugin_instance.hide({
          spot: plugin_elements.active
        })
      }

      plugin_elements.active = settings.spot

      plugin_elements.container.addClass('open')

      // add 'active' class

      settings.spot.addClass('active')

      // show the spot

      settings.spot.find('.hotspot-tooltip').fadeIn().position({
        my: 'center top',
        at: 'center bottom',
        of: settings.spot,
        collision: 'hotspot_flip_custom'
      })



    },

    hide: function(fn_options) {

      var plugin_instance = this;
      var plugin_item = this.item;
      var plugin_settings = plugin_instance.options;
      var plugin_elements = plugin_settings.elements;

      // options

      var settings = $.extend(true, {
        spot: null
      }, fn_options);

      // if no specific spot is set,
      // hide the current active one

      if (plugin_elements.container.hasClass('open')) {

        if (settings.spot == null) {

          settings.spot = plugin_elements.active

        }

        if (plugin_settings.debug == true) {
          console.log('deactivate', settings.spot)
        }

        settings.spot.removeClass('active')

        settings.spot.find('.hotspot-tooltip').fadeOut()

        plugin_elements.container.removeClass('open')

      }

    }

  }

  // jQuery plugin interface

  $.fn.hotspots = function (opt) {
    var args = Array.prototype.slice.call(arguments, 1);

    return this.each(function () {

      var item = $(this);
      var instance = item.data('hotspots');

      if (!instance) {

        // create plugin instance if not created
        item.data('hotspots', new hotspots(this, opt));

      } else {

        // otherwise check arguments for method call
        if (typeof opt === 'string') {
          instance[opt].apply(instance, args);
        }

      }
    });
  }

}(jQuery));
