// time series slider
// v1.0
// dependencies: jquery UI slider

;(function ($) {

  // custom select class

  function time_series_slider (item, options) {
    this.item = $(item)

    // options

    var defaults = {
      elements: {},
      debug: false
    }

    this.options = $.extend(true, defaults, options)
    this.init()
  }

  time_series_slider.prototype = {

    // init

    init: function () {
      var plugin_instance = this
      var plugin_item = plugin_instance.item
      var plugin_settings = plugin_instance.options
      var plugin_elements = plugin_settings.elements

      //
      // INIT
      //

      plugin_item.addClass('time-series-slider-initialized')

      if (plugin_item.debug == true) {
        plugin_item.addClass('time-series-slider-debug')
      }

      plugin_settings.steps = plugin_item.find('.series-image').length - 1

      //
      // ELEMENTS
      //

      plugin_elements.container = plugin_item.find('.series-images')
      plugin_elements.slider = plugin_item.find('.series-slider')
      plugin_elements.images = plugin_elements.container.find('.series-image')

      plugin_elements.slider.slider({
        max: plugin_settings.steps,
        slide: function(e, ui) {

          plugin_elements.container.attr('data-step', ui.value);

          plugin_elements.images.css('opacity', 0);
          plugin_elements.images.eq(ui.value).css('opacity', 1);

        },
        create: function() {
          render_success = true;
        }
      })

      //
      // ACTIONS
      //


      if (plugin_settings.debug == true) {
        console.log('time series slider', 'initialized')
      }
    },

    scroll_to: function (fn_options) {
      var plugin_instance = this
      var plugin_item = this.item
      var plugin_settings = plugin_instance.options
      var plugin_elements = plugin_settings.elements

      // options

      if (typeof fn_options == 'string') {

        fn_options = {
        }

      }

      var defaults = $.extend(
        true,
        {

        },
        fn_options
      )

      var settings = $.extend(true, defaults, fn_options)


    }

  }

  // jQuery plugin interface

  $.fn.time_series_slider = function (opt) {
    var args = Array.prototype.slice.call(arguments, 1)

    return this.each(function () {
      var item = $(this)
      var instance = item.data('time_series_slider')

      if (!instance) {

        // create plugin instance if not created
        item.data('time_series_slider', new time_series_slider(this, opt))
      } else {

        // otherwise check arguments for method call
        if (typeof opt === 'string') {
          instance[opt].apply(instance, args)
        }
      }
    })
  }
}(jQuery))
