<?php

  do_action ( 'h7_before_hero_output' );

  //
  // SECTION ID / CLASS

  $section = array (
    'id' => 'hero',
    'class' => array()
  );

  // get the hero template settings for this page

  $hero_template = h7_locate_hero_template();

  //
  // CONTENT LOOP
  //

  $i = 0;
  $container_num = 1;

  //
  // TEMPLATES
  //

  if ( have_rows ( $hero_template['field'], 'option' ) ) {
    while ( have_rows ( $hero_template['field'], 'option' ) ) {
      the_row();

      // if we're on the right row

      if ( $i == $hero_template['row'] ) {

        if ( get_sub_field ( 'height' ) == 'window' ) {
          $section['class'][] = 'full-height';
          $section_full_height = true;
        }

        // BG fallback

        $bg_fallback = 'hide';

        if ( get_sub_field ( 'bg_default' ) == 1 ) {
          $bg_fallback = 'default';
        }

?>

<section id="<?php echo $section['id']; ?>" class="h7-section h7-page-section first-section <?php echo implode ( ' ', $section['class'] ); ?>">

  <?php

      // initialize slick if there is more than one slide in the field group

      if ( count ( get_sub_field ( 'slides' ) ) > 1 ) {

        wp_enqueue_script ( 'slick' );

        $slider_ID = $section['id'] . '-slider';

        $carousel = carousel_settings ( $slider_ID, get_sub_field ( 'carousel_classes' ), get_sub_field ( 'carousel_settings' ) );

        $carousel['settings']['arrows'] = true;
        $carousel['settings']['prevArrow'] = '#' . $slider_ID . '-prev';
        $carousel['settings']['nextArrow'] = '#' . $slider_ID . '-next';

  ?>

  <div
    id="<?php echo $slider_ID; ?>"
    class="carousel <?php echo implode ( ' ', $carousel['classes']['container'] ); ?>"
    data-slick='<?php echo json_encode ( $carousel['settings'] ); ?>'
  >

    <?php

      }

      $slide_num = 1;

      //
      // SLIDES
      //

      if ( have_rows ( 'slides' ) ) {
        while ( have_rows ( 'slides' ) ) {
          the_row();

          $slide_ID = $section['id'] . '-slide-' . $slide_num;

          $slide_class = array ( 'hero-slide', $slide_ID );

          if ( isset ( $section_full_height ) ) {
            $slide_class[] = 'full-height';
          }

          // SETTINGS

          $GLOBALS['css'] .= generate_css ( get_sub_field ( 'colours' ), '.' . $slide_ID );

          // BACKGROUND

          $bg_class = array();

          // get the hero BG image and settings

          if ( have_rows ( 'background' ) ) {
            while ( have_rows ( 'background' ) ) {
              the_row();

              $slide_class[] = 'bg-' . get_sub_field ( 'colour' );

            }
          }

          //

          include ( locate_template ( 'template/hero/slide.php' ) );

          $slide_num++;

        }
      } // slides

      if ( count ( get_sub_field ( 'slides' ) ) > 1 ) {

    ?>

  </div>

  <?php

        if (
          $carousel['settings']['arrows'] == true ||
          $carousel['settings']['dots'] == true
        ) {

  ?>

  <div class="carousel-controls <?php echo implode ( ' ', $carousel['classes']['controls'] ); ?>">
    <?php

          if ( $carousel['settings']['arrows'] == true ) {

    ?>

    <div id="<?php echo $slider_ID; ?>-prev" class="carousel-arrow order-1"><i class="fas fa-arrow-left"></i></div>
    <div id="<?php echo $slider_ID; ?>-next" class="carousel-arrow order-3"><i class="fas fa-arrow-right"></i></div>

    <?php

          }

          if ( $carousel['settings']['dots'] == true ) {

    ?>

    <div id="<?php echo $slider_ID; ?>-dots" class="carousel-dots order-2 flex-grow-1"></div>

    <?php

          }

    ?>

  </div>

  <?php

        }

      }

  ?>

</section>

<?php

      } // hero_template[row]

      $i++;

    }
  } // hero_template[field]

  //
  //
  //

  do_action ( 'h7_after_hero_output' );

?>
