<?php

  global $post;

  if ( !isset ( $block_field ) ) $block_field = 'blocks';
  if ( !isset ( $ID ) ) $ID = get_the_ID();

  $block_num = 1;

  while ( have_rows ( $block_field, $ID ) ) {
    the_row();

    $block = array();

    // block ID

    if ( get_sub_field ( 'block_id' ) != '' ) {

      $block['id'] = get_sub_field ( 'block_id' );

    } elseif ( get_sub_field ( 'id' ) != '' ) {

      $block['id'] = get_sub_field ( 'id' );

    } else {

      $block['id'] = $column['id'] . '-' . $block_num;

    }

    // content type

    $block['type'] = get_row_layout();

    $block['class'] = array ( 'h7-block', 'block-type-' . $block['type'] );

    $block['atts'] = array();

    //
    // DISPLAY SETTINGS
    //

    // alignment

    if ( get_sub_field ( 'alignment' ) != '' ) {
      $block['class'][] = 'text-' . get_sub_field ( 'alignment' );
    }

    if ( empty ( $block['breakpoints'] ) ) {

      switch ( $block['type'] ) {
        default :
          array_push ( $block['class'], '' );
      }

    }

    // colours

    $GLOBALS['css'] .= generate_css ( get_sub_field ( 'colours' ), '#' . $block['id'] );

    // background

    if ( have_rows ( 'background' ) ) {
      while ( have_rows ( 'background' ) ) {
        the_row();

        if (
          get_sub_field ( 'colour' ) != '' &&
          get_sub_field ( 'colour' ) != 'inherit'
       ) {
          $block['class'][] = 'bg-' . get_sub_field ( 'colour' );

          // if there's a colour & opacity set, but no image
          // add the bg-opacity-x class

          if (
            get_sub_field ( 'image' ) == '' &&
            get_sub_field ( 'opacity' ) != '' &&
            get_sub_field ( 'opacity' ) != 100
          ) {

            $block['class'][] = 'bg-opacity-' . get_sub_field ( 'opacity' );

          }

        }

      }
    }

    // sticky

    if ( have_rows ( 'sticky') ) {
      while ( have_rows ( 'sticky') ) {
        the_row();

        if ( get_sub_field ( 'enabled' ) == 1 ) {

          $block['class'][] = 'sticky';

          if ( get_sub_field ( 'parent' ) != '' ) {
            $block['atts']['sticky-parent'] = get_sub_field ( 'parent' );
          } else {
            $block['atts']['sticky-parent'] = 'body';
          }

          if ( get_sub_field ( 'offset' ) != '' ) {
            $block['atts']['sticky-offset'] = get_sub_field ( 'offset' );
          }

        }

      }
    }

?>

<div
  id="<?php echo $block['id']; ?>"
  class="<?php echo implode ( ' ', $block['class'] ); echo ' ' . get_sub_field ( 'classes' ); ?>"

  <?php

    foreach ( $block['atts'] as $att => $val ) {

      echo 'data-' . $att . '="' . $val . '" ';

    }

  ?>
>

<?php

    if ( locate_template ( 'blocks/' . get_row_layout() . '.php' ) != '' ) {

      include ( locate_template ( 'blocks/' . get_row_layout() . '.php' ) );

    } else {

      echo get_row_layout();

    }

?>

</div>

<?php

  $block_num++;

} // while blocks
