<?php

if ( !function_exists ( 'child_loop' ) ) {
  function child_loop ( $parent_ID, $prev_parent, $current_level ) {

    global $post;
    global $chapter_num;
    global $child_counters;

    $child_query = new WP_Query ( array (
      'post_type' => get_post_type(),
      'posts_per_page' => -1,
      'post_parent' => $parent_ID,
      'orderby' => 'menu_order',
      'order' => 'asc'
    ) );

    if ( $child_query->have_posts() ) :

      if ( $current_level != 1 ) {

        echo '<div id="child-' . $parent_ID . '-children" class="h7-article-children">';

      }

      while ( $child_query->have_posts() ) :

        $child_query->the_post();

        if ( isset ( $child_counters ) ) {

          if ( !isset ( $child_counters[$current_level] ) ) {
            $child_counters[$current_level] = 1;
          } else {
            $child_counters[$current_level] += 1;
          }

        }

        include ( locate_template ( 'template/loop/child.php' ) );

      endwhile;

      if ( $current_level != 1 ) {

        echo '</div>';

      }

      wp_reset_postdata();

    else :

      if ( isset ( $child_counters ) ) {
        unset ( $child_counters[$current_level] );
      }

      return;

    endif;

    wp_reset_postdata();

  }
}

child_loop ( get_the_ID(), $post->post_parent, 1 );
