<?php

  // global $section;

  $container_num = 1;

  if ( !isset ( $ID ) ) $ID = get_the_ID();

  while ( have_rows ( 'containers', $ID ) ) {
    the_row();

    $container = array();

    // container ID

    $container['id'] = $section['id'] . '-container-' . $container_num;

    if ( get_sub_field ( 'container_id' ) != '' ) {

      $container['id'] = get_sub_field ( 'container_id' );

    }

    // CLASSES

    $container['class'] = array ( 'container-fluid' );

    // width

    if ( get_sub_field ( 'width' ) == 1200 ) {
      $container['class'][] = 'has-max-width';
    }

    if ( get_sub_field ( 'margin_top' ) == get_sub_field ( 'margin_bottom' ) ) {
      $container['class'][] = 'my-' . get_sub_field ( 'margin_top' );
    } else {
      $container['class'][] = 'mt-' . get_sub_field ( 'margin_top' );
      $container['class'][] = 'mb-' . get_sub_field ( 'margin_bottom' );
    }

    if ( get_sub_field ( 'padding_top' ) == get_sub_field ( 'padding_bottom' ) ) {
      $container['class'][] = 'py-' . get_sub_field ( 'padding_top' );
    } else {
      $container['class'][] = 'pt-' . get_sub_field ( 'padding_top' );
      $container['class'][] = 'pb-' . get_sub_field ( 'padding_bottom' );
    }

/*
    // margin

    switch ( get_sub_field ( 'margin' ) ) {
      case 'none' :
        $container['class'][] = 'my-0';
        break;
      case 'extra' :
        $container['class'][] = 'my-extra';
        break;
    }

    // padding

    switch ( get_sub_field ( 'padding' ) ) {
      case 'none' :
        $container['class'][] = 'py-0';
        break;
      case 'extra' :
        $container['class'][] = 'py-extra';
        break;
    }
*/

    // colours

    $GLOBALS['css'] .= generate_css ( get_sub_field ( 'colours' ), '#' . $container['id'] );

    // background

    $bg_URL = '';

    if ( have_rows ( 'background' ) ) {
      while ( have_rows ( 'background' ) ) {
        the_row();

        if (
          get_sub_field ( 'colour' ) != '' &&
          get_sub_field ( 'colour' ) != 'inherit'
        ) {
          $container['class'][] = 'bg-' . get_sub_field ( 'colour' );
        }

      }
    }

?>

<div id="<?php echo $container['id']; ?>" class="h7-container <?php echo implode ( ' ', $container['class'] ); echo ' ' . get_sub_field ( 'classes' ); ?>">

  <?php

    if ( have_rows ( 'background' ) ) {
      while ( have_rows ( 'background' ) ) {
        the_row();

        if ( get_sub_field ( 'image' ) != '' || get_sub_field ( 'video' ) != '' ) {
          include ( locate_template ( 'elements/bg.php' ) );
        }

      }
    }

  ?>

  <div class="row h7-container-row <?php echo get_sub_field ( 'row_classes' ); ?>">
    <?php

      //
      // COLUMNS
      //

      if ( have_rows ( 'columns' ) ) {

        include ( locate_template ( 'template/loop/columns.php' ) );

      }

    ?>

  </div>
</div>

<?php

    $container_num++;

  } // while containers

?>
