<?php

global $section;
global $section_num;

if ( !function_exists ( 'setup_section' ) ) {

  function setup_section (  ) {

    global $section_num;
    global $section_prefix;

    $section = array();

    // ID and classes

    $section['id'] = 'section-' . $section_num;

    if ( get_sub_field ( 'section_id' ) != '' ) {
      $section['id'] = get_sub_field ( 'section_id' );
    }

    if ( isset ( $section_prefix ) ) {
      $section['id'] = $section_prefix . '-' . $section['id'];
    }

    $section['class'] = array ( 'h7-section', 'h7-page-section', get_sub_field ( 'classes' ) );

    // colours

    $GLOBALS['css'] .= generate_css ( get_sub_field ( 'colours' ), '#' . $section['id'] );

    // background

    $bg_URL = '';

    if ( have_rows ( 'background' ) ) {
      while ( have_rows ( 'background' ) ) {
        the_row();

        if ( get_sub_field ( 'colour' ) != '' && get_sub_field ( 'colour' ) != 'inherit' ) {
          $section['class'][] = 'bg-' . get_sub_field ( 'colour' );
        }

      }
    }

    return $section;

  }
}

//
// SECTION LOOP
// if the section is pulled from a template,
// repeat the section element output and
// $section setup
//

if ( !function_exists ( 'section_loop' ) ) {

  function section_loop ( $section_num, $field, $section_field_ID ) {

    global $section;

    if ( have_rows ( $field, $section_field_ID ) ) {
      while ( have_rows ( $field, $section_field_ID ) ) {
        the_row();

        $section = setup_section();

        // element

?>

<div id="<?php echo $section['id']; ?>" class="<?php echo implode( ' ', $section['class'] ); ?>">

  <?php

        // background

        if ( have_rows ( 'background' ) ) {
          while ( have_rows ( 'background' ) ) {
            the_row();

            if ( get_sub_field ( 'image' ) != '' ) {
              include ( locate_template ( 'elements/bg.php' ) );
            }

          }
        }

  ?>

  <div class="section-wrap">

    <?php

      container_loop ( 'containers', $section_field_ID );

    ?>

  </div>
</div>

<?php

      }

    }

  }

}

if ( !function_exists ( 'container_loop' ) ) {

  function container_loop ( $field, $ID ) {

    global $section;

    if ( have_rows ( $field, $ID ) ) {

      include ( locate_template ( 'template/loop/containers.php' ) );

    }

  }

}

//
// SECTIONS FLEX FIELD ITERATION
//

if ( have_rows ( $section_field, $section_field_ID ) ) {

  $section_num = 1;

  while ( have_rows ( $section_field, $section_field_ID ) ) {
    the_row();

    $section = array ();

    //
    // SOURCE
    //

    $section_type = get_row_layout();

    if ( $section_type == 'template' ) {

      $field_ID = get_sub_field ( 'template' );

      section_loop ( $section_num, 'section', $field_ID );

    } elseif ( $section_type == 'custom' ) {

      if ( locate_template ( 'template/' . get_sub_field ( 'filename' ) . '.php' ) != '' ) {
        include ( locate_template ( 'template/' . get_sub_field ( 'filename' ) . '.php' ) );
      }

    } elseif ( $section_type == 'children' ) {

      if (
        get_sub_field ( 'numbered' ) == 'decimal' &&
        get_sub_field ( 'prefix' ) != ''
      ) {
        $child_counters[0] = get_sub_field ( 'prefix' );
      }

      include ( locate_template ( 'template/loop/children.php' ) );

    } else {

      $section = setup_section ();

      // element

?>

<div id="<?php echo $section['id']; ?>" class="<?php echo implode( ' ', $section['class'] ); ?>">

  <?php

      // background

      if ( have_rows ( 'background' ) ) {
        while ( have_rows ( 'background' ) ) {
          the_row();

          if ( get_sub_field ( 'image' ) != '' ) {
            include ( locate_template ( 'elements/bg.php' ) );
          }

        }
      }

  ?>

  <div class="section-wrap">

    <?php

      container_loop ( 'containers', $section_field_ID );

    ?>

  </div>
</div>

<?php

    }

    $section_num++;

  } // while sections
} // if sections
