<?php

  if ( have_rows ( 'sections' ) ) {

    $section_num = 1;

    while ( have_rows ('sections' ) ) {
      the_row();

      // ID and classes

      if ( get_sub_field ( 'section_id' ) != '' ) {

        $section_ID = get_sub_field ( 'section_id' );

      } else {

        $section_ID = 'section-' . $section_num;

      }

      if ( isset ( $section_prefix ) ) {
        $section_ID = $section_prefix . '-' . $section_ID;
      }

      $section_class = array ( 'h7-section', 'h7-page-section' );

      $section_css = '';

      // colours

      if ( have_rows ( 'colours' ) ) {
        while ( have_rows ( 'colours' ) ) {
          the_row();

          if ( get_sub_field ( 'text_colour' ) != '' ) {

            $GLOBALS['css'] .= "\n" . '#' . $section_ID . ' { color: var(--' . get_sub_field ( 'text_colour' ) . '); }';

          }

          if ( get_sub_field ( 'heading_colour' ) != '' ) {

            $GLOBALS['css'] .= "\n" . '#' . $section_ID . ' h1, #' . $section_ID . ' h2, #' . $section_ID . ' h3, #' . $section_ID . ' h4, #' . $section_ID . ' h5, #' . $section_ID . ' h6 { color: var(--' . get_sub_field ( 'heading_colour' ) . '); }';
          }

          if ( get_sub_field ( 'link_colour' ) != '' ) {

            $GLOBALS['css'] .= "\n" . '#' . $section_ID . ' a { color: var(--' . get_sub_field ( 'link_colour' ) . '); }';

          }

          // echo '<strong>section colours</strong> ';
          // echo 'text: ' . get_sub_field ( 'text_colour' ) . '; ';
          // echo 'head: ' . get_sub_field ( 'heading_colour' ) . '; ';
          // echo 'link: ' . get_sub_field ( 'link_colour' ) . '; ';

        }
      }

      // background

      $bg_URL = '';

      if ( have_rows ( 'background' ) ) {
        while ( have_rows ( 'background' ) ) {
          the_row();

          if ( get_sub_field ( 'colour' ) != '' ) {
            $section_class[] = 'bg-' . get_sub_field ( 'colour' );

            // echo 'bg: ' . get_sub_field ( 'colour' ) . '; ';
          }

        }
      }

?>

<section id="<?php echo $section_ID; ?>" class="<?php echo implode( ' ', $section_class ); ?>">
  <?php

      if ( have_rows ( 'background' ) ) {
        while ( have_rows ( 'background' ) ) {
          the_row();

          include ( locate_template ( 'elements/bg.php' ) );

        }
      }

  ?>

  <div class="section-wrap">
    <?php

      $block_class = array();

      //
      // CONTAINER LOOP
      //

      // print_r(get_sub_field('containers'));

      if ( have_rows ( 'containers' ) ) {

        include ( locate_template ( 'template/loop/containers.php' ) );

      }

    ?>
  </div>
</section>

<?php

      $section_num++;

    }

  } else {

    //the_content();

  }

?>
